<%@page import="org.apache.commons.lang.StringUtils"%>
<%@ include file="/jcore/doInitPage.jspf" %><%

  // Cache for 10 days by default or use expiration delay specified on properties (on both server and client side)
  final long CACHE_TIMEOUT = channel.getLongProperty("channel.packer.cache-expiration", 10) * 24 * 60; // convert days in minutes
      
  // B. Write Headers
  response.setContentType("text/javascript; charset=UTF-8");
  response.setDateHeader("Expires", System.currentTimeMillis() + (CACHE_TIMEOUT * 1000 * 60));
  
  // C. Setup cache id (from queryString)
  final String cacheId = "js_explorer_file_icons" + userLang;
  Map<String,String> dropzoneProps = channel.getSortedProperties("file-document.icon.");
  
%>
<%-- <jalios:cache id='<%= cacheId %>' timeout='<%= CACHE_TIMEOUT %>' 
                trim='<%= true %>' refresh='<%= false %>'> --%>
const FILE_ICONS_MAP = new Map();
<% for (String key : dropzoneProps.keySet()) {%>
FILE_ICONS_MAP.set("<%= StringUtils.substringAfter(key, "file-document.icon.") %>", "<%= dropzoneProps.get(key) %>");
<% } %>
<%-- </jalios:cache> --%>

