!(function ($) {

  const copy = function () {
    var copyText = document.querySelector(".explorer-modal-share .js-share-url");
    copyText.select();
    document.execCommand("copy");
    if (toastr) {
      toastr.options = {
        positionClass: "toast-top-center"
      };

      toastr.info($(".explorer-modal-share .btn-copy-link").data("jalios-toastr-label"));
    }
    $.jalios.ui.Modal.close(false);
  }

  const register = function () {
    //Using native binding instead of jquery since security concerns are not handled when using
    // jquery event binding (See https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/Interact_with_the_clipboard)
    document.querySelector(".explorer-modal-share .btn-copy-link").addEventListener("click", copy);
  }

  $(document).on('jalios:ready', function () { register(); });

})(window.jQuery);
