<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@page import="com.jalios.jcms.taglib.card.CardDataTag"%>
<%@page import="com.jalios.jcms.taglib.card.CardImageTag"%>
<%@ include file="/jcore/doInitPage.jspf" %><% 
String css = "card-img " + getIncludeString("css", "");
String src = getIncludeString("src", "");
Data data = (Data) request.getAttribute("explorer.card.data");

if (data == null) {
  data = getDataParameter("cardData");
}

boolean loadThumb = getBooleanParameter("loadThumb", false);
%>
<jalios:buffer name="placeholderBuffer" trim="true">
  <div class="card-placeholder card-img card-img-wrapper <%= loadThumb ? "loaded-thumb" : "" %>">
    <figure class="image is-4by3 <%= css %>">
      <jalios:icon css="card-placeholder-img" src="<%= ExplorerAppManager.getInstance().getDataThumbIcon(data) %>" />
    </figure>
  </div>
</jalios:buffer>
<% if (!loadThumb) { %>
	<%= placeholderBuffer %>
<% } else { %>
	<jalios:buffer name="cardImageBuffer" trim="true">
	  <% if (data instanceof FileDocument && !((FileDocument)data).isImage()) { %>
	    <jalios:thumbnail css="is-object-fit" square="false" fileDoc="<%= (FileDocument) data %>" width="<%= channel.getIntegerProperty(CardDataTag.THUMBNAIL_DEFAULT_WIDTH_PROP, CardImageTag.THUMBNAIL_DEFAUT_WIDTH) %>" height="<%= channel.getIntegerProperty(CardDataTag.THUMBNAIL_DEFAULT_HEIGHT_PROP, CardImageTag.THUMBNAIL_DEFAUT_HEIGHT) %>" />
	  <% } else { %>
	    <jalios:thumbnail css="is-object-fit" square="false" data="<%= data %>" width="<%= channel.getIntegerProperty(CardDataTag.THUMBNAIL_DEFAULT_WIDTH_PROP, CardImageTag.THUMBNAIL_DEFAUT_WIDTH) %>" height="<%= channel.getIntegerProperty(CardDataTag.THUMBNAIL_DEFAULT_HEIGHT_PROP, CardImageTag.THUMBNAIL_DEFAUT_HEIGHT) %>" />
	  <% } %>
	</jalios:buffer>
	<% if (Util.isEmpty(cardImageBuffer)) { %>
	  <%= placeholderBuffer %>
	<% } else { %>
	  <% 
	    boolean isImage = data instanceof FileDocument && ((FileDocument)data).isImage();
	    boolean isContainedImage = data instanceof FileDocument && !isImage;
	    
	    if (isImage) {
	      double ratio = ((FileDocument)data).getWidth() / ((FileDocument)data).getHeight();
	      if (ratio < ExplorerAppManager.getInstance().getContainedImageAspectRatio()) {
	        // Handle very high images
	        isContainedImage = true;
	      }
	    }
	    
	    boolean isSmallImage = data instanceof FileDocument && ((FileDocument)data).getWidth() < 150 && ((FileDocument)data).getHeight() < 150;
	  %>
	  <div class="card-img-wrapper <%= loadThumb ? "loaded-thumb" : "" %>">
	    <figure class="image is-4by3 <%= css %> <%= isContainedImage ? "is-contained" : isSmallImage ? "is-small-image" : "is-fit" %>">
			  <%= cardImageBuffer %>
		  </figure>
	  </div>
	<% } %>
<% } %>