<%@page import="com.jalios.jcms.taglib.card.CardsDisplayMode"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@page import="com.jalios.jcms.taglib.card.LinkOptions"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

if (explorerHandler == null) {
  return;
}
%>
<% if (!hasParameter("opSeeMore")) { %>
<div class="ajax-refresh-div" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/card/doExplorerAppBody_categoryCards.jsp">
	<div class="explorer-section explorer-section-categories explorer-item-wrapper" role="grid" aria-multiselectable="true">
	  <% if (Util.notEmpty(explorerHandler.getResult().getCategories())) { %>
		  <div class="explorer-section-title"><%= glp("jcmsplugin.explorer.app.explorer-section-title.category") %></div>

		  <jalios:cards mode="<%= CardsDisplayMode.DECK %>" css="card-count-5 js-draggable-elements">
		    <% for (Category itCat : explorerHandler.getResult().getCategories()) { %>
		      <% 
		        DataAttribute cardDataAttribute = new DataAttribute();
   		      cardDataAttribute.addData("data-jalios-explorer-history", explorerHandler.getCategoryUrl(itCat, workspace));
		        cardDataAttribute.addData("jalios-explorer-action", "selectItem");
		        String cardCss = isLogged && loggedMember.canUseCategory(explorerHandler.getAvailableExplorerCurrentCategory()) && loggedMember.canUseCategory(itCat) ? " is-usable" : "";
		        cardCss += isLogged && loggedMember.canManageCategory(itCat) ? " is-manageable " : "";
		        cardCss += " explorer-item explorer-item-category";
		      %>
		      <jalios:cardData  template="explorer" css="<%= cardCss %>" data="<%= itCat %>" link="<%= null %>" dataAttribute='<%= cardDataAttribute %>'/>
		    <% } %>
		    <% if (isLogged && loggedMember.canManageCategory(explorerHandler.getAvailableExplorerCurrentCategory())) { %>
			    <% 
			      LinkOptions linkOptions = new LinkOptions().add("mode", "modal");
			      String link = "plugins/ExplorerPlugin/jsp/app/modal/createCategory.jsp?explorerCurrentCategory=" + explorerHandler.getAvailableExplorerCurrentCategory().getId() + "&amp;openTree=true";
			    %>
			    <jalios:card  css="explorer-category-add" linkOptions="<%= linkOptions %>" link="<%= link %>">
		        <div class="explorer-category-add-wrapper" data-toggle="tooltip" data-placement="top" title="" data-original-title="<%= glp("jcmsplugin.explorer.action.add-category") %>">
			        <jalios:icon alt='' src="explorer-card-add-category" /> <%= glp("jcmsplugin.explorer.action.add-category") %>
			      </div>
			    </jalios:card>
		    <% } %>
		  </jalios:cards>
	  <% } %>
	</div>
</div>
<% } %>