<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%><%
%><%@ include file="/front/card/data/doInitCardData.jspf" %><%

ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

Category cat = (Category) data;
String color = explorerHandler.getFolderColor(cat);

String colorHtmlAttr = "";
if (Util.notEmpty(color)) {
  colorHtmlAttr += " style=\"color:" + color + "\"";
}
boolean isUploadEnabled = explorerHandler.canUploadDocumentsInCategory(cat);
dataAttribute.addData("jalios-explorer-can-upload-document", isUploadEnabled);

if (!isUploadEnabled) {
  css += " is-upload-forbidden";
}

String dataName = cat.getName(userLang);
%>
<jalios:card css='<%= css + " card-folder explorer-card-item" %>' dataAttribute="<%= dataAttribute %>">
  <span class="js-activate-card" role="button" tabindex="0" data-toggle="tooltip" data-placement="top" aria-label="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", dataName)) %>" title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", dataName)) %>" data-jalios-select-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", dataName)) %>" data-jalios-unselect-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.unselect", dataName)) %>">
    <input  class="checkbox-check" type="checkbox" name="activate-card" />
    <span class="checkbox-text">
      <span class="checkbox-icon">
        <jalios:icon src="glyph: icomoon icomoon-checkmark3" />
      </span>
    </span>
  </span>
  
  <jalios:cardBlock>
    <div class="card-title item-title" role="button" tabindex="0"><jalios:icon css="js-icon" htmlAttributes="<%= colorHtmlAttr %>" src="<%= explorerHandler.getFolderIconSrc(cat) %>" /> <span class="js-title"><%= cat.getDataName(userLang) %></span></div>
  </jalios:cardBlock>
</jalios:card>