<%@page import="java.lang.reflect.Method"%><%
%><%@ include file="/plugins/ExplorerPlugin/jsp/app/contextmenu/doInitExplorerContextMenuAction.jspf" %><%!

/**
 * Check if current JPlatform version is 10.0.4 or less
 **/
public static boolean isBefore10SP5() {
   // Try to get a method that has been introduce in 10.0.5
   // If found => 10.0.5 or more
   // Else, 10.0.4 or less
   
   try {
     JcmsInfo.class.getDeclaredMethod("getVersionMinor", (Class[])null);
     // If no exception, 10.0.5 method is found
     return false;
   } catch (Exception e) {
     // Silent
   }
   return true;
}

%><%
if (!isActionBasicRightsAvailable) {
  return;
}

if (contextMenuData.checkDelete(loggedMember).isOK()) {
  boolean isBefore10SP5 = isBefore10SP5();
  if (isBefore10SP5) {
    // Case: Is 10.0.4 or less
    %>
    <li class="explorer-ctxmenu-deleteData">
      <a role="button" tabindex="0" class="explorer-action-delete" data-jalios-explorer-action="delete" data-jalios-data-name="<%= encodeForHTMLAttribute(contextMenuData.getDataName(userLang)) %>">
        <jalios:icon src="jcmsplugin-explorer-delete"/> <%= glp("jcmsplugin.explorer.action.delete") %>
      </a>
    </li>
    <%
  } else {
    // Case: Is 10.0.5 or more
    %>
    <li class="explorer-ctxmenu-deleteData">
      <%= DeleteTag.getDeleteIcon(
          contextMenuData, 
          ServletUtil.getContextPath(request), 
          userLang, 
          explorerHandler.getExplorerCurrentUrl(),
          glp("jcmsplugin.explorer.action.delete"), 
          "") %>
    </li>
  <% } %><%-- EOF.isBefore10SP5 --%>
<% } %>