<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler.ActionMode"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler.ExplorerAction"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");
if (explorerHandler == null) {
  return;
}

ExplorerAppManager explorerManager = ExplorerAppManager.getInstance();
ActionMode mode = null;
String[] ids = getStringParameterValues("contextMenuDataId", HttpUtil.DATAID_REGEX);
String idsParameter = "ids=";
String itemsParameter = "";
String caddyParameter = "";
boolean hasDocuments = false;
boolean hasCategory = false;
Data[] contextMenuDatas = JcmsUtil.stringArrayToDataArray(ids);
Data contextMenuData = Util.getFirst(contextMenuDatas);

if (contextMenuDatas != null) {
  for (Data itData : contextMenuDatas) {
    itemsParameter += "items=" + itData.getId() + "&amp;";
    caddyParameter += "cadIds=" + itData.getId() + "&amp;";
    idsParameter += itData.getId() + ",";
    if (itData instanceof FileDocument) {
      hasDocuments = true;
    } else if (itData instanceof Category) {
      hasCategory = true;
    }
  }
}

if (getBooleanParameter("multipleItems", false)) {
  mode = ExplorerAppHandler.ActionMode.MULTI_SELECTION;
} else if (contextMenuData != null && contextMenuData instanceof Publication) {
  mode = ExplorerAppHandler.ActionMode.PUBLICATION_ONLY;
} else if (contextMenuData != null && contextMenuData instanceof Category) {
  mode = ExplorerAppHandler.ActionMode.CATEGORY_ONLY;
} else {
  mode = ExplorerAppHandler.ActionMode.FOLDER;
}

request.setAttribute("com.jalios.jcmsplugin.explorer.contextMenuDatas", contextMenuDatas);
request.setAttribute("com.jalios.jcmsplugin.explorer.contextMenuMode", mode);
request.setAttribute("com.jalios.jcmsplugin.explorer.contextMenuData", contextMenuData);
request.setAttribute("com.jalios.jcmsplugin.explorer.currentCategory", explorerHandler.getAvailableExplorerCurrentCategory());
request.setAttribute("com.jalios.jcmsplugin.explorer.items-parameter", itemsParameter);
request.setAttribute("com.jalios.jcmsplugin.explorer.ids-parameter", idsParameter);
request.setAttribute("com.jalios.jcmsplugin.explorer.has-documents", hasDocuments);
request.setAttribute("com.jalios.jcmsplugin.explorer.is-document-only", explorerHandler.isDocumentOnly());
request.setAttribute("com.jalios.jcmsplugin.explorer.current-url", explorerHandler.getExplorerCurrentUrl());
request.setAttribute("com.jalios.jcmsplugin.explorer.document-class", explorerHandler.getSuperCommonDocumentClass());
request.setAttribute("com.jalios.jcmsplugin.explorer.query-string", explorerHandler.getQueryHandlerQueryString());
%>
<% if (contextMenuDatas != null && contextMenuDatas.length > 1) { %>
  <li class="dropdown-header multiple-items"><%= glp("jcmsplugin.explorer.action.items-count", contextMenuDatas.length) %></li> 
<% } %>
<%
for (ExplorerAction itAction: ExplorerAppHandler.getActionSet(mode)) { %>
  <% if (itAction.hasDividerBefore()) { %>
    <li class="divider"></li>
  <% } %>  
  <jalios:include jsp="<%= itAction.getJsp() %>" />
  <% if (itAction.hasDividerAfter()) { %>
    <li class="divider"></li>
  <% } %>
<% } %>