<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler.ExplorerAction"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");
if (explorerHandler == null) {
  return;
}
%>
<%
String[] ids = getStringParameterValues("contextMenuDataId", HttpUtil.DATAID_REGEX);

Data[] contextMenuDatas = JcmsUtil.stringArrayToDataArray(ids);
if (Util.isEmpty(contextMenuDatas)) {
  return;
}

String itemsParameter = "";
String idsParameter = "ids=";
String caddyParameter = "";

boolean hasDocuments = false;
boolean hasCategory = false;
boolean showZipAction = channel.getBooleanProperty("jcmsplugin.explorer.download-zip.enabled", true);

for (Data itData : contextMenuDatas) {
  itemsParameter += "items=" + itData.getId() + "&amp;";
  caddyParameter += "cadIds=" + itData.getId() + "&amp;";
  idsParameter += itData.getId() + ",";
  if (itData instanceof FileDocument) {
    hasDocuments = true;
  } else if (itData instanceof Category) {
    hasCategory = true;
  }
}
for (ExplorerAction itAction: explorerHandler.getActionSet(ExplorerAppHandler.ActionMode.MULTI_SELECTION)) { %>
  <jalios:include jsp="<%= itAction.getJsp() %>" />
<% } %>

<li class="dropdown-header"><%= contextMenuDatas.length %> items</li> 
<% if (showZipAction && hasDocuments) { %>
<li><a class="modal" href="plugins/ExplorerPlugin/jsp/downloadZipModal.jsp?<%= idsParameter %>">Download as zip...</a></li> 
<% } %>
<% if (explorerHandler.getAvailableExplorerCurrentCategory() != null) { %>
	<li><a class="modal" href="plugins/ExplorerPlugin/jsp/app/modal/moveToModal.jsp?<%= itemsParameter %>&amp;portletExplorer=<%= explorerHandler.getAvailablePortletExplorer().getId() %>&amp;explorerCurrentCategory=<%= explorerHandler.getAvailableExplorerCurrentCategory().getId() %>">Move to...</a></li> 
<% } %>
<% if (!hasCategory) { %>
	<li><a class="modal" href="plugins/ExplorerPlugin/jsp/app/modal/copyToModal.jsp?<%= itemsParameter %>&amp;portletExplorer=<%= explorerHandler.getAvailablePortletExplorer().getId() %>">Copy to...</a></li>
<% } %>
<li class="divider"></li>
<li><a data-jalios-action="popin" data-jalios-caddy-params="<%= caddyParameter %>&amp;cadCss=exa-caddy&amp;cadDisplayLinkText=true" href="work/caddy/caddyPopin.jsp?<%= caddyParameter %>&amp;cadAction=add">Add to caddy</a></li>
<li class="divider"></li>
<% if (!hasCategory) { %>
<li><a class="confirm modal" data-jalios-explorer-action="removeCategory">Remove from category...</a></li>
<% }  %>
<li><a>TODO Delete...</a></li>