<%@ include file="/plugins/ExplorerPlugin/jsp/app/contextmenu/doInitExplorerContextMenuAction.jspf" %><%

if (!(contextMenuData instanceof Publication) || !isExplorerSearch) {
  return;
}

Set<Category> pubCategories = explorerHandler.getPublicationExplorerCategories((Publication) contextMenuData);
%>
<% if (Util.notEmpty(pubCategories)) { %>
   <% if (pubCategories.size() == 1) { %>
     <li class="explorer-ctxmenu-accessCategory"><a class="explorer-item" role="button" tabindex="0" data-jalios-explorer-history="<%= encodeForHTMLAttribute(explorerHandler.getCategoryUrl(Util.getFirst(pubCategories), workspace)) %>" data-jalios-explorer-action="selectItem" data-jalios-data-id="<%= Util.getFirst(pubCategories).getId() %>"><jalios:icon src="jcmsplugin-explorer-access-category" /> <%= glp("jcmsplugin.explorer.action.access-category", Util.getFirst(pubCategories).getName(userLang)) %></a></li>
   <% } else { %>
     <li class="dropdown-submenu explorer-ctxmenu-accessCategory">
       <a><jalios:icon src="jcmsplugin-explorer-access-category" /> <%= glp("jcmsplugin.explorer.action.access-category.multiple", pubCategories.size()) %></a>
       <ul class="dropdown-menu">
         <% for (Category itCat : pubCategories) { %>
           <li><a class="explorer-item" data-jalios-explorer-history="<%= encodeForHTMLAttribute(explorerHandler.getCategoryUrl(itCat, workspace)) %>" data-jalios-explorer-action="selectItem" data-jalios-data-id="<%= itCat.getId() %>"><jalios:icon src="jcmsplugin-explorer-access-category" /> <%= itCat.getName(userLang) %></a></li>
         <% } %>
       </ul>
     </li>   
   <% } %>
<% } %>