<%@page import="com.jalios.jcmsplugin.explorer.ExplorerUtils"%>
<%@ include file="/plugins/ExplorerPlugin/jsp/app/contextmenu/doInitExplorerContextMenuAction.jspf" %><%
// Do not show public link action on document if 10SP7 since it is now available in share action

if (!isLogged) {
  return;
}

if (!(contextMenuData instanceof FileDocument)) {
  return;
}

if (ExplorerUtils.is10SP7OrGreater()) {
  return;
}

FileDocument doc = (FileDocument) contextMenuData;

boolean showPubLink = Util.notEmpty(doc.getFilename()) && channel.getBooleanProperty("channel.public-link.enabled", true);

if (!showPubLink) {
  return;
}

String url;
String label;
String icon;

if (ExplorerUtils.is10SP5OrGreater()) { 
  if (!AccessControlManager.getInstance().checkAccessIfAclExists(loggedMember, "feature/public-link/create", null)) {
    return;
  }
  url = "front/publicLink/editPublicLink.jsp?docIds=" +  doc.getId();
  label = "ui.fo.public-link.lbl.create"; // extracted to avoid issues with JspChecker
  icon = "public-link";
} else {
  url = "front/publicLink.jsp?docId=" +  doc.getId();
  label = "jcmsplugin.explorer.action.public-link";
  icon = "jcmsplugin-explorer-publicLink";
}
%>
<li class="explorer-ctxmenu-publicLink"><a role="button" tabindex="0" data-jalios-action="modal" data-jalios-modal-url="<%= url %>"><jalios:icon src="<%= icon %>"/> <%= glp(label) %></a></li>
