<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerActionResult.ExplorerActionStatus"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler.ExplorerAction"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler.BreadCrumbItem"%>
<%@page import="com.jalios.jcms.taglib.card.CardsDisplayMode"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

if (explorerHandler == null) {
  return;
}

boolean isUploadEnabled = explorerHandler.canUploadDocumentsInCategory(explorerHandler.getAvailableExplorerCurrentCategory());
%>
<div class="ajax-refresh-div app-body-wrapper" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/doExplorerAppBody.jsp">
	<input type="hidden" class="explorer-current-url" name="currentExplorerUrl" value="<%= explorerHandler.getExplorerCurrentUrl() %>" />
  <input type="hidden"  name="originalExplorerUrl" value="<%= encodeForHTMLAttribute(Util.notEmpty(explorerHandler.getOriginalExplorerUrl()) ? explorerHandler.getOriginalExplorerUrl() : ServletUtil.getResourcePath(request)) %>" />
	<div class="app-body <%= !isUploadEnabled ? "is-upload-forbidden" : "" %>" data-jalios-explorer-debug-mode-enabled="<%= ExplorerAppManager.getInstance().isDebugModeEnabled() %>"  data-jalios-explorer-current-category-is-root="<%= explorerHandler.isCurrentCategoryRoot() %>" data-jalios-explorer-app-scroll-to-previous-folder="<%= ExplorerAppManager.getInstance().isExplorerScrollToPreviousFolder() %>" data-jalios-explorer-current-category-name="<%= explorerHandler.getAvailableExplorerCurrentCategory() != null ? encodeForHTMLAttribute(explorerHandler.getAvailableExplorerCurrentCategory().getName(userLang)) : ""  %>">
		<div class="explorer-result-wrapper">
			<nav class="navbar navbar-default explorer-toolbar">
			  <div class="container-fluid">
          <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/publishmenu/doExplorerPublishMenu.jsp" />
			    <jalios:include target="EXPLORER_NAVBAR_LEFT_1"/>
          <% if (!explorerHandler.isShowUncategorizedContent()) { %>
          <ul class="nav navbar-nav">
			      <li class="explorer-actions-dropdown dropdown"> 
			        <a role="button" tabindex="0" class="dropdown-toggle" id="explorer-actions-menu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><jalios:icon src="actions" /> <%= glp("jcmsplugin.explorer.app.navbar-actions") %><span class="caret"></span> </a> 
			        <ul class="explorer-dropdown dropdown-menu explorer-actions-menu mceButton" aria-labelledby="explorer-actions-menu">
					      <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/contextmenu/doExplorerContextMenu.jsp" />
			        </ul>
			      </li>
					</ul>
          <% } %>
          <div class="navbar-selected-elements hide no-focus">
            <button title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.unselect-all-items")) %>"  class="btn btn-rounded" type="button" data-jalios-explorer-action="unselectAllItems"><jalios:icon src="remove" alt="jcmsplugin.explorer.app.unselect-all-items" /></button>
            <p><%= glp("jcmsplugin.explorer.app.selected-items", 2) %></p>
          </div>
          <jalios:include target="EXPLORER_NAVBAR_LEFT_2" />
          <div class="navbar-form navbar-right">

          </div>
          <div class="navbar-form navbar-right">
            <jalios:include target="EXPLORER_NAVBAR_RIGHT_1" />
            <div class="display-mode-wrapper navbar-btn" >
              <% 
                boolean isCard = "CARDS".equals(explorerHandler.getAvailableDisplayMode().toString()); 
                boolean isList = "LIST".equals(explorerHandler.getAvailableDisplayMode().toString());
              %>
              <button data-jalios-explorer-action="toggleDisplayMode" class="display-mode-chooser btn-rounded btn no-focus" type="button" title="<%= isCard ? glp("jcmsplugin.explorer.app.display-mode-toggler-LIST") : glp("jcmsplugin.explorer.app.display-mode-toggler-CARDS") %>" data-jalios-alt-title="<%= isList ? glp("jcmsplugin.explorer.app.display-mode-toggler-LIST") : glp("jcmsplugin.explorer.app.display-mode-toggler-CARDS") %>">
                <jalios:icon  src="jcmsplugin-explorer-app-cards-view" css='<%= isCard ? "display-mode-CARDS hide" : "display-mode-CARDS" %>'/>
                <jalios:icon src="jcmsplugin-explorer-app-list-view" css='<%= isList ? "display-mode-LIST hide" : "display-mode-LIST" %>'/>
                <span class="sr-only label-wrapper"><span class="display-mode-LIST"><%= glp("jcmsplugin.explorer.app.display-mode-toggler-LIST") %></span><span class="display-mode-CARDS"><%= glp("jcmsplugin.explorer.app.display-mode-toggler-CARDS") %></span></span>
                <input class="js-change-display-mode" type="radio" name="displayMode" value="<%= isList ? "LIST" : "CARDS" %>" checked="checked" >
              </button>
            </div>
            
            <% if (explorerHandler.getAvailablePortletExplorer().getShowSearchBox()) { %>
              <span class="navbar-separator"></span>
              <jalios:field name='explorerSearch' value="<%= explorerHandler.getExplorerSearch() %>" resource="field-light">
                <% String searchInputAriaLabelledBy = " aria-labelledby=\"explorer-search-button\""; %>
                <jalios:control settings='<%= new TextFieldSettings().placeholder("jcmsplugin.explorer.app.search-placeholder").css("explorer-search-input").htmlAttributes(searchInputAriaLabelledBy) %>' />
                <span class="input-group-btn">
                  <% String searchButtonTitle = explorerHandler.getAvailableExplorerCurrentCategory() != null ? glp("jcmsplugin.explorer.app.search-in-current-folder", explorerHandler.getAvailableExplorerCurrentCategory().getName(userLang)) : glp("jcmsplugin.explorer.app.search-in-current-multi-folder"); %>
                  <button class="btn btn-default" id="explorer-search-button" title="<%= encodeForHTMLAttribute(searchButtonTitle) %>" aria-label="<%= encodeForHTMLAttribute(searchButtonTitle) %>" data-jalios-action="ajax-refresh" data-jalios-target=".app-body-wrapper" name="opSearch" type="submit" <%= explorerHandler.getExplorerDataAttributes() %>><jalios:icon src="search"/></button>
                  <% if(Util.notEmpty(explorerHandler.getExplorerSearch())) { %>
                    <button class="btn btn-default ajax-refresh btn-remove" data-jalios-target=".app-body-wrapper" data-jalios-action="widget:clear" title='<%= glp("ui.com.btn.reset") %>'>
                    <jalios:icon src="remove" alt="ui.com.btn.reset" /></button>
                  <% } %>
                </span>
              </jalios:field>
            <% } %>
            <jalios:include target="EXPLORER_NAVBAR_RIGHT_2" /> 
          
          </div>

	        <jalios:include target="EXPLORER_NAVBAR_RIGHT_3" /> 
			  </div>
			</nav>
			<jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppResult.jsp" />
		  <div class="app-no-results app-explorer-no-results hide">
	      <% if (explorerHandler.canUploadDocumentsInCurrentCategory() && !explorerHandler.isFiltered() && explorerHandler.getAvailablePortletExplorer().getShowUploadZone()) { %>
		      <div class="upload-wrapper">
			  	  <jalios:icon css="app-no-result-icon app-no-result-upload" src="jcmsplugin-explorer-app-no-results-upload" />
		        <% if (explorerHandler.showAddMenu()) { %>
		          <p><%= glp("jcmsplugin.explorer.app.drop-your-files") %></p>
		          <div class="dropdown">
                <a class="btn btn-default upload-file-btn" data-jalios-data-id="<%= explorerHandler.getAvailableExplorerCurrentCategory().getId() %>"><%= glp("jcmsplugin.explorer.app.select-files") %></a>
		          </div>
		        <% } %>
		      </div>
        <% } else { %>
          <jalios:icon css="app-no-result-icon" src="app.no-result" />
          <p><%= explorerHandler.isFiltered() ? glp("jcmsplugin.explorer.app.empty-folder-filter") : glp("jcmsplugin.explorer.app.empty-folder") %></p>
          <% if (Util.notEmpty(explorerHandler.getExplorerSearch()) && Util.notEmpty(explorerHandler.getSpellSuggestion())) { %>
            <p><%= glp("ui.work.query.txt.didyoumean") %> <a href="#" data-jalios-explorer-action="spellSuggestion"><%= explorerHandler.getSpellSuggestion() %></a></p>
          <% } %>
        <% } %>
	    </div>
		</div>
	</div>
  <div class="hide">
    <jalios:control settings='<%= new ColorSettings().name("colorPicker").css("explorerChangeColorPicker hide").addOption("paletteColors", "jcmsplugin.explorer.colorpicker") %>'></jalios:control>
  </div>  
  <%@ include file='/jcore/doAjaxFooter.jspf' %>
</div>