<%@page import="com.jalios.jcms.taglib.settings.impl.MemberSettings.MemberFilter"%>
<%@page import="org.apache.commons.lang.StringUtils"%><%
%><%@page import="com.jalios.jcms.upload.UploadManager"%><%
%><%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%><%
%><%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
%><jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" /><%
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

if (explorerHandler.getAvailablePortletExplorer() == null) {
  PortletExplorer portletExplorer = (PortletExplorer) request.getAttribute("explorerPortlet");
  if (portletExplorer != null) {
    explorerHandler.setPortletExplorer(portletExplorer.getId());
  }
}

if (explorerHandler.getAvailablePortletExplorer() == null) {
  return;
}

explorerHandler.setOriginalExplorerUrl(encodeForHTMLAttribute(Util.notEmpty(explorerHandler.getOriginalExplorerUrl()) ? explorerHandler.getOriginalExplorerUrl() : ServletUtil.getResourcePath(request)));

if (!explorerHandler.isCurrentCategoryInRoot()) {
  sendRedirect(explorerHandler.getCategoryUrl(null, workspace));
  return;
}

explorerHandler.addFrontEndDependencies();
explorerHandler.validate();
if (explorerHandler.getAvailableExplorerCurrentCategory() != null && !explorerHandler.getAvailableExplorerCurrentCategory().canBeReadBy(loggedMember)) {
  sendForbidden(request, response);
  return;
}
boolean hasSidebar = !Util.toBoolean(request.getAttribute("explorer-no-sidebar"), false) && explorerHandler.getAvailablePortletExplorer().getShowSidebar();
%>
<% if (explorerHandler.checkRootAccess() && !explorerHandler.canAccessOneRoot()) { %>
  <jalios:message level="<%= MessageLevel.WARN %>"><%= glp("jcmsplugin.explorer.app.no-root-access") %></jalios:message>
<% } else { %>
  <div class="ajax-refresh-div" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/doExplorerAppInner.jsp" >
    <% Publication displayedPublication = explorerHandler.getAvailableDisplayedPublication(); %>
    <% if (Util.notEmpty(displayedPublication) && displayedPublication.canBeReadBy(loggedMember)) { %>
      <div class="displayed-publication hide" data-jalios-data-id="<%= displayedPublication.getId() %>">
        <span class="js-title"><jalios:dataicon data="<%= displayedPublication %>" /><%= displayedPublication.getTitle(userLang,true) %></span>
      </div>
    <% } %>
    <div id="template-container">
  	  <div class="dz-preview dz-file-preview explorer-item-data">
  	    <div class="dz-image">
          <img alt="" data-dz-thumbnail src="s.gif" />
  	    </div>
  		  <div class="dz-details">
  		    <div class="dz-filename"><span data-dz-name></span></div>
  		    <div class="dz-size" data-dz-size></div>
  	      <div class="dz-progress"><span class="progress-text"></span><span class="dz-upload" data-dz-uploadprogress></span></div>
  	      <div class="dz-error-message"><span data-dz-errormessage></span></div>
  		  </div>
  		  <div class="upload-state">
  	      <jalios:icon src="jcmsplugin-explorer-upload-success" />
  	      <jalios:icon src="jcmsplugin-explorer-upload-failed" />
  		  </div>
  		</div>
    </div>
  	<form class="explorer-form" action="plugins/ExplorerPlugin/jsp/app/doExplorerAppInner.jsp" method="POST">
  	  <div class="app app-explorer <%= hasSidebar ? "" : "has-no-sidebar" %>" <%= explorerHandler.getExplorerDataAttributes() %>>
  	    <div class="upload-previews dropzone">
  	      <div class="upload-previews-header"><jalios:icon css="close-preview btn" title="ui.com.btn.close" src="jcmsplugin-explorer-upload-close" /> Uploads</div>
  	      <div class="upload-previews-body"></div>
  	    </div>
  	  
  	    <%-- SIDEBAR --%>
  	    <% if (hasSidebar) { %>  
  		    <div class="app-sidebar" role="region" aria-label="<%= glp("ui.app.main-navigation.aria-label") %>">
            <jalios:include target="EXPLORER_SIDEBAR_1"/>
  	        <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppSidebar_categories.jsp" />
            <jalios:include target="EXPLORER_SIDEBAR_2"/>
            <jalios:appSidebarSection name="sort" css="no-focus" title="jcmsplugin.explorer.app.sidebar.sort">
              <jalios:field name='explorerSort' resource="field-app" css="app-sidebar-field" value="<%= explorerHandler.getExplorerSort() %>" mv="-1" required="true">
                <% String sortSectionId = Util.getString(request.getAttribute("sidebarSectionTitleId"), ""); %>
                <% String sortHtmlAttributes = "title=\"" + glp("jcmsplugin.explorer.app.sort-explorer") + "\"   aria-label=\"" + glp("jcmsplugin.explorer.app.sort-explorer") + "\""; %>
                <span class="sr-only"><%= glp("jcmsplugin.explorer.app.sidebar.sort") %></span>
                <jalios:control settings='<%= explorerHandler.getSortEnumerateSettings().htmlAttributes(sortHtmlAttributes) %>' />
              </jalios:field>
              <div class="explorer-sort-descending-input hide">
                <input type="radio" class="explorer-sort-descending-enabled" name="explorerSortDescending" value="true" <% if (explorerHandler.isExplorerSortDescending()) { %>checked="checked" <% } %> />
                <input type="radio" class="explorer-sort-descending-disabled" name="explorerSortDescending" value="false" <% if (!explorerHandler.isExplorerSortDescending()) { %>checked="checked" <% } %> />
               </div>
            </jalios:appSidebarSection>
            <jalios:include target="EXPLORER_SIDEBAR_3"/>
            <jalios:appSidebarSection name="filters" css="no-focus" title="jcmsplugin.explorer.app.sidebar.filters">
  					  <jalios:field name='mids' resource="field-light" css="app-sidebar-field member-filter" value="<%= explorerHandler.getMids() %>" mv="-1">
                <% String memberFilterHtmlAttributes = "title=\"" + glp("jcmsplugin.explorer.app.member-filter-label") + "\" aria-label=\"" + glp("jcmsplugin.explorer.app.member-filter-label") + "\""; %>
  					    <jalios:control settings='<%= new MemberSettings().filter(MemberFilter.ACCOUNT, MemberFilter.ENABLED).placeholder("jcmsplugin.explorer.app.sidebar.input-member.placeholder").dataAttribute("jalios-explorer-filter", "true").htmlAttributes(memberFilterHtmlAttributes) %>' />
  					  </jalios:field>
  		        <jalios:field name='startDate' resource="field-light" css="app-sidebar-field start-date-filter" value="<%= explorerHandler.getAvailableStartDate() %>">
                <% String startDateFilterHtmlAttributes = "title=\"" + glp("jcmsplugin.explorer.app.startDate-filter-label") + "\"  aria-label=\"" + glp("jcmsplugin.explorer.app.startDate-filter-label") + "\""; %>
  		          <jalios:control settings='<%= new DateSettings().placeholder("jcmsplugin.explorer.app.sidebar.input-start-date.placeholder").dataAttribute("jalios-explorer-filter", "true").htmlAttributes(startDateFilterHtmlAttributes) %>' />
  		        </jalios:field>     
  	          <jalios:field name='endDate' resource="field-light" css="app-sidebar-field end-date-filter" value="<%= explorerHandler.getAvailableEndDate() %>">
                <% String endDateFilterHtmlAttributes = "title=\"" + glp("jcmsplugin.explorer.app.endDate-filter-label") + "\"  aria-label=\"" + glp("jcmsplugin.explorer.app.endDate-filter-label") + "\""; %>
  	            <jalios:control settings='<%= new DateSettings().placeholder("jcmsplugin.explorer.app.sidebar.input-end-date.placeholder").dataAttribute("jalios-explorer-filter", "true").htmlAttributes(endDateFilterHtmlAttributes) %>' />
  	          </jalios:field>
  	          <jalios:field name="types" resource="field-light" css="app-sidebar-field type-filter" value="<%= explorerHandler.getTypes() %>" mv="-1" required="true">
                <% String typesFilterHtmlAttributes = "title=\"" + glp("jcmsplugin.explorer.app.types-filter-label") + "\"  aria-label=\"" + glp("jcmsplugin.explorer.app.types-filter-label") + "\""; %>
  	            <jalios:control settings='<%= explorerHandler.getTypesEnumerateSettings().dataAttribute("jalios-explorer-filter", "true").htmlAttributes(typesFilterHtmlAttributes) %>' />
  	          </jalios:field>
  	          <jalios:include target="EXPLORER_SIDEBAR_4"/>
  	          <% if (explorerHandler.hasDocumentType() && !explorerHandler.isPortletDocumentKindFiltered()) { %>
  	            <% 
  	              String documentKindsFilterHtmlAttributes = "title=\"" + glp("jcmsplugin.explorer.app.doc-kinds-filter-label") + "\"  aria-label=\"" + glp("jcmsplugin.explorer.app.doc-kinds-filter-label") + "\"";
  	              EnumerateSettings documentSettings = new EnumerateSettings().select().dataAttribute("jalios-explorer-filter", "true").htmlAttributes(documentKindsFilterHtmlAttributes);
  	            %>
  	            <jalios:field required="true" css="app-sidebar-field kind-filter" resource="field-light" name="documentKinds" value="<%= explorerHandler.getDocumentKinds() %>" mv="-1">
  							  <jalios:control settings="<%= documentSettings %>" >
  							    <jalios:buffer name="SELECT_OPTIONS">
  							      <option value="" <%= Util.isEmpty(fieldValue) ? "selected='selected'" : ""%>><%= glp("ui.work.pub.lbl.all-kinds") %></option>
  							      <option value="" disabled="disabled">-----------------------</option>   
  							      
  							      <%
  							        // Retrieve map of the "kind group name" to "document kind group label"
  							        Map<String,String> kindGroupMap = com.jalios.jcms.handler.QueryHandler.getDocumentKindsGroupMap(userLang);
  							        for (Map.Entry<String,String> groupEntry : kindGroupMap.entrySet()) {
  							          String kindGroupName = groupEntry.getKey();
  							          String kindGroupLabel = groupEntry.getValue();
  							          boolean kindAlreadySelected = false;
  							          %>
  							          <optgroup label="<%= kindGroupLabel %>">
  							          <% 
  							          Map<String,String> kindMap = com.jalios.jcms.handler.QueryHandler.getDocumentKindsMap(userLang, kindGroupName);
  							          for (Map.Entry<String,String> kindEntry : kindMap.entrySet()) {
  							            String kindName = kindEntry.getKey();
  							            String kindLabel = kindEntry.getValue();
  							            String kindHelp = glp("file-document.kinds." + kindName + ".h");
  							            boolean kindSelected = !kindAlreadySelected && Util.arrayContains(explorerHandler.getDocumentKinds(), kindName);
  							            kindAlreadySelected |= kindSelected; 
  							      %>
  							        <option value="<%= kindName %>" title="<%= kindHelp %>" <%= kindSelected ? "selected=\"selected\"" : "" %>><%= kindLabel %></option>
  							      <% } %>
  							        </optgroup>
  							     <% } %>      
  							      
  							    </jalios:buffer>
  							    
  							  </jalios:control>
  							
  							</jalios:field>
  	          <% } %>
              <jalios:include target="EXPLORER_SIDEBAR_5"/>
  	        </jalios:appSidebarSection>
  		    </div>
  	    <% } else { %>
          <div class="app-sidebar-section sidebar-section-sort no-focus hide">
            <div class="app-sidebar-section-title"><%= glp("jcmsplugin.explorer.app.sidebar.sort") %></div>
            <jalios:field name='explorerSort' resource="field-light" css="app-sidebar-field" value="<%= explorerHandler.getExplorerSort() %>" mv="-1" required="true">
              <% String sortAriaLabel = " aria-label=\"" + glp("jcmsplugin.explorer.app.sort-explorer") + "\""; %>
              <jalios:control settings='<%= explorerHandler.getSortEnumerateSettings().htmlAttributes(sortAriaLabel) %>' />
            </jalios:field>
            <div class="explorer-sort-descending-input hide">
              <input type="radio" class="explorer-sort-descending-enabled" name="explorerSortDescending" value="true" <% if (explorerHandler.isExplorerSortDescending()) { %>checked="checked" <% } %> />
              <input type="radio" class="explorer-sort-descending-disabled" name="explorerSortDescending" value="false" <% if (!explorerHandler.isExplorerSortDescending()) { %>checked="checked" <% } %> />
             </div>
          </div>
        <% } %>
  	    <div class="app-splitter" style="touch-action: none;"></div>
  	    <%-- MAIN --%>
  	    <% boolean isUploadEnabled = explorerHandler.canUploadDocumentsInCategory(explorerHandler.getAvailableExplorerCurrentCategory());  %>
  	    <div class="app-main <%= !isUploadEnabled ? "is-upload-forbidden" : "" %>" data-jalios-explorer-can-upload="<%= explorerHandler.canUploadDocumentsInCurrentCategory() %>">
  	      <%-- HEADER --%>
  	      <% if (!workspace.isCollaborativeSpace()) { %>
  	      <div class="app-header has-title">
  	        <h1>Explorer app</h1>
  	      </div>
  	      <% } %>
  	      <%-- BODY --%>
  				<jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppBody.jsp" />
  	    </div>
        <input type="hidden" name="collaborativeSpaceApplicationDisplay" value="<%= explorerHandler.isCollaborativeSpaceApplicationDisplay() %>" />
  	  </div>
  	</form>
  	<%@ include file='/jcore/doAjaxFooter.jspf' %>
  </div>
  	<div id="explorer-preview-sidebar" aria-modal="true" role="dialog"  aria-labelledby="sidebar-<%= explorerHandler.getAvailablePortletExplorer().getId() %>" class="explorer-preview-sidebar explorer-sidebar sidebar-right is-closed sidebar-tabbed sidebar-component hide" data-jalios-sidebar-direction="right">
  	  <div class="sidebar-header">
  	    <div class="data-title">
  		    <div class="data-icon"><jalios:icon src="file" /></div>
  		    <h2 class="data-label" id="sidebar-<%= explorerHandler.getAvailablePortletExplorer().getId() %>">Sample name</h2>
  	    </div>
  	    <a class="btn sidebar-close sidebar-closer" title='<%= glp("ui.com.btn.close") %>' data-jalios-sidebar-action="close" data-jalios-sidebar-target=".explorer-sidebar">
  	      <jalios:icon src="close-sidebar"/>
  	    </a>
  	  </div>
  	  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/sidebar/doExplorerAppSidebarInner.jsp" />
  	</div>
    <div id="explorerContextMenu" class="explorer-context-menu dropdown clearfix">
      <ul class="explorer-dropdown dropdown-menu" role="menu" aria-label="<%= glp("jcmsplugin.explorer.app.context-menu-label") %>" style="display:block;position:static;margin-bottom:5px;">
      </ul>
    </div>
    <div id="explorerUploadInformationWrapper" class="explorer-tooltip explorer-upload-tooltip">
      <jalios:icon css="tooltip-icon" src="glyph: icomoon-upload2" />
      <p><span class="authorized-text "><%= glp("jcmsplugin.explorer.app.upload-files-into") %> </span><span class="forbidden-text"><%= glp("jcmsplugin.explorer.app.info.upload-forbidden") %></span></p> 
      <p><jalios:icon src="jcmsplugin-explorer-folder" /><span class="explorer-tooltip-target explorer-upload-tooltip-category">Sample name</span></p>
    </div>  
    <div id="explorerMoveInformationWrapper" class="explorer-tooltip explorer-move-tooltip">
      <jalios:icon css="tooltip-icon" src="glyph: icomoon-folder-plus2" />
      <p>
  	    <span class="authorized-text"><%= glp("jcmsplugin.explorer.app.move-files-into") %></span>
  	    <span class="forbidden-text"><%= glp("jcmsplugin.explorer.app.cannot-move-files-into") %></span>
      </p> 
      <p><jalios:icon src="jcmsplugin-explorer-folder" /><span class="explorer-tooltip-target  explorer-move-tooltip-category">Sample name</span></p>
    </div>   
    
    <div id="explorer-edit-sidebar" class="explorer-edit-sidebar explorer-sidebar sidebar-right is-closed sidebar-tabbed sidebar-component hide" data-jalios-sidebar-direction="right">
      <div class="sidebar-header">
        <div class="data-title">
          <div class="data-icon"><jalios:icon src="file" /></div>
          <span class="data-label">Sample name</span>
        </div>
        <a class="btn sidebar-close sidebar-closer" title='<%= glp("ui.com.btn.close") %>' data-jalios-sidebar-action="close" data-jalios-sidebar-target=".explorer-sidebar">
          <jalios:icon src="close-sidebar"/>
        </a>
      </div>
     <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/editSidebar/doExplorerEditSidebarInner.jsp" />
  </div>
  <script>
    var explorerAppI18Nprops = {
      alreadyPinnedWarning: "<%= glp("jcmsplugin.explorer.app.warning.category-already-pinned") %>",
      cannotUploadInFolder: "<%= glp("jcmsplugin.explorer.app.info.upload-forbidden") %>",
      noPublicationToSelect: "<%= glp("jcmsplugin.explorer.app.warning.select-all") %>"
    }
  </script>
  <jalios:javascript>
    <% if (explorerHandler.scrollToExplorer()) {%>
      jQuery.plugin.ExplorerApp.scrollToExplorer("<%= explorerHandler.getAvailablePortletExplorer().getId() %>");
    <% } %>
  </jalios:javascript>
<% } %>