<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
	<jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

if (explorerHandler == null) {
  return;
}

Set<Category> catSet = new TreeSet<>(Category.getOrderComparator(userLang));
if (explorerHandler.isMultiRootExplorer()) {
  catSet.addAll(explorerHandler.getAvailableExplorerRootCategories());
} else {
  catSet.addAll(Util.getFirst(explorerHandler.getAvailableExplorerRootCategories()).getChildrenSet());
}

JcmsUtil.applyDataSelector(catSet, Category.getAuthorizedSelector(loggedMember));
%>
<div class="ajax-refresh-div" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/doExplorerAppSidebar_categories.jsp">
	<nav class="app-sidebar-section app-sidebar-section-sort app-sidebar-categorytree" role="navigation" aria-label="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.categories-navigation-label")) %>">
	  <h2 class="app-sidebar-section-title" id="explorer-sidebar-categories"><span><%= glp("jcmsplugin.explorer.app.explorer-section-title.category") %></span> <span title="<%= glp("jcmsplugin.explorer.app.sidebar.category-search.title") %>" tabindex="0" aria-expanded="false" role="button" class="btn btn-rounded category-search-trigger js-toggle-sidebar-category-search"><jalios:icon src="search" alt="jcmsplugin.explorer.app.sidebar.category-search.title" /></span></h2>
		<jalios:field name='text' resource="field-light" css="app-sidebar-field  category-search-field hide js-explorer-category-chooser">
      <% String searchTitleHtmlAttr = "title=\"" + glp("jcmsplugin.explorer.app.sidebar.input-search.placeholder") + "\""; %>
	    <jalios:control settings='<%= new CategorySettings().displayRoots(false).htmlAttributes(searchTitleHtmlAttr).disableLiveCreation().filter(CategoryFilter.READ).root(explorerHandler.getAvailableExplorerRootCategories()).aria("label", glp("jcmsplugin.explorer.app.sidebar.input-search.placeholder")).placeholder("jcmsplugin.explorer.app.sidebar.input-search.placeholder") %>' />
	  </jalios:field>
		<ul class="app-sidebar-menu" >
		   <% if (!explorerHandler.isMultiRootExplorer()) { %>
		     <% Category uniqueRoot = Util.getFirst(explorerHandler.getAvailableExplorerRootCategories()); %>
	       <li class="sidebar-categorytree-item is-root-access <%= !explorerHandler.isShowUncategorizedContent() && Util.getFirst(explorerHandler.getAvailableExplorerRootCategories()) == explorerHandler.getAvailableExplorerCurrentCategory() ? " active " : "" %> <%= isLogged && loggedMember.canUseCategory(uniqueRoot) ? "is-droppable" : "" %>" data-jalios-explorer-action="selectItem" data-jalios-data-id="<%= uniqueRoot.getId() %>"><a role="button" tabindex="0" data-jalios-explorer-history="<%= encodeForHTMLAttribute(explorerHandler.getCategoryUrl(null, workspace)) %>" data-jalios-data-id="<%= uniqueRoot.getId() %>"  ><jalios:icon src="jcmsplugin-explorer-app-sidebar-root-icon" /> <%= glp("jcmsplugin.explorer.app.root") %></a></li>
		   <% } %>
		   <% for (Category itCat : catSet) { %>
		     <% request.setAttribute("sidebar-category-item", itCat); %>
	       <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppSidebar_categoryNode.jsp" />
		   <% } %> 
       <% if (explorerHandler.showUncategorizedSidebarEntry()) { %>
         <li <% if (explorerHandler.isShowUncategorizedContent()) { %>aria-current="true"<% } %> class="sidebar-categorytree-item is-upload-forbidden is-uncategorized-access <%= explorerHandler.isShowUncategorizedContent() ? "active" : "" %>" data-jalios-explorer-action="selectItem"><a role="button" tabindex="0"  data-jalios-explorer-history="<%= encodeForHTMLAttribute(explorerHandler.getUncategorizedUrl()) %>"><jalios:icon src="jcmsplugin-explorer-app-sidebar-icon" /> <span class="js-title"><%= glp("jcmsplugin.explorer.app.uncategorized") %></span></a></li>
       <% } %>       
	  </ul>  
	</nav>
</div>