<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@page import="com.jalios.jcms.tracking.ReaderTrackerManager"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerField"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

if (explorerHandler == null) {
  return;
}
%>
<div role="rowgroup" class="explorer-table-body ajax-refresh-div explorer-section-publications js-draggable-elements" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/list/doExplorerAppBody_publicationList.jsp">
	<% if (Util.notEmpty(explorerHandler.getResult().getPublicationList())) { %>
    <% int itCounter = Util.notEmpty(request.getAttribute("rowIndex")) ? Util.toInt(request.getAttribute("rowIndex"), 1) : 1 + explorerHandler.getResult().getCategories().size();  %>
    <% int rowIndex = Util.toInt(request.getAttribute("rowIndex"), itCounter + explorerHandler.getStart()); %>
	  <% for (Publication itPub : explorerHandler.getResult().getPublicationList()) { %>
	   <% 
	    DataAttribute cardDataAttribute = new DataAttribute();
	    cardDataAttribute.addData("jalios-explorer-action", "selectItem");    
	    boolean canWorkOn = isLogged && loggedMember.canWorkOn(itPub);
	   %>
	   <div aria-rowindex="<%= rowIndex %>" role="row" data-jalios-data-id="<%= itPub.getId() %>" data-jalios-data-url="<%= encodeForHTMLAttribute(itPub.getDisplayUrl(userLocale)) %>" class="explorer-item explorer-item-data explorer-table-row explorer-row-item <%= !canWorkOn ? " is-uneditable" : "" %>" <%= cardDataAttribute.toString() %>>
        <div role="cell" class="checkbox-wrapper">
          <span class="js-activate-card" role="button" tabindex="0" data-toggle="tooltip" data-placement="top" aria-label="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", itPub.getTitle(userLang, true))) %>" title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", itPub.getTitle(userLang, true))) %>" data-jalios-select-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", itPub.getTitle(userLang, true))) %>" data-jalios-unselect-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.unselect", itPub.getTitle(userLang, true))) %>">
            <input class="checkbox-check" type="checkbox" name="activate-card" />
            <span class="checkbox-text">
              <span class="checkbox-icon">
                <jalios:icon src="glyph: icomoon icomoon-checkmark3" />
              </span>
            </span>
          </span>
        </div>
        <% for (String field : ExplorerAppManager.getInstance().getExplorerFields(explorerHandler.getAvailablePortletExplorer())) { %>
          <% if (!ExplorerField.getIfPresent(field).isPresent()) { continue; } %>
          <% ExplorerField explorerField = ExplorerField.getIfPresent(field).get(); %>
          <% if (ExplorerField.EDIT == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><jalios:edit css="btn btn-rounded" data="<%= itPub %>" /></div>
          <% } else if (ExplorerField.COUNTER == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itCounter + explorerHandler.getStart() %></div>
          <% } else if (ExplorerField.CADDY == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><jalios:caddy css="btn btn-rounded" data="<%= itPub %>"/></div>
          <% } else if (ExplorerField.STATUS == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>">
              <%= itPub.getWFStateLabelHtml(userLang) %>
            </div>
          <% } else if (ExplorerField.TITLE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-title">
              <% request.setAttribute("explorer.list.data", itPub); %>
              <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/list/doExplorerAppBody_publicationListImage.jsp" />
              <span class="js-title" tabindex="0" role="button" data-jalios-truncate='{ "value" : 2 }'><jalios:dataicon htmlAttributes='aria-hidden=\"true\"'  alt="<%= itPub.getDataIconTitle(userLang) %>" css="js-icon" data="<%= itPub %>" /> <%= itPub.getTitle(userLang) %></span>
            </div>
          <% } else if (ExplorerField.ID == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itPub.getId() %></div>
          <% } else if (ExplorerField.TYPE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itPub.getTypeLabel(userLang) %></div>
          <% } else if (ExplorerField.MAIN_LANGUAGE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><jalios:lang lang="<%= itPub.getMainLanguage() %>"/></div>
          <% } else if (ExplorerField.RIGHTS == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>">
              <% request.setAttribute("explorer-list-pub", itPub); %>
              <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/list/doExplorerAppBody_publicationState.jsp" />
            </div>
          <% } else if (ExplorerField.AUTHOR == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-member-photo"><% if (itPub.getAuthor() != null) { %><jalios:memberphoto link="false" member="<%= itPub.getAuthor() %>" size="<%= PhotoSize.ICON %>"/> <%= itPub.getAuthor() != null ? itPub.getAuthor().getFullName() : "" %><% } %></div>
          <% } else if (ExplorerField.OP_AUTHOR == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-member-photo"><% if (itPub.getOpAuthor() != null) { %><jalios:memberphoto link="false" member="<%= itPub.getOpAuthor() %>" size="<%= PhotoSize.ICON %>"/> <%= itPub.getOpAuthor() != null ? itPub.getOpAuthor().getFullName() : "" %><% } %></div>
          <% } else if (ExplorerField.CDATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date"><jalios:date format="timeDateOrTime" date="<%= itPub.getCdate() %>" /></div>
          <% } else if (ExplorerField.MDATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date"><jalios:date format="timeDateOrTime" date="<%= itPub.getMdate() %>" /></div>
          <% } else if (ExplorerField.UDATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date"><jalios:date format="timeDateOrTime" date="<%= itPub.getUdate() %>" /></div>
          <% } else if (ExplorerField.PDATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date"><jalios:date format="timeDateOrTime" date="<%= itPub.getPdate() %>" /></div>
          <% } else if (ExplorerField.EDATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date"><jalios:date format="timeDateOrTime" date="<%= itPub.getEdate() %>" /></div>
          <% } else if (ExplorerField.SDATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date"><jalios:date format="timeDateOrTime" date="<%= itPub.getSdate() %>" /></div>
          <% } else if (ExplorerField.IDXDATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date"><jalios:date format="timeDateOrTime" date="<%= itPub.getIndexingDate() %>" /></div>
          <% } else if (ExplorerField.UPLOAD_DATE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> item-date">
              <% if (itPub instanceof FileDocument) { %>
                <jalios:date format="timeDateOrTime" date="<%= ((FileDocument)itPub).getUploadDate() %>" />
              <% } %>
            </div>
          <% } else if (ExplorerField.DOWNLOAD == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> is-action">
              <% if (itPub instanceof FileDocument) { %>
                <a class="btn btn-rounded" href="<%= ((FileDocument) itPub).getDownloadUrl() %>" download="<%= encodeForHTMLAttribute(((FileDocument) itPub).getDownloadName(userLang)) %>"><jalios:icon src="jcmsplugin-explorer-download"/></a>
              <% } %>
            </div>
          <% } else if (ExplorerField.DOWNLOAD_COUNT_AND_ACTION == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %> is-action">
              <% if (itPub instanceof FileDocument) { %><%= ReaderTrackerManager.getInstance().getDownloadCount(itPub) %><a class="btn btn-rounded" href="<%= ((FileDocument) itPub).getDownloadUrl() %>" download="<%= encodeForHTMLAttribute(((FileDocument) itPub).getDownloadName(userLang)) %>"><jalios:icon src="jcmsplugin-explorer-download"/></a><% } %>
            </div>
          <% } else if (ExplorerField.DOWNLOAD_COUNT == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>">
              <% if (itPub instanceof FileDocument) { %><%= ReaderTrackerManager.getInstance().getDownloadCount(itPub) %><% } %>
            </div>
          <% } else if (ExplorerField.RECOMMEND == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><jalios:recommendation css="btn btn-rounded"  data="<%= itPub %>"><jalios:icon src="recommendation" /></jalios:recommendation></div>
          <% } else if (ExplorerField.VERSION == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itPub.getVersionString() %></div>
          <% } else if (ExplorerField.VOTE_SCORE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itPub.getVoteScore() %></div>
          <% } else if (ExplorerField.READER == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itPub.getReaderCount() %></div>
          <% } else if (ExplorerField.SIZE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><% if (itPub instanceof FileDocument) { %><jalios:filesize doc="<%= (FileDocument) itPub %>" /><% } %></div>
          <% } else if (ExplorerField.POPULARITY == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itPub.getPopularity() %></div>
          <% } else if (ExplorerField.CONTENT_TYPE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><% if (itPub instanceof FileDocument) { %><jalios:dataicon data="<%= ((FileDocument) itPub) %>" /> <%= ((FileDocument) itPub).getTypeInfo(userLang) %><% } %></div>
          <% } else if (ExplorerField.DIMENSIONS == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><% if (itPub instanceof FileDocument && ((FileDocument) itPub).isImage()) { %><%= ((FileDocument) itPub).getDimensions() %><% } %></div>
          <% } else if (ExplorerField.WORKSPACE == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= itPub.getWorkspace().getTitle(userLang, true) %></div>
          <% } else if (ExplorerField.DURATION == explorerField) { %>
            <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><% if (itPub instanceof FileDocument && ((FileDocument) itPub).isAudio()) { %><jalios:duration time='<%= ((FileDocument) itPub).getDuration() %>'/><% } %></div>
          <% } %> 
        <% } %>
        <div role="cell" class="actions-wrapper">
          <a class="btn btn-rounded" role="button" data-jalios-explorer-action="openActionsMenu" tabindex="0" title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.open-actions-menu", itPub.getTitle(userLang, true))) %>"><jalios:icon src="jcmsplugin-explorer-list-actions-menu" alt='<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.open-actions-menu", itPub.getTitle(userLang, true))) %>' /></a>
        </div>
	   </div>
     <% 
     itCounter = itCounter + 1;
     rowIndex = rowIndex + 1;
     %>
     <% } %>
	<% } else { %>
	  <div class="hide">Dummy DIV for ajax-refresh (Ajax-refresh does not accepts empty result)</div>
	<% } %>
  <% if (explorerHandler.getResult().getTotalSize() > (explorerHandler.getPageSize() + explorerHandler.getStart())) { %>
    <div class="explorer-table-row see-more-wrapper">
      <a class="btn btn-default btn-block see-more-btn" data-jalios-ajax-refresh="noscroll nohistory" data-jalios-ajax-refresh-inner=".app-explorer .see-more-wrapper" data-jalios-action="ajax-refresh" data-jalios-options='<%= explorerHandler.getSeeMoreAjaxParams() %>'><%= glp("jcmsplugin.explorer.app.show-more") %> (<%= explorerHandler.getResult().getTotalSize() - explorerHandler.getStart() - explorerHandler.getPageSize() %>)</a>
    </div>
  <% } %>
</div>
<input type="hidden" role="presentation" class="js-explorer-is-filtered-type-document" name="isFilteredTypeDocument" value="<%= explorerHandler.isFilteredTypeDocument() %>" />