<%@page import="com.jalios.jcmsplugin.explorer.rights.FolderRightInformation"%>
<%@page import="com.jalios.jcmsplugin.explorer.rights.CategoryRightType"%>
<%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerModalCategoryRightsHandler"%>
<%@ include file='/jcore/doInitPage.jspf' %><%
ExplorerModalCategoryRightsHandler formHandler = (ExplorerModalCategoryRightsHandler) request.getAttribute("explorer.modal-handler"); 
Category category = formHandler.getAvailableExplorerCurrentCategory();
%>
<div id='use-rights-tab' class="tab-pane fade <%= formHandler.isTabActive(CategoryRightType.USE) ? "active in" : "" %>">
  <%
    List<FolderRightInformation> readInfos = formHandler.getInheritedUseRights();
    request.setAttribute("explorer.rightInfos", readInfos);
    request.setAttribute("explorer.rightType", CategoryRightType.USE);
  %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_inheritedRights.jsp" />
  <div class="rights-block use-rights">
    <div class="rights-block-title"><%= glp("jcmsplugin.explorer.app.modal.category-rights.explicit-rights") %></div>
    <% if (Util.notEmpty(category.getUseGroupSet()) || Util.notEmpty(category.getUseMemberSet())) { %>
      <ul>
        <% if (Util.notEmpty(category.getUseGroupSet())) { %>
          <% for (Group itGroup : category.getUseGroupSet()) { %>
            <% if (itGroup.canBeReadBy(loggedMember)) { %>
              <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup.getName(userLang, true) %></a></li>
            <% } %>
          <% } %>
        <% } %>
        <% if (Util.notEmpty(category.getUseMemberSet())) { %>
          <% for (Member itMember : category.getUseMemberSet()) { %>
            <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>"/> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
          <% } %>
        <% } %>
      </ul>
    <% } %>
  </div>
</div>