<%@page import="com.jalios.jcmsplugin.explorer.rights.FolderRightInformation"%>
<%@page import="com.jalios.jcmsplugin.explorer.rights.CategoryRightType"%>
<%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerModalCategoryRightsHandler"%>
<%@page import="com.jalios.jcms.handler.EditCatHandler"%>
<%@ include file='/jcore/doInitPage.jspf' %><%
EditCatHandler catHandler = (EditCatHandler) request.getAttribute("explorer.edit-cat-handler");
ExplorerModalCategoryRightsHandler formHandler = (ExplorerModalCategoryRightsHandler) request.getAttribute("explorer.modal-handler"); 
%>
<%-- *** USE RIGHTS TAB ***************************************** --%>
<div id='use-rights-tab' class="tab-pane fade in  <%= formHandler.isActiveTab("use") ? "active" : "" %>">
  <jalios:message dismissable="false">
    <a class="ctx-caret show-details" data-jalios-action="toggle:hide" data-jalios-target=".use-rights-details" role="button"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-USE-message-toggle") %></a>
    <div class="rights-details use-rights-details hide"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-USE.description") %></div>
  </jalios:message>

  <%
    List<FolderRightInformation> manageInfos = formHandler.getInheritedUseRights();
    request.setAttribute("explorer.rightInfos", manageInfos);
    request.setAttribute("explorer.rightType", CategoryRightType.USE);
  %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_inheritedRights.jsp" />  
  
  <% if (formHandler.useLocalGroupSettings()) { %>
    <jalios:field  name="useGroupIds" tooltip="jcmsplugin.explorer.app.modal.category-rights.explain-group-rights" label="ui.com.lbl.groups" value='<%= catHandler.getAvailableUseGroupSet() %>' css='nodnd'>
      <jalios:control settings="<%= new EnumerateSettings().select().multiple().enumValues(formHandler.getWorkspaceGroupSet()).value(catHandler.getAvailableUseGroupSet()) %>" />
    </jalios:field>    
  <% } else { %>  
    <jalios:field  name="useGroupIds" tooltip="jcmsplugin.explorer.app.modal.category-rights.explain-group-rights" label="ui.com.lbl.groups" value='<%= catHandler.getAvailableUseGroupSet() %>' keyword="true" mv='<%= 1 %>' css='nodnd'>
      <jalios:control type="<%= ControlType.GROUP %>" />
    </jalios:field>
  <% } %>
  <jalios:field  name="useMemberIds" label="ui.com.lbl.members" value='<%= catHandler.getAvailableUseMemberSet() %>' keyword="true" mv='<%= 1 %>' css='nodnd'>
    <jalios:control settings="<%= new MemberSettings().filter(MemberSettings.MemberFilter.ACCOUNT) %>" />
  </jalios:field>
  <%= Util.getString(request.getAttribute("explorer-modal-rights-administrators"), "") %>
</div>