<%@ page contentType="text/html; charset=UTF-8" %><%----%>
<%----%><%@ include file='/jcore/doInitPage.jspf' %><%----%>
<jsp:useBean id='formHandler' scope='page' class='com.jalios.jcmsplugin.explorer.handler.ExplorerModalHandler'>
  <jsp:setProperty name='formHandler' property='request' value='<%= request %>'/>
  <jsp:setProperty name='formHandler' property='response' value='<%= response %>'/>
  <jsp:setProperty name='formHandler' property='*' />
  <jsp:setProperty name='formHandler' property='noRedirect' value='true' />
</jsp:useBean><%
boolean openTree = getBooleanParameter("openTree", false);
%>
<% if (formHandler.validate()) { %>
  <% 
    List<Category> createdCategoryList = (List<Category>) request.getAttribute("createdCategoryList");
    String[] createdCategoryIds = Util.toStringArray(JcmsUtil.dataCollectionToIdList(createdCategoryList), null);
    String jsonArrayCreatedCategoryIds = "[";
    int idx = 1;
    for (String itId : createdCategoryIds) {
      jsonArrayCreatedCategoryIds += "\"" + itId + "\"";
      if (idx < createdCategoryIds.length) {
        jsonArrayCreatedCategoryIds += ",";
      }
      idx++;
    }
    jsonArrayCreatedCategoryIds += "]";
    
  %>
	<script>
		jQuery.plugin.ExplorerApp.triggerEvent("newCategory", '{"openTreeNode":"<%= openTree ? formHandler.getAvailableExplorerCurrentCategory().getId() : "" %>","categoryCreatedIds": <%= jsonArrayCreatedCategoryIds %> ,"message": "<%= glp("jcmsplugin.explorer.action-message.created-category") %>"}');
	  jQuery.jalios.ui.Modal.close(false);
	</script>
<% } %>
<jalios:modal css="modal-md explorer-addcategory" op="opCreateCategory" button="ui.com.btn.create" formHandler="<%= formHandler %>" title="jcmsplugin.explorer.app.modal.create-category.title" url="plugins/ExplorerPlugin/jsp/app/modal/createCategory.jsp">
  <input type="hidden" name="explorerCurrentCategory" value="<%= formHandler.getAvailableExplorerCurrentCategory().getId() %>">       
  <% String msg = glp("jcmsplugin.explorer.app.modal.create-category.label",formHandler.getAvailableExplorerCurrentCategory()); %>
  <p><%= msg %></p>
  <% String ariaLabel = "aria-label=\""+ glp("ui.com.lbl.name") + "\""; %>
  <jalios:control settings='<%= new TextFieldSettings().name("categoryName").placeholder("jcmsplugin.explorer.app.modal.create-category.placeholder").htmlAttributes(ariaLabel) %>' />
  <input type="hidden" name="openTree" value="<%= openTree %>"/>
</jalios:modal>