<%@ page contentType="text/html; charset=UTF-8" %><%----%>
<%----%><%@ include file='/jcore/doInitPage.jspf' %><%----%>
<jsp:useBean id='formHandler' scope='page' class='com.jalios.jcmsplugin.explorer.handler.ExplorerDownloadHandler'>
  <jsp:setProperty name='formHandler' property='request' value='<%= request %>'/>
  <jsp:setProperty name='formHandler' property='response' value='<%= response %>'/>
  <jsp:setProperty name='formHandler' property='*' />
  <jsp:setProperty name='formHandler' property='noRedirect' value='true' />
</jsp:useBean><%
formHandler.validate();
%>
<jalios:modal css="modal-lg explorer-modal-permalink" formHandler="<%= formHandler %>"  title="jcmsplugin.explorer.app.modal.download-folder.title" url="plugins/ExplorerPlugin/jsp/app/modal/downloadFolderModal.jsp">
  <% if (formHandler.isValidDownload()) { %>
  <jalios:field name="downloadChildren" description="jcmsplugin.explorer.app.modal.download-folder.download-children-input.description" label="jcmsplugin.explorer.app.modal.download-folder.download-children-input.label" value="<%= formHandler.isDownloadChildren() %>">
    <jalios:control settings='<%= new BooleanSettings().dataAttribute("data-jalios-action", "ajax-refresh") %>' />
  </jalios:field>
  
  <hr/>
    <jalios:list>
     <% 
     int counter = 0; 
     for (FileDocument doc : formHandler.getDocList()) {
       counter++;
       if (counter >= 10) {
         %><jalios:listItem text="..."/><%
        break;
       }
     %>  
     <jalios:dataListItem data="<%= doc %>" >
       <jalios:buffer name="LIST_ITEM_META"><jalios:filesize doc='<%= doc %>'/></jalios:buffer>
     </jalios:dataListItem>
     <% } %>
    </jalios:list>    
  <% } %>
  
  <input type="hidden" name="query" value="<%= encodeForHTMLAttribute(formHandler.getQuery()) %>" />
  <% for (Category itCat : formHandler.getCategorySet()) { %>
    <input type="hidden" name="cids" value="<%= itCat.getId() %>" />
  <% } %>
  
  <jalios:buffer name='MODAL_BUTTONS'>
    <button type="button" class="btn btn-default" data-dismiss="modal">
      <%= glp("ui.com.btn.cancel") %>
    </button>
    <% if (formHandler.isValidDownload() && Util.notEmpty(formHandler.getDocList())) { %>
      <button type="submit" class="btn btn-primary focus" data-dismiss="modal"
              onclick="document.location.href='<%= encodeForJavaScript(formHandler.getDownloadLink()) %>';">
        <%= glp("ui.com.lbl.yes") %>
      </button> 
    <% } %>
  </jalios:buffer> 
  
  
</jalios:modal>