<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler.ExplorerAction"%>
<%@ include file='/jcore/doInitPage.jspf' %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");
if (explorerHandler == null) {
  return;
}

if (!isLogged) {
  return;
}

Map<ExplorerAction, String> actionMap = new LinkedHashMap<ExplorerAction, String>(); 

request.setAttribute("com.jalios.jcmsplugin.explorer.currentCategory", explorerHandler.getAvailableExplorerCurrentCategory());
request.setAttribute("com.jalios.jcmsplugin.explorer.has-documents", explorerHandler.hasDocumentType());
request.setAttribute("com.jalios.jcmsplugin.explorer.current-url", explorerHandler.getExplorerCurrentUrl());
request.setAttribute("com.jalios.jcmsplugin.explorer.is-document-only", explorerHandler.isDocumentOnly());
request.setAttribute("com.jalios.jcmsplugin.explorer.document-class", explorerHandler.getSuperCommonDocumentClass());
%>
<% for (ExplorerAction action : explorerHandler.getPublishActionSet()) { %>
  <jalios:buffer name="itBuffer">
    <jalios:include jsp="<%= action.getJsp() %>" />
  </jalios:buffer>
  <% 
  if (Util.notEmpty(itBuffer)) {
    actionMap.put(action, itBuffer); 
  }
}
%>
<% if (Util.notEmpty(actionMap) && explorerHandler.showAddMenu()) { %>
  <div class="dropdown navbar-form navbar-left">
    <a role="button" class="btn btn-primary" tabindex="0" id="explorer-add-menu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><jalios:icon src="add" /> <%= glp("jcmsplugin.explorer.app.navbar-add") %> <span class="caret"></span> </a> 
    <ul class="explorer-dropdown explorer-dropdown-publish dropdown-menu" aria-labelledby="explorer-add-menu">
      <% for (ExplorerAction action : actionMap.keySet()) { %>
        <% if (action.hasDividerBefore()) { %>
          <li class="divider"></li>
        <% } %>
        <%= actionMap.get(action) %>
        <% if (action.hasDividerAfter()) { %>
          <li class="divider"></li>
        <% } %>
      <% } %>
    </ul>
  </div>
<% } %>