<%@page import="com.jalios.jcmsplugin.explorer.rights.PublicationRightInformation"%>
<%@page import="com.jalios.jcms.handler.CheckRightsHandler"%>
<%@ include file='/plugins/ExplorerPlugin/jsp/app/sidebar/tabs/doInitExplorerAppSidebarTabContent.jspf' %><%

TypeEntry typeEntry = channel.getTypeEntry(data.getClass());

if (!typeEntry.isReadRightTab()) {
  return;
}

if (!isLogged) {
  return;
}

if (!sidebarHandler.showPublicationInheritedRights()) {
  return;
}
String inheritedDisplay = (String) request.getAttribute("inheritedDisplay");

if (!sidebarHandler.hasAnyReadRights() && "read".equals(inheritedDisplay)) {
  return ;
}
PublicationRightInformation pubRightInformations = sidebarHandler.getInheritedReadRights();

if (Util.isEmpty(pubRightInformations)) {
  return;
}
%>
<div class="inherited-rights no-focus"><% 
%><% if ("read".equals(inheritedDisplay)) { %>
    <jalios:buffer name="readRights">

      <% if (pubRightInformations.hasPublicCategory() && !((Publication) sidebarHandler.getAvailableData()).hasAnyReadRights()) { %>
        <li><ul class="horizontal-list">
          <% for (Category publicCat : pubRightInformations.getPublicCategories()) { %>
            <li class="public-folder"><%= glp("jcmsplugin.explorer.app.public-folder-via", sidebarHandler.getCategoryPathAsString(publicCat))  %></li>
          <% } %>
        </ul></li>
      <% } else if (sidebarHandler.showInheritedReadRights()){ %>
        <li><ul class="horizontal-list">
        <% for (Group itGroup : pubRightInformations.getExtendedReadRightGroups()) { %>
          <% if (itGroup.canBeReadBy(loggedMember)) { %>
            <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup.getName(userLang, true) %></a></li>
          <% } %>
        <% } %>
        <% for (Group itGroup : pubRightInformations.getReadRightGroups()) { %>
          <% if (itGroup.canBeReadBy(loggedMember) && !pubRightInformations.getExtendedReadRightGroups().contains(itGroup)) { %>
            <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup.getName(userLang, true) %></a></li>
          <% } %>
        <% } %>
        </ul></li>
        <li><ul class="horizontal-list">
        <% for (Member itMember : pubRightInformations.getExtendedReadRightMembers()) { %>
          <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
        <% } %>
        <% for (Member itMember : pubRightInformations.getReadRightMembers()) { %>
          <% if (!pubRightInformations.getExtendedReadRightMembers().contains(itMember)) { %>
            <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
          <% } %>
        <% } %>
        </ul></li>
      <% } else { %>
        <li><ul class="horizontal-list">
        <% for (Group itGroup : pubRightInformations.getExtendedReadRightGroups()) { %>
          <% if (itGroup.canBeReadBy(loggedMember)) { %>
            <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup %></a></li>
          <% } %>
        <% } %>
        </ul></li>
        <li><ul class="horizontal-list">
        <% for (Member itMember : pubRightInformations.getExtendedReadRightMembers()) { %>
          <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
        <% } %>
        </ul>
      <% } %>
    </jalios:buffer>
    <% if (Util.notEmpty(readRights)) { %>
      <div class="inherited-rights-read">
        <div class="inherited-rights-section-title"><%= glp("jcmsplugin.explorer.app.inherited-read-rights") %></div>
        <ul class="list-unstyled">
          <%= readRights %>
        </ul>
      </div>
    <% } %>
  <% } %><%
  %><% if ("update".equals(inheritedDisplay)) { %>
    <jalios:buffer name="updateRights">
      <% if (pubRightInformations.getAttachedOriginWorkspace() != null) { %>
        <li><jalios:icon src="workspace-attach" /> <%= pubRightInformations.getAttachedOriginWorkspaceLabel() %></li>
      <% } %>
      <% if (sidebarHandler.showInheritedUpdateRights()) { %>
        <li><ul class="horizontal-list">
        <% for (Group itGroup : pubRightInformations.getExtendedUpdateRightGroups()) { %>
          <% if (itGroup.canBeReadBy(loggedMember)) { %>
            <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup %></a></li>
          <% } %>
        <% } %>
        <% for (Group itGroup : pubRightInformations.getUpdateRightGroups()) { %>
          <% if (itGroup.canBeReadBy(loggedMember)) { %>
            <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup %></a></li>
          <% } %>
        <% } %>
        </ul></li>
        <li><ul class="horizontal-list">
        <% for (Member itMember : pubRightInformations.getExtendedUpdateRightMembers()) { %>
          <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
        <% } %>
        <% for (Member itMember : pubRightInformations.getUpdateRightMembers()) { %>
          <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
        <% } %>
        </ul></li>
      <% } else { %>
        <li><ul class="horizontal-list">
        <% for (Group itGroup : pubRightInformations.getExtendedUpdateRightGroups()) { %>
          <% if (itGroup.canBeReadBy(loggedMember)) { %>
            <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup.getName(userLang, true) %></a></li>
          <% } %>
        <% } %>
        </ul></li>
        <li><ul class="horizontal-list">
        <% for (Member itMember : pubRightInformations.getExtendedUpdateRightMembers()) { %>
          <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
        <% } %>
        </ul></li>
      <% } %>

    </jalios:buffer>
    <% if (Util.notEmpty(updateRights)) { %>
      <div class="inherited-rights-update">
        <div class="inherited-rights-section-title"><%= glp("jcmsplugin.explorer.app.inherited-update-rights") %></div>
        <ul class="list-unstyled">
          <%= updateRights %>
        </ul>
      </div>
    <% } %>
  <% } %><%
%></div>
