<%@page import="com.jalios.jcmsplugin.explorer.rights.FolderInheritedRightsInformation"%>
<%@page import="com.jalios.jcmsplugin.explorer.rights.ExplorerRightsManager"%><% 
%><%@page import="com.jalios.jcmsplugin.explorer.rights.CategoryRightType"%><%
%><%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file='/jcore/doInitPage.jspf' %><%
Category category = getCategoryParameter("id");

if (!category.canBeReadBy(loggedMember)) {
  sendForbidden(request, response);
  return;
}

PortletExplorer portletExplorer = (PortletExplorer) getDataParameter("portletExplorer");
ExplorerRightsManager rightsManager = ExplorerRightsManager.getInstance();
FolderInheritedRightsInformation inheritedRights = rightsManager.getFolderFullRightsInformation(loggedMember, workspace, portletExplorer, category);
request.setAttribute("inheritedRights", inheritedRights);

Set<Member> authorizedMemberSet = category.getAuthorizedMemberSet() != null ? new HashSet<>(category.getAuthorizedMemberSet()) : Collections.EMPTY_SET;
if (Util.notEmpty(authorizedMemberSet)) {
  authorizedMemberSet.removeAll(inheritedRights.getAdministrators());
}
%>
<div class="explicit-rights-ttcard">
  <% Set<Member> inheritedReadMembers = inheritedRights.getAllMemberSet(CategoryRightType.READ); %>
  <% if (Util.notEmpty(inheritedReadMembers) || Util.notEmpty(category.getAuthorizedMemberSet()) || Util.notEmpty(category.getAuthorizedGroupSet())) { %>
    <b><%= glp("jcmsplugin.explorer.app.modal.category-read-rights") %></b>
    <ul>
      <% if (Util.notEmpty(inheritedRights.getAdministrators())) { %>
        <% for (Member itMember : inheritedRights.getAdministrators()) { %>
          <li><jalios:memberphoto member="<%= itMember %>"  size="<%= PhotoSize.ICON %>" link="false"/> <jalios:link data="<%= itMember %>" /></li>
        <% } %>
      <% } %>
      <% if (Util.notEmpty(inheritedReadMembers)) { %>
        <% for (Member itMember : inheritedReadMembers) { %>
          <li><jalios:memberphoto member="<%= itMember %>"  size="<%= PhotoSize.ICON %>" link="false"/> <jalios:link data="<%= itMember %>" /></li>
        <% } %>
      <% } %>
      <% if (Util.notEmpty(authorizedMemberSet)) { %>
        <% for (Member itMember : authorizedMemberSet) { %>
          <li><jalios:memberphoto member="<%= itMember %>"  size="<%= PhotoSize.ICON %>" link="false"/> <jalios:link data="<%= itMember %>" /></li>
        <% } %>
      <% } %>
      <% if (Util.notEmpty(category.getAuthorizedGroupSet())) { %>
        <% for (Group itGroup : category.getAuthorizedGroupSet()) { %>
          <li><jalios:dataicon data="<%= itGroup %>"/> <%= itGroup.getName(userLang) %></li>
        <% } %>  
      <% } %>
    </ul>
  <% } %>
  <% if (ExplorerRightsManager.getInstance().isCatUseFeatureEnabled()) { %>
    <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/ttcard/ttFolderRightsUse.jsp" />
  <% } %>
  <% Set<Member> inheritedManageMembers = inheritedRights.getAllMemberSet(CategoryRightType.MANAGE); %>
  <% if (Util.notEmpty(inheritedManageMembers) || Util.notEmpty(category.getManagerMemberSet()) || Util.notEmpty(category.getManagerGroupSet())) { %>
    <b><%= glp("jcmsplugin.explorer.app.modal.category-manage-rights") %></b>
    <ul>
      <% if (Util.notEmpty(inheritedManageMembers)) { %>
        <% for (Member itMember : inheritedManageMembers) { %>
          <li><jalios:memberphoto member="<%= itMember %>"  size="<%= PhotoSize.ICON %>" link="false"/> <jalios:link data="<%= itMember %>" /></li>
        <% } %>
      <% } %>
      <% if (Util.notEmpty(category.getManagerMemberSet())) { %>
        <% for (Member itMember : category.getManagerMemberSet()) { %>
          <li><jalios:memberphoto member="<%= itMember %>"  size="<%= PhotoSize.ICON %>" link="false"/> <jalios:link data="<%= itMember %>" /></li>
        <% } %>
      <% } %>
      <% if (Util.notEmpty(category.getManagerGroupSet())) { %>
        <% for (Group itGroup : category.getManagerGroupSet()) { %>
          <li><jalios:dataicon data="<%= itGroup %>"/> <%= itGroup.getName(userLang) %></li>
        <% } %>  
      <% } %>
    </ul>
  <% } %>
  
  <% if (isLogged && loggedMember.canManageCategory(category)) { %>
    <a class="btn btn-sm btn-default btn-rights-modal" data-jalios-action="modal" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal.jsp?portletExplorer=<%= portletExplorer.getId() %>&amp;explorerCurrentCategory=<%= category.getId() %>&amp;editMode=<%= loggedMember.canManageCategory(category) %>"><%= glp("jcmsplugin.explorer.action.manage-category-rights") %></a>
  <% } else { %>
    <a class="btn btn-sm btn-default btn-rights-modal" data-jalios-action="modal" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal.jsp?portletExplorer=<%= portletExplorer.getId() %>&amp;explorerCurrentCategory=<%= category.getId() %>&amp;editMode=<%= loggedMember.canManageCategory(category) %>"><%= glp("jcmsplugin.explorer.action.display-category-rights") %></a>
  <% } %>
</div>