<%@page import="com.jalios.jcmsplugin.explorer.rights.FolderInheritedRightsInformation"%>
<%@page import="com.jalios.jcmsplugin.explorer.rights.CategoryRightType"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file='/jcore/doInitPage.jspf' %><%
Category category = getCategoryParameter("id");

if (!category.canBeReadBy(loggedMember)) {
  sendForbidden(request, response);
  return;
}
FolderInheritedRightsInformation inheritedRights = (FolderInheritedRightsInformation) request.getAttribute("inheritedRights");
Set<Member> inheritedUseRights = inheritedRights.getAllMemberSet(CategoryRightType.USE);
%>
<% if (Util.notEmpty(inheritedUseRights) || Util.notEmpty(category.getUseMemberSet()) || Util.notEmpty(category.getUseGroupSet())) { %>
  <b><%= glp("jcmsplugin.explorer.app.modal.category-use-rights") %></b>
  <ul>
    <% if (Util.notEmpty(inheritedUseRights)) { %>
      <% for (Member itMember : inheritedUseRights) { %>
        <li><jalios:memberphoto member="<%= itMember %>"  size="<%= PhotoSize.ICON %>" link="false"/> <jalios:link data="<%= itMember %>" /></li>
      <% } %>
    <% } %>  
    <% if (Util.notEmpty(category.getUseMemberSet())) { %>
      <% for (Member itMember : category.getUseMemberSet()) { %>
        <li><jalios:memberphoto member="<%= itMember %>"  size="<%= PhotoSize.ICON %>" link="false"/> <jalios:link data="<%= itMember %>" /></li>
      <% } %>
    <% } %>
    <% if (Util.notEmpty(category.getUseGroupSet())) { %>
      <% for (Group itGroup : category.getUseGroupSet()) { %>
        <li><jalios:dataicon data="<%= itGroup %>"/> <%= itGroup.getName(userLang) %></li>
      <% } %>  
    <% } %>
  </ul>
<% } %>