<%@page import="generated.AbstractCollection"%>
<%@page import="com.jalios.jcms.uicomponent.app.AppConstants" %>
<%@page import="com.jalios.jcms.taglib.card.*" %>
<%@ page contentType="text/html; charset=UTF-8" %><%--
--%><%@ include file="/jcore/doInitPage.jspf" %><%--
--%><%@ include file="/front/app/doAppCommon.jspf" %><%--
--%><%@ include file="/jcore/doHeader.jspf" %><%
jcmsContext.setPageTitle("Migration portlet explorer");

if (!isLogged && !isAdmin) {
  sendForbidden(request, response);
  return;
}

Set<PortletExplorer> explorerSet = new HashSet<PortletExplorer>();

if (isAdmin) {
  explorerSet = channel.getPublicationSet(PortletExplorer.class, loggedMember);
} else {
  for (Workspace itWorkspace : loggedMember.getWorkspaceSet()) {
    if (loggedMember.isAdmin(itWorkspace)) {
      Set<Publication> pubSet = itWorkspace.getPublicationSet(PortletExplorer.class);
      if (Util.notEmpty(pubSet)) {
        for (Publication itPub : pubSet) {
          //Fugly, cast issues thats why I needed the for loop
          explorerSet.add((PortletExplorer) itPub); 
        }
      }
    }
  }
}

Map<Workspace, Set<PortletExplorer>> collaborativeSpacePortletMap = new HashMap<Workspace, Set<PortletExplorer>>();
Map<Workspace, Set<PortletExplorer>> workspacePortletMap = new HashMap<Workspace, Set<PortletExplorer>>();

for (PortletExplorer itExplorerPortlet : explorerSet) {
  Map<Workspace, Set<PortletExplorer>> sortMap = itExplorerPortlet.getWorkspace().isCollaborativeSpace() ? collaborativeSpacePortletMap : workspacePortletMap;
  if (Util.notEmpty(sortMap.get(itExplorerPortlet.getWorkspace()))) {
    Set<PortletExplorer> csExplorerSet = sortMap.get(itExplorerPortlet.getWorkspace());
    csExplorerSet.add(itExplorerPortlet);
    sortMap.put(itExplorerPortlet.getWorkspace(), csExplorerSet);
  } else {
    sortMap.put(itExplorerPortlet.getWorkspace(), Util.getHashSet(itExplorerPortlet));
  }
}

Map templateUsage = channel.getTypeEntry(PortletExplorer.class).getTemplateUsageMap();
%>
<jalios:javascript>
jQuery(document).on("click", ".select-all-portlets", function(event) {
  let checkedNewValue = jQuery(event.currentTarget).is(":checked");
  jQuery("input[name=portletExplorerId]").each(function(idx, element) {
    jQuery(element).prop("checked", checkedNewValue ? "checked" : "");
  })
});
</jalios:javascript>
<form action="plugins/ExplorerPlugin/jsp/migrate/migratePortletExplorerApp.jsp" method="POST">
<div class="app has-no-sidebar">
  <div class="app-main">
    <div class="app-header">
      <h1>Migration portlet explorer</h1>
    </div>
    <div class="app-body">
      <div class="">
	       <p><span class="label label-info">Box dashboard template</span> : dashboard template (For box only)</p>
         <p><span class="label label-success">New template</span> : app template with or without sidebar</p>
         <p><span class="label label-warning">Old template</span> : the old explorer template</p>
      </div>
      <% if (hasParameter("opUpdateTemplates")) { %>
        <% if ("full".equals(getUntrustedStringParameter("usage", null)) && "jcmsplugin.collaborativespace.dashboard".equals(getUntrustedStringParameter("template", null))) {  %>
          <jalios:message level="<%= MessageLevel.ERROR %>">
            You cannot set dashboard template to full usage
          </jalios:message>
        <% } else { %>
	        <jalios:message>
	          <p>Following portlets have been updated (Usage : <%= getUntrustedStringParameter("usage", null) %> / Template : <%= getUntrustedStringParameter("template", null) %>) : </p>
	          
	          <% Set<PortletExplorer> portletExplorerSet = getDataSetParameterValues("portletExplorerId", PortletExplorer.class); %>
	          <ul>
	          <% for (PortletExplorer itPortlet : portletExplorerSet) { %>
	            <% 
	              PortletExplorer updated = (PortletExplorer) itPortlet.getUpdateInstance();
	              updated.setTemplate(getUntrustedStringParameter("usage", null) + "." + getUntrustedStringParameter("template", null));
	              ControllerStatus cs = updated.checkAndPerformUpdate(loggedMember);
	            %>
	            <li><%= itPortlet %> => <%= cs.hasFailed() ? cs.getMessage(userLang) : "OK" %></li>
	          <% } %>  
	          </ul>           
	        </jalios:message>
        <% } %>

 
      <% } %>

			<nav class="navbar navbar-default">
			  <div class="container-fluid">
	        <div class="navbar-form navbar-left">
            <label> Target portlet usage : 
		          <select name="usage" class="form-control">
                <option value="full">Full</option>
                <option value="box">Box</option>
		          </select>
	          </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <label> Template : 
	            <select name="template" class="form-control">
	              <option value="default">(Default) App - With sidebar</option>
                <option value="app-no-sidebar">App - Without sidebar</option>
                <option value="old">Old</option>
                <option value="jcmsplugin.collaborativespace.dashboard">Dashboard - do not use for usage full</option>
	            </select>	          
	          </label>
	        </div>
          <div class="navbar-form navbar-right">
	          <button type="submit" name="opUpdateTemplates" class="btn btn-primary">Update</button>
          </div>	        
			  </div>
			</nav>    
    
      <% int wsCounter = 1; %>
	     <table class="table-data">
                
          <tr>
            <th style="width: 40px;">#</th>
            <th style="width: 600px;">Titre</th>
            <th>Template</th>
            <th>Workspace</th>
            <th>Actions <input type="checkbox" name="selectAll" class="select-all-portlets" /></th>
          </tr>   
			  <% for (Workspace itWorkspace : collaborativeSpacePortletMap.keySet()) { %>
<%--           <tr>
            <td colspan="4">
              <h4><%= itWorkspace %></h4>
              <%
                String portletsParam = "[";
                int itParamCounter = 0;
                for (Portlet itPortlet : collaborativeSpacePortletMap.get(itWorkspace)) {
                  portletsParam += "\"" + itPortlet.getId()  +"\"";
                  itParamCounter++;
                  if (itParamCounter != Util.getSize(collaborativeSpacePortletMap.get(itWorkspace))) {
                    portletsParam += ",";
                  }
                }
                portletsParam += "]";                         
              %>
              <select name="template">
                <option value="full.app">App</option>
                <option value="full.app-no-sidebar">No sidebar</option>
              </select>
              <a class="js-migrate is-workspace-migrate" data-jalios-migrate-params='{"portlets":<%= portletsParam %>}'>Migrate all workspace</a>
            </td>
          </tr>	  --%>       
       
	        <jalios:foreach collection="<%= collaborativeSpacePortletMap.get(itWorkspace) %>" name="itExplorer" type="PortletExplorer">
	          <tr>
	           <td class="numeric"><%= wsCounter %></td>
	           <td>
	             <b><jalios:link data="<%= itExplorer %>" /><b>
<%-- 	             <% if (itWorkspace.isCollaborativeSpace()) { %>
	               <% AbstractCollection collection = (AbstractCollection) Util.getFirst(itWorkspace.getPublicationSet(channel.getClass("generated.CollaborativeSpace"))); %>
	               <%= collection.getCachedChildrenMap().containsKey(itExplorer.getId()) %>
	             <% } %> --%>
	           </td>
	           <td>
                <div>
                 Box :
                 <% if ("box.jcmsplugin.collaborativespace.dashboard".equals(itExplorer.getTemplate("box"))) { %>
                   <span class="label label-info">Box dashboard template</span> - <%= channel.getTypeEntry(PortletExplorer.class).getTemplateEntry(itExplorer.getTemplate("box")).getLabel(userLang) %>
                 <% } else if ("full.app-no-sidebar".equals(itExplorer.getTemplate("box")) || "full.default".equals(itExplorer.getTemplate("box")) || "box.default".equals(itExplorer.getTemplate("box")) || "box.app-no-sidebar".equals(itExplorer.getTemplate("box"))) { %>
                   <span class="label label-success">New template</span> - <%= channel.getTypeEntry(PortletExplorer.class).getTemplateEntry(itExplorer.getTemplate("box")).getLabel(userLang) %>
                 <% } else { %>
                   <span class="label label-warning">Old template</span> - <%= channel.getTypeEntry(PortletExplorer.class).getTemplateEntry(itExplorer.getTemplate("box")).getLabel(userLang) %>
                 <% } %>                 
               </div>
               <div>
                 Full : 
                 <% if ("jcmsplugin.collaborativespace.dashboard".equals(itExplorer.getTemplate("full"))) { %>
                   <span class="label label-info">Box template</span>
                 <% } else if ("full.app-no-sidebar".equals(itExplorer.getTemplate("full")) || "full.default".equals(itExplorer.getTemplate("full"))) { %>
                   <span class="label label-success">New template</span> - <%= channel.getTypeEntry(PortletExplorer.class).getTemplateEntry(itExplorer.getTemplate("full")).getLabel(userLang) %>
                 <% } else { %>
                   <span class="label label-warning">Old template</span>
                 <% } %>
               </div>   
	           </td>
	           <td><jalios:link data="<%= itExplorer.getWorkspace() %>" /></td>
	           <td>
	             <label><input type="checkbox" name="portletExplorerId" value="<%= itExplorer.getId() %>" /></label>
	           </td>
	          </tr>
	          <% wsCounter++; %>
	        </jalios:foreach>
			  <% } %>
        <% for (Workspace itWorkspace : workspacePortletMap.keySet()) { %>
          <jalios:foreach collection="<%= workspacePortletMap.get(itWorkspace) %>" name="itExplorer" type="PortletExplorer">
          <tr>
             <td class="numeric"><%= wsCounter %></td>
             <td>
               <b><jalios:link data="<%= itExplorer %>" /><b>
             </td>
             <td>
                <div>
                 Box : 
                 <% if ("box.jcmsplugin.collaborativespace.dashboard".equals(itExplorer.getTemplate("box"))) { %>
                   <span class="label label-info">Box template</span>
                 <% } else if ("box.app-no-sidebar".equals(itExplorer.getTemplate("box")) || "box.default".equals(itExplorer.getTemplate("box")) || "jcmsplugin.collaborativespace.dashboard".equals(itExplorer.getTemplate("box"))) { %>
                   <span class="label label-success">New template</span> - <%= channel.getTypeEntry(PortletExplorer.class).getTemplateEntry(itExplorer.getTemplate("box")).getLabel(userLang) %>
                 <% } else { %>
                   <span class="label label-warning">Old template</span> - <%= channel.getTypeEntry(PortletExplorer.class).getTemplateEntry(itExplorer.getTemplate("box")).getLabel(userLang) %>
                 <% } %>                 
               </div>
               <div>
                 Full : 
                 <% if ("jcmsplugin.collaborativespace.dashboard".equals(itExplorer.getTemplate("full"))) { %>
                   <span class="label label-info">Box template</span>
                 <% } else if ("full.app-no-sidebar".equals(itExplorer.getTemplate("full")) || "full.default".equals(itExplorer.getTemplate("full"))) { %>
                   <span class="label label-success">New template</span> - <%= channel.getTypeEntry(PortletExplorer.class).getTemplateEntry(itExplorer.getTemplate("full")).getLabel(userLang) %>
                 <% } else { %>
                   <span class="label label-warning">Old template</span>
                 <% } %>
               </div>   
             </td>
             <td><jalios:link data="<%= itExplorer.getWorkspace() %>" /></td>
             <td>
               <label><input type="checkbox" name="portletExplorerId" value="<%= itExplorer.getId() %>" /></label>
             </td>
            </tr></jalios:foreach>
          <% wsCounter++; %>
          
        <% } %>
        </table>
    </div>
  </div>
</div>
</form>
<%@ include file='/jcore/doFooter.jspf' %>