<%@ include file="/plugins/SmartPhonePlugin/jsp/common/doInitSmartPhonePage.jspf" %>
<%@ page import="com.jalios.jcmsplugin.smartphone.SmartPhoneConstants" %>
<%@ page import="com.jalios.jcmsplugin.smartphone.SmartPhoneControlType" %>
<%@ page import="com.jalios.jcmsplugin.smartphone.SmartPhoneManager" %>
<%@page import="java.util.Set" %>
<jsp:useBean id='formHandler' scope='page' class='com.jalios.jcmsplugin.explorer.jmobile.ExplorerJMobileUploadHandler'>
  <jsp:setProperty name="formHandler" property="pageContext" value="<%= pageContext %>"/>
  <jsp:setProperty name='formHandler' property='*' />
</jsp:useBean><%
request.setAttribute("explorerJMobileUploadHandler", formHandler);
%>
<div class="ajax-refresh-wrapper">
  <% if (formHandler.validate() && formHandler.getChangePage() != null) { %>
   <script>
      $.mobile.changePage("<%= formHandler.getChangePage() %>",{
      	allowSamePageTransition: true,
      	transition: 'none',
      	reloadPage: true
    	});
  	</script>
  <% } %>
    <jalios:field required="true" label="ui.com.lbl.workspace" resource="<%= SmartPhoneConstants.FIELD_PROP %>">
      <select class="ajax-refresh form-control" data-jalios-action="ajax-refresh" name="ws">
        <% for (Workspace itWorkspace : formHandler.getMemberWorkspaceSet()) {
          boolean selected = JcmsUtil.isSameId(formHandler.getWorkspace(), itWorkspace) ? true : false; %>
          <option value="<%= itWorkspace.getId() %>" <%= selected ? "SELECTED" : "" %> > <%= itWorkspace.getDataName(userLang) %></option>
        <% } %>
      </select>
    </jalios:field>
    <% if (formHandler.showPortletExplorerChooser()) { %>
      <jalios:field required="true" label="ui.com.lbl.portalelements" resource="<%= SmartPhoneConstants.FIELD_PROP %>">
        <select class="ajax-refresh form-control" data-jalios-action="ajax-refresh" name="portletExplorer">
          <option value=""><%= glp("jcmsplugin.smartphone.lbl.jmobile.choose-explorer")%></option>
          <% for (PortletExplorer itPortlet : formHandler.getPortletExplorerSet()) {
            boolean selected = JcmsUtil.isSameId(formHandler.getAvailablePortletExplorer(), itPortlet) ? true : false; %>
            <option value="<%= itPortlet.getId() %>" <%= selected ? "SELECTED" : "" %>> <%= itPortlet.getDataName(userLang) %></option>
          <% } %>
        </select>
      </jalios:field>
    <% } %>
    <jalios:include jsp="plugins/ExplorerPlugin/smartphone/doExplorer_categoryList.jsp" />
    <% if(formHandler.isUploadButtonEnabled()){ %>
      <button class="btn-primary ajax-refresh" type="submit" name="opUpload" value="true"><%= glp("jcmsplugin.smartphone.lbl.jmobile.upload-file")%>  <%=formHandler.getAvailableExplorerCurrentCategory().getName(userLang) %></button>
    <% } else { %>
      <button class="btn-primary ajax-refresh ui-disabled" type="submit" name="opUpload" value="true"><%= glp("ui.com.btn.download") %></button>
    <% } %>
</div>