!(function ($) {
	
  const dropzoneCommonParams = {
    url: "plugins/ExplorerPlugin/jsp/action/handleExplorerAction.jsp",
	paramName: "documents",
	clickable: true,
	autoQueue: true,
	params: {
	  opUpload: true
	},
	init: function () {
	  this.on("addedfile", function (file) {
	    file.accepted = true;
		file.previewElement.parentNode.removeChild(file.previewElement);
	  });		  
	},
	success: function(file, response) {
	  $.mobile.changePage(window.location.href, {
        allowSamePageTransition: true,
        transition: 'none',
        reloadPage: true
      });
	},
    error: function(file, message, xhr) {
    }
  }
  
  var registerPagebeforeshow = function (event) {
  	let $activePage = $(".service-explorer-page.ui-page-active");
    if ($activePage.size() > 0) { 
      let $uploadBtn = $activePage.find(".jmobile-upload-file");
	  if ($uploadBtn.length === 0 || $uploadBtn.hasClass("is-dropzone-initialized")) {
	    return;
	  } else {
	    let elementDropzoneCustomParams = {
	      params: {
		    explorerCurrentCategory: $activePage.data("jalios-explorer-current-category"),
		    ws: $activePage.data("jalios-explorer-current-workspace")
		  }
	    };
	    let dropzoneParams = $.extend(true, {}, dropzoneCommonParams , elementDropzoneCustomParams);
		$uploadBtn.dropzone(dropzoneParams)[0].dropzone;
		$uploadBtn.addClass("is-dropzone-initialized");
	  }
	}
  };
  
  $(document).on("pagecontainershow", registerPagebeforeshow);
})(window.jQuery);
