<%@ include file="/front/card/data/doInitCardData.jspf" %><%

dataAttribute.addData("jalios-publication-type", data instanceof FileDocument ? "document" : "publication");
dataAttribute.addData("jalios-publication-permalink", PortalManager.getPermalink(data, userLocale));

if (data instanceof FileDocument) {
  dataAttribute.addData("jalios-document-path", ((FileDocument)data).getFilename());
}

boolean canWorkOn = isLogged && data instanceof Publication && loggedMember.canWorkOn((Publication) data);
css += !canWorkOn ? " is-uneditable" : "";
htmlAttributes += "tabindex=\"0\" role=\"button\"";
String dataName = data.getDataName(userLang);
%>
<a class="card-link" href="<%= data.getDisplayUrl(userLocale) %>" tabindex="-1">
<jalios:card  htmlAttributes="<%= htmlAttributes %>" css='<%= css + " card-publication explorer-card-item" %>'  dataAttribute="<%= dataAttribute %>">
  <span class="js-activate-card" role="button" tabindex="0" data-toggle="tooltip" data-placement="top" aria-label="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", dataName)) %>" title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", dataName)) %>" data-jalios-select-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", dataName)) %>" data-jalios-unselect-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.unselect", dataName)) %>">
    <input class="checkbox-check" type="checkbox" name="activate-card" />
    <span class="checkbox-text">
      <span class="checkbox-icon">
        <jalios:icon src="glyph: icomoon icomoon-checkmark3" />
      </span>    
    </span>
  </span>
  <% request.setAttribute("explorer.card.data", data); %>
  <jalios:cardImage resource="explorerCardImage4by3" src="<%= cardImage %>" />
  <jalios:cardBlock>
    <div class="card-title item-title"><span class="js-title"><jalios:dataicon title="<%= data.getDataIconTitle(userLang) %>" alt="<%= data.getDataIconTitle(userLang) %>" css="js-icon" data="<%= data %>"/> <%= data.getDataName(userLang) %></span></div>
  </jalios:cardBlock>
  <% if (data instanceof Publication && ((Publication)data).hasAnyReadRights()) { %>
    <div class="card-corner-left card-corner-triangle card-corner-rights" data-toggle="tooltip" data-placement="top" title="<%= glp("jcmsplugin.explorer.app.has-read-rights") %>">
      <jalios:icon src="jcmsplugin-explorer-has-read-rights" />
    </div>
  <% } %>
</jalios:card>
</a>