<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %>
<%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");
if (explorerHandler == null) {
  return;
}

boolean isExplorerSearch = getBooleanParameter("isExplorerSearch", false);
%>
<%
Publication pub = (Publication) request.getAttribute("com.jalios.jcmsplugin.explorer.contextMenuData");
boolean canWorkOn = isLogged && loggedMember.canWorkOn(pub);
Set<Category> pubCategories = explorerHandler.getPublicationExplorerCategories(pub);
%>
<% if (canWorkOn) { %>
  <li><jalios:edit ctxEdit="false" popup="true" data="<%= pub %>"><jalios:icon src="glyph: glyphicons glyphicons-edit" /> Edit</jalios:edit></li>
  <li class="divider"></li>
  <% if (!isExplorerSearch || pubCategories.size() == 1) { %>
    <li><a class="modal" href="plugins/ExplorerPlugin/jsp/app/modal/moveToModal.jsp?items=<%= pub.getId() %>&amp;portletExplorer=<%= explorerHandler.getAvailablePortletExplorer().getId() %>&amp;explorerCurrentCategory=<%= explorerHandler.getAvailableExplorerCurrentCategory().getId() %>"><jalios:icon src="glyph: icomoon-arrow-right8"/> Move to...</a></li> 
  <% } %>
  <li><a class="modal" href="plugins/ExplorerPlugin/jsp/app/modal/copyToModal.jsp?items=<%= pub.getId() %>&amp;portletExplorer=<%= explorerHandler.getAvailablePortletExplorer().getId() %>"><jalios:icon src="glyph: icomoon-copy3"/> Copy to...</a></li> 
  <li class="divider"></li>
<% } %>
<li><jalios:caddy action="add" displayLinkText="true" data='<%= pub %>' icon="glyph: icomoon-cart"/></li>
<li><a href='<%= PortalManager.getPermalink(pub, userLocale) %>' class="modal permalink"><jalios:icon src="glyph: icomoon-link2"/> <%= glp("ui.com.title.permalink") %></a></li>
 <% if (isExplorerSearch && Util.notEmpty(pubCategories)) { %>
   <% if (pubCategories.size() > 1) { %>
     <li class="dropdown-submenu">
       <a>Access categories (<%= pubCategories.size() %>)</a>
       <ul class="dropdown-menu">
         <% for (Category itCat : pubCategories) { %>
           <li><a class="explorer-item" data-jalios-data-id="<%= itCat.getId() %>">Access category : <%= itCat %></a></li>
         <% } %>
       </ul>
     </li>
   <% } else { %>
     <li><a class="explorer-item" data-jalios-data-id="<%= Util.getFirst(pubCategories).getId() %>">Access category : <%= Util.getFirst(pubCategories) %></a></li>
   <% } %>
 <% } %>
<li class="divider"></li>
<% if (pub.checkUpdate(loggedMember).isOK()) { %>
  <li><a class="confirm modal" data-jalios-explorer-action="removeCategory"><jalios:icon src="glyph: icomoon-folder-minus4"/> Remove from category...</a></li>
<% } %>
<% if (pub.checkDelete(loggedMember).isOK()) { %>
  <li><a class="confirm modal" data-jalios-explorer-action="delete"><jalios:icon src="glyph: icomoon-bin"/> Delete...</a></li>
<% } %>