<%@ include file="/plugins/ExplorerPlugin/jsp/app/contextmenu/doInitExplorerContextMenuAction.jspf" %><%

if (!com.jalios.jcmsplugin.explorer.ExplorerUtils.is10SP5OrGreater()) {
  return;
}

if (!hasDocuments) {
  return;
}


boolean enabled = channel.getBooleanProperty("channel.public-link.enabled", true);
boolean canCreate = AccessControlManager.getInstance().checkAccessIfAclExists(loggedMember, "feature/public-link/create", null);

boolean showPublicLink = enabled && canCreate; 

if (!showPublicLink) {
  return;
}


Data[] dataArray = (Data[])request.getAttribute("com.jalios.jcmsplugin.explorer.contextMenuDatas");

List<String> idList = new ArrayList();
for(Data data: dataArray) {
  if (data instanceof FileDocument) {
    idList.add(data.getId());
  }
}
String docIdsParam = "docIds=" + Util.join(idList, "&amp;docIds=");

String label = "ui.fo.public-link.lbl.create"; // extracted to avoid issues with JspChecker
String icon = "public-link"; // extracted to avoid issues with JspChecker

if (hasDocuments) { %>
	<li class="explorer-ctxmenu-public-link"><a role="button" tabindex="0" data-jalios-action="modal" data-jalios-modal-url="front/publicLink/editPublicLink.jsp?<%= docIdsParam %>"><jalios:icon src="<%= icon %>"/> <%= glp(label) %></a></li> 
<% } %>