<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.jalios.jcms.document.editor.DocumentEditorManager"%>
<%@page import="com.jalios.jcms.document.editor.DocumentEditor"%>
<%@ include file="/plugins/ExplorerPlugin/jsp/app/contextmenu/doInitExplorerContextMenuAction.jspf" %><%

if (contextMenuData == null || !(contextMenuData instanceof FileDocument)) {
  return;
}

FileDocument doc = (FileDocument) contextMenuData;
List<DocumentEditor> editorList = DocumentEditorManager.getInstance().getDocumentEditorList(doc, loggedMember, userLang);
int editorCount = Util.getSize(editorList);
if (editorCount == 1) { %>
  <%   
    DocumentEditor editor = Util.getFirst(editorList);
    String editorName = StringUtils.lowerCase(editor.getName(userLang)); 
    editorName = editorName.replace(" ", "");
  %>
  <li class="explorer-ctxmenu-<%= editorName %>"><a <%= editor.getLinkAttributes(userLang, doc, loggedMember) %> href="<%= editor.getUrl(doc, loggedMember, ServletUtil.getBaseUrl(request)) %>" <%= editor.getLinkAttributes() %> class="explorer-action-<%= editorName %> <%= editor.getLinkCss() %>" tabindex="-1" ><jalios:icon src="<%= editor.getIcon(doc, loggedMember) %>"/> <%= editor.getButtonLabel(userLang, doc, loggedMember) %></a></li>
<% } else if (editorCount > 1) { %>
  <li class="divider"></li>
  <jalios:foreach collection="<%= editorList %>" type="DocumentEditor" name="editor" >
    <% 
      String editorName = StringUtils.lowerCase(editor.getName(userLang)); 
      editorName = editorName.replace(" ", "");
    %>
    <li class="explorer-ctxmenu-<%= editorName %>"><a  <%= editor.getLinkAttributes(userLang, doc, loggedMember) %> href="<%= editor.getUrl(doc, loggedMember, ServletUtil.getBaseUrl(request)) %>" <%= editor.getLinkAttributes() %> class="explorer-action-<%= editorName %> <%= editor.getLinkCss() %>" tabindex="-1" ><jalios:icon src="<%= editor.getIcon(doc, loggedMember) %>"/> <%= editor.getButtonLabel(userLang, doc, loggedMember) %></a></li>
  </jalios:foreach>  
<% } %>
