<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
Category cat = (Category) request.getAttribute("sidebar-category-item");
if (cat == null) {
  return;
}

if (!cat.canBeReadBy(loggedMember)) {
  return;
}

if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

if (explorerHandler == null) {
  return;
}

Set<Category> childrenSet = cat.getChildrenSet();

boolean hasChildrens = Util.notEmpty(childrenSet);
boolean isUploadEnabled = explorerHandler.canUploadDocumentsInCategory(cat);
boolean isOpened = explorerHandler.isSidebarCategoryOpened(cat);
boolean canUseCategory = isLogged && loggedMember.canUseCategory(cat);
boolean canWorkOnCategory = isLogged && loggedMember.canManageCategory(cat);
%>
<li class="<%= !isUploadEnabled ? "is-upload-forbidden" : "" %> sidebar-categorytree-item  <%= isOpened ? "is-opened " : "" %><%= canWorkOnCategory ? " is-manageable " : "" %><%= canUseCategory ? "is-usable is-droppable" : "" %>" <%= hasChildrens ? "aria-expanded=\""+ isOpened +"\"" : "" %> data-jalios-data-id="<%= cat.getId() %>" data-jalios-explorer-action="selectItem" 
<% if(isOpened) { %> aria-expanded="true"<% } %>>
  <a data-jalios-explorer-history="<%= encodeForHTMLAttribute(explorerHandler.getCategoryUrl(cat, workspace)) %>" class="<%= !isUploadEnabled ? "is-upload-forbidden" : "" %> sidebar-categorytree-item-link<%= canUseCategory ? " is-usable" : "" %>"  data-jalios-data-id="<%= cat.getId() %>">
	  <jalios:icon css="js-icon" htmlAttributes="<%= explorerHandler.getFolderColorHtmlAttributes(cat) %>" src="<%= explorerHandler.getFolderIconSrc(cat) %>" /> 
	  <span class="js-title" role="button" tabindex="0" ><%= cat.getName(userLang) %> 
      <% if (Util.notEmpty(cat.getDescription(userLang, true))) { %>
        <jalios:buffer name="catHtmlAttributes">data-toggle="tooltip" data-placement="right" title="<%= encodeForHTMLAttribute(cat.getDescription(userLang, true)) %>"</jalios:buffer>
        <jalios:icon src="jcmsplugin-explorer-category-tooltip" htmlAttributes="<%= catHtmlAttributes %>"/>
      <% } %>
	  </span>
	  <span class="sidebar-categorytree-item-opener" data-jalios-explorer-action="toggleSidebarCategory" <% if (hasChildrens) { %>role="button" tabindex="0" <% } %>>
	    <% if (hasChildrens) { %>
        <% 
          String openerIconRightCss = isOpened ? "opener-icon hide" : "opener-icon";
          String openerIconDownCss = isOpened ? "opener-icon" : "opener-icon hide";
          String openLabel = glp("jcmsplugin.explorer.app.category-node-open", cat.getName(userLang));
          String closeLabel = glp("jcmsplugin.explorer.app.category-node-close", cat.getName(userLang));
        %>
	      <jalios:icon css="<%= openerIconRightCss %>" title="<%= openLabel %>" alt="<%= openLabel %>" src="jcmsplugin-explorer-app-sidebar-node-opener"/> <jalios:icon css="<%= openerIconDownCss %>" alt="<%= closeLabel %>" title="<%= closeLabel %>" src="jcmsplugin-explorer-app-sidebar-node-closer"/>
	    <% } %>
    </span>
  </a>
  <% if (isOpened) { %>
    <% request.setAttribute("openedCategory", cat); %>
    <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppSidebar_categoryNodeChildrens.jsp" />
    <% request.removeAttribute("openedCategory"); %>
  <% } %>
</li>