<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerField"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%>
<%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file="/jcore/doInitPage.jspf" %><%
if (Util.isEmpty(request.getAttribute("explorerHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/doExplorerAppHandler.jsp" />
<% }
ExplorerAppHandler explorerHandler = (ExplorerAppHandler) request.getAttribute("explorerHandler");

if (explorerHandler == null) {
  return;
}
int rowIndex = 1;
%>
<% if (!hasParameter("opSeeMore")) { %>
	<div role="rowgroup" class="explorer-table-body ajax-refresh-div explorer-section-categories js-draggable-elements" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/list/doExplorerAppBody_categoryList.jsp">
		 <% if (Util.notEmpty(explorerHandler.getResult().getCategories())) { %>
		   <% for (Category itCat : explorerHandler.getResult().getCategories()) { %>
		   <% 
		    DataAttribute cardDataAttribute = new DataAttribute();
		    cardDataAttribute.addData("data-jalios-explorer-history", explorerHandler.getCategoryUrl(itCat, workspace));
		    cardDataAttribute.addData("jalios-explorer-action", "selectItem");    
	      boolean isUploadEnabled = explorerHandler.canUploadDocumentsInCategory(itCat);
	      
		   %>
		   <div role="row" aria-rowindex="<%= rowIndex %>" data-jalios-data-id="<%= itCat.getId() %>" class="explorer-item explorer-item-category explorer-table-row explorer-row-item<%= isLogged && loggedMember.canManageCategory(itCat) ? " is-manageable " : "" %><%= isLogged && loggedMember.canUseCategory(explorerHandler.getAvailableExplorerCurrentCategory()) && loggedMember.canUseCategory(itCat) ? " is-usable" : "" %> <%= !isUploadEnabled ? "is-upload-forbidden" : "" %>" <%= cardDataAttribute.toString() %>>
          <div role="cell" class="checkbox-wrapper">
            <span class="js-activate-card" role="button" tabindex="0" data-toggle="tooltip" data-placement="top" aria-label="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", itCat.getName(userLang, true))) %>" title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", itCat.getName(userLang, true))) %>" data-jalios-select-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.select", itCat.getName(userLang, true))) %>" data-jalios-unselect-title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.unselect", itCat.getName(userLang, true))) %>">
              <input class="checkbox-check" type="checkbox" name="activate-card" />
              <span class="checkbox-text">
                <span class="checkbox-icon">
                  <jalios:icon src="glyph: icomoon icomoon-checkmark3" />
                </span>
              </span>
            </span>
          </div>
          <% for (String field : ExplorerAppManager.getInstance().getExplorerFields(explorerHandler.getAvailablePortletExplorer())) { %>
            <% if (!ExplorerField.getIfPresent(field).isPresent()) { continue; } %>
            <% ExplorerField explorerField = ExplorerField.getIfPresent(field).get(); %>
            <% if (ExplorerField.TITLE == explorerField) { %>
              <div role="cell" class="item-title <%= explorerField.getTableColumnCss() %>"><jalios:icon css="js-icon folder-icon" title="jcmsplugin.explorer.folder" alt="jcmsplugin.explorer.folder" htmlAttributes="<%= explorerHandler.getFolderColorHtmlAttributes(itCat) %>" src="<%= explorerHandler.getFolderIconSrc(itCat) %>"/> <span class="js-title" role="button" tabindex="0"><%= itCat.getDataName(userLang) %></span><%= explorerHandler.getFolderPathAsString(itCat) %></div>
            <% } else if (ExplorerField.COUNTER == explorerField) { %>
              <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= rowIndex %></div>
            <% } else if (ExplorerField.TYPE == explorerField) { %>
              <div role="cell" class="<%= explorerField.getTableColumnCss() %>"><%= glp("jcmsplugin.explorer.folder") %></div>
            <% } else if (ExplorerField.RIGHTS == explorerField) { %>
              <div role="cell" class="<%= explorerField.getTableColumnCss() %>">
                <% request.setAttribute("explorer-list-category", itCat); %>
                <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/list/doExplorerAppBody_categoryState.jsp" />
                <% request.removeAttribute("explorer-list-category"); %>
              </div>
            <% } else if (ExplorerField.RECOMMEND == explorerField) { %>
              <% String shareUrl = explorerHandler.getCategoryUrl(itCat, workspace); %>
              <div role="cell" class="<%= explorerField.getTableColumnCss() %>">
                <a class="share-folder btn btn-rounded" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/shareExplorer.jsp?explorerCurrentCategory=<%= itCat.getId() %>&amp;portletExplorer=<%= explorerHandler.getAvailablePortletExplorer().getId() %>&amp;shareUrl=<%= encodeForURL(shareUrl) %>" data-jalios-action="modal"><jalios:icon src="recommendation" /></a>
              </div>
            <% } else { %>
  		      <div role="cell" class="<%= explorerField.getTableColumnCss() %>"></div>
            <% } %>
          <% } %>
          <div role="cell" class="actions-wrapper">
            <a class="btn btn-rounded" role="button" data-jalios-explorer-action="openActionsMenu" tabindex="0" title="<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.open-actions-menu", itCat.getName(userLang, true))) %>"><jalios:icon src="jcmsplugin-explorer-list-actions-menu" alt='<%= encodeForHTMLAttribute(glp("jcmsplugin.explorer.app.open-actions-menu", itCat.getName(userLang, true))) %>' /></a>
          </div>
		   </div>
       <% rowIndex++; %>
		   <% } %>
		<% } %>
	</div>
<% } %><% request.setAttribute("rowIndex", rowIndex); %>