<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@ include file="/jcore/doInitPage.jspf" %><% 
String css = "card-img " + getIncludeString("css", "");
String src = getIncludeString("src", "");
Data data = (Data) request.getAttribute("explorer.list.data");

if (data == null) {
  data = getDataParameter("cardData");
}

boolean loadThumb = getBooleanParameter("loadThumb", false);
%>
<jalios:buffer name="placeholderBuffer" trim="true">
  <div class="list-image-placeholder list-image-wrapper <%= loadThumb ? "loaded-thumb" : "" %>">
    <figure class="image  <%= css %>">
      <jalios:icon title="<%= data.getDataIconTitle(userLang) %>" css="card-placeholder-img" alt="<%= data.getDataIconTitle(userLang) %>" src="<%= data.getDataIcon() %>" />
    </figure>
  </div>
</jalios:buffer>
<% if (!loadThumb || (data instanceof FileDocument && !((FileDocument)data).isImage())) { %>
  <%= placeholderBuffer %>
<% } else { %>
	<jalios:buffer name="cardImageBuffer" trim="true">
	  <% if (data instanceof FileDocument && !((FileDocument)data).isImage()) { %>
	    <jalios:thumbnail  css="is-object-fit" square="true" fileDoc="<%= (FileDocument) data %>" width="<%= 30 %>" height="<%= 30 %>" />
	  <% } else { %>
	    <jalios:thumbnail css="is-object-fit" square="true" data="<%= data %>" width="<%= 30 %>" height="<%= 30 %>" />
	  <% } %>
	</jalios:buffer>
  <% if (Util.isEmpty(cardImageBuffer)) { %>
    <%= placeholderBuffer %>
  <% } else { %>
    <div class="list-image-wrapper <%= loadThumb ? "loaded-thumb" : "" %>">
      <figure class="image is-4by3 <%= css %>">
        <%= cardImageBuffer %>
      </figure>
    </div>  
  <% } %>
<% } %>