<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%><%
%><%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppHandler"%><%
%><%@ page contentType="text/html; charset=UTF-8" %><%
%><%@ include file='/jcore/doInitPage.jspf' %><%

request.setAttribute("isExplorer", Boolean.TRUE); 

%><jsp:useBean id='formHandler' scope='page' class='com.jalios.jcmsplugin.explorer.handler.ExplorerModalCategoryRightsHandler'><%
  %><jsp:setProperty name='formHandler' property='request' value='<%= request %>'/><%
  %><jsp:setProperty name='formHandler' property='response' value='<%= response %>'/><%
  %><jsp:setProperty name='formHandler' property='*' /><%
  %><jsp:setProperty name='formHandler' property='noRedirect' value='true' /><%
%></jsp:useBean><%
%><jsp:useBean id='catHandler' scope='page' class='com.jalios.jcms.handler.EditCatHandler'><%
  %><jsp:setProperty name='catHandler' property='request' value='<%= request %>'/><%
  %><jsp:setProperty name='catHandler' property='response' value='<%= response %>'/><%
  %><jsp:setProperty name='catHandler' property='*' /><%
  %><jsp:setProperty name='catHandler' property='noRedirect' value='true' /><%
%></jsp:useBean><%

if (formHandler.getAvailableExplorerCurrentCategory() != null) {
  catHandler.setId(formHandler.getAvailableExplorerCurrentCategory().getId());
}
if (formHandler.getAvailableExplorerCurrentCategory() != null && !formHandler.getAvailableExplorerCurrentCategory().canBeReadBy(loggedMember)) {
  sendForbidden(request, response);
  return;
}

request.setAttribute("explorer.edit-cat-handler", catHandler); 
request.setAttribute("explorer.modal-handler", formHandler);
boolean editMode = loggedMember.canManageCategory(formHandler.getAvailableExplorerCurrentCategory());;
request.setAttribute("field-vertical", true);

if (!hasParameter("initialCategory")) {
  formHandler.setInitialCategory(formHandler.getAvailableExplorerCurrentCategory().getId());
}

%>
<% if (editMode && catHandler.validate()) { %>
  <script>
    jQuery.plugin.ExplorerApp.triggerEvent("updateCategoryRights", {
      "categoryId": "<%= formHandler.getAvailableExplorerCurrentCategory().getId() %>",
      "categoryIconSrc": "<%= ExplorerAppManager.getInstance().getFolderIconSrc(formHandler.getAvailableExplorerCurrentCategory()) %>"
    });
    toastr.options = {
  	  "positionClass": "toast-top-center"
		};
    toastr.info('<%= glp("jcmsplugin.explorer.action-message.rights-updated") %>');
    jQuery('.popover').removeClass("hide"); // Restore menu display
    jQuery.jalios.ui.Modal.close(false);
  </script>
<% } else { %>
  <script>
    jQuery.fn.dropdown.clearMenus(); // Clear menus (The ttcard displayed in breadcrumb essentially)
    jQuery('.popover').addClass("hide");
  </script>
<% } %>
<% if (Util.isEmpty(formHandler.getAvailableExplorerCurrentCategory())) { %>
  <%-- Empty category means root has been clicked on a multi root explorer --%>
  <jalios:modal css="modal-lg explorer-modal-edit-category-rights" title='<%= glp("jcmsplugin.explorer.app.modal.category-rights.title") %>' url="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal.jsp">
    <jalios:breadcrumb items="<%= formHandler.getBreadcrumbs() %>"></jalios:breadcrumb>
    <div class="no-result">
      <jalios:icon src="jcmsplugin-explorer-category-rights-no-rights-set" />
      <p><%= glp("jcmsplugin.explorer.app.modal.category-rights.no-rights-on-root") %></p>
    </div>
  </jalios:modal>  
<% } else if (editMode) { %>
  <jalios:modal css="modal-lg explorer-modal-edit-category-rights" op="opUpdate" button="ui.com.btn.save" formHandler="<%= formHandler %>" title='<%= glp("jcmsplugin.explorer.app.modal.category-rights.title") %>' url="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal.jsp">
    <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_edit.jsp" />
  </jalios:modal>
<% } else { %>
  <jalios:modal css="modal-lg explorer-modal-show-category-rights" title='<%= glp("jcmsplugin.explorer.app.modal.category-rights-display.title") %>' url="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal.jsp">
    <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_display.jsp" />
  </jalios:modal>
<% } %>