<%@page import="com.jalios.jcmsplugin.explorer.rights.FolderRightInformation"%>
<%@page import="com.jalios.jcmsplugin.explorer.rights.ExplorerRightsManager"%>
<%@page import="com.jalios.jcmsplugin.explorer.rights.CategoryRightType"%>
<%@page import="com.jalios.jcmsplugin.explorer.handler.TabRightsState"%>
<%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerModalCategoryRightsHandler"%>
<%@page import="com.jalios.jcmsplugin.explorer.ExplorerUtils"%>
<%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerModalHandler"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@page import="com.jalios.jcms.handler.EditCatHandler"%>
<%@ include file='/jcore/doInitPage.jspf' %><%
EditCatHandler catHandler = (EditCatHandler) request.getAttribute("explorer.edit-cat-handler");
ExplorerModalCategoryRightsHandler formHandler = (ExplorerModalCategoryRightsHandler) request.getAttribute("explorer.modal-handler"); 
boolean isUseCatFeatureEnabled = ExplorerRightsManager.getInstance().isCatUseFeatureEnabled();

Category currentCategory = formHandler.getAvailableExplorerCurrentCategory();
Set<Category> explorerRoots = ExplorerUtils.getPortletExplorerRootCategories(loggedMember, workspace, formHandler.getAvailablePortletExplorer());
%>
<jalios:breadcrumb items="<%= formHandler.getBreadcrumbs() %>"></jalios:breadcrumb>

<% if (!formHandler.showTab(CategoryRightType.READ) && !formHandler.showTab(CategoryRightType.USE) && !formHandler.showTab(CategoryRightType.MANAGE)) { %>
<div class="no-result">
  <jalios:icon src="jcmsplugin-explorer-category-rights-no-rights-set" />
  <p><%= glp("jcmsplugin.explorer.app.modal.category-rights.no-rights-set") %></p>
</div>
<% } else { %>
  <%
  boolean showReadTab = formHandler.showTab(CategoryRightType.READ); 
  boolean showUseTab = isUseCatFeatureEnabled && formHandler.showTab(CategoryRightType.USE); 
  boolean showManageTab = formHandler.showTab(CategoryRightType.MANAGE); 
  %>
  <% if (showReadTab && showUseTab || showUseTab && showManageTab || showReadTab && showManageTab) { %>
    <ul class="nav nav-tabs nav-tabs-underlined" role="tablist">
      <% if (formHandler.showTab(CategoryRightType.READ)) { %>
        <li role="presentation" class="<%= formHandler.isTabActive(CategoryRightType.READ) ? "active" : "" %>">
          <% TabRightsState tabRightsReadState = formHandler.getTabRightsState(CategoryRightType.READ); %>
          <a href="#read-rights-tab" data-toggle="tab" aria-controls="paths" role="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-read" /><%= glp("ui.work.form.lbl.read-rights") %><span class="tab-rights-bullet <%= tabRightsReadState.getBulletCss() %>"></a>
        </li>
      <% } %>
      <% if (isUseCatFeatureEnabled && formHandler.showTab(CategoryRightType.USE)) { %>
        <li role="presentation" class="<%= formHandler.isTabActive(CategoryRightType.USE) ? "active" : "" %>">
          <% TabRightsState tabRightsUseState = formHandler.getTabRightsState(CategoryRightType.USE); %>
          <a href="#use-rights-tab" data-toggle="tab" aria-controls="paths" role="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-update" /><%= glp("jcmsplugin.explorer.app.modal.category-use-rights") %><span class="tab-rights-bullet <%= tabRightsUseState.getBulletCss() %>"></span></a>
        </li>
      <% } %>
      <% if (formHandler.showTab(CategoryRightType.MANAGE)) { %>
        <li role="presentation" class="<%= formHandler.isTabActive(CategoryRightType.MANAGE) ? "active" : "" %>">
          <% TabRightsState tabRightsManageState = formHandler.getTabRightsState(CategoryRightType.MANAGE); %>
          <a href="#management-rights-tab" data-toggle="tab" aria-controls="paths" role="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-manage" /><%= glp("ui.work.cat.tab.manage-rights") %><span class="tab-rights-bullet <%= tabRightsManageState.getBulletCss() %>"></span></a>
        </li>
      <% } %>
    </ul>
  <% } %>
  <div class="tab-content">
    <%-- *** READ RIGHT TAB ***************************************** --%>
    <div id='read-rights-tab' class="tab-pane fade <%= formHandler.isTabActive(CategoryRightType.READ) ? "active in" : "" %>">
      <%
        List<FolderRightInformation> readInfos = formHandler.getInheritedReadRights();
        request.setAttribute("explorer.rightInfos", readInfos);
        request.setAttribute("explorer.rightType", CategoryRightType.READ);
      %>
      <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_inheritedRights.jsp" />
      <div class="rights-block explicit-rights">
        <div class="rights-block-title"><%= glp("jcmsplugin.explorer.app.modal.category-rights.explicit-rights") %></div>
        <% if (Util.notEmpty(currentCategory.getAuthorizedGroupSet()) || Util.notEmpty(currentCategory.getAuthorizedMemberSet())) { %>
          <ul>
          <% if (Util.notEmpty(currentCategory.getAuthorizedGroupSet())) { %>
              <% for (Group itGroup : currentCategory.getAuthorizedGroupSet()) { %>
                <% if (itGroup.canBeReadBy(loggedMember)) { %>
                  <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup.getName(userLang, true) %></a></li>
                <% } %>
              <% } %>
          <% } %>
          <% if (Util.notEmpty(currentCategory.getAuthorizedMemberSet())) { %>
              <% for (Member itMember : currentCategory.getAuthorizedMemberSet()) { %>
                <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>"/> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
              <% } %>
          <% } %>
          </ul>
        <% } %>
      </div>
    </div>
    
    <% if (isUseCatFeatureEnabled) { %>
      <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_displayCatUse.jsp" />
    <% } %>
    
    <%-- *** MANAGEMENT RIGHTS TAB ***************************************** --%>
    <div id='management-rights-tab' class="tab-pane fade <%= formHandler.isTabActive(CategoryRightType.MANAGE) ? "active in" : "" %>">
      <%
        List<FolderRightInformation> manageInfos = formHandler.getInheritedManagementRights();
        request.setAttribute("explorer.rightInfos", manageInfos);
        request.setAttribute("explorer.rightType", CategoryRightType.MANAGE);
      %>
      <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_inheritedRights.jsp" />
      <div class="rights-block explicit-rights">
        <div class="rights-block-title"><%= glp("jcmsplugin.explorer.app.modal.category-rights.explicit-rights") %></div>
        <% if (Util.notEmpty(currentCategory.getManagerGroupSet(false)) || Util.notEmpty(currentCategory.getManagerMemberSet(false))) { %>
          <ul>
            <% if (Util.notEmpty(currentCategory.getManagerGroupSet(false))) { %>
              <% for (Group itGroup : currentCategory.getManagerGroupSet(false)) { %>
                <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup %></a></li>
              <% } %>
            <% } %>
            <% if (Util.notEmpty(currentCategory.getManagerMemberSet(false))) { %>
              <% for (Member itMember : currentCategory.getManagerMemberSet(false)) { %>
                <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>"/> <jalios:link data="<%= itMember %>"><%= itMember.getFullName() %></jalios:link></li>
              <% } %>
            <% } %>
          </ul>
        <% } %>
      </div>
   </div>
  </div>
<% } %>
<input type="hidden" name="initialCategory" value="<%= formHandler.getAvailableInitialCategory().getId() %>" />