<%@page import="com.jalios.jcmsplugin.explorer.rights.FolderRightInformation"%><%
%><%@page import="com.jalios.jcmsplugin.explorer.rights.CategoryRightType"%><%
%><%@page import="com.jalios.jcmsplugin.explorer.handler.TabRightsState"%><%
%><%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerModalCategoryRightsHandler"%><%
%><%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerModalHandler"%><%
%><%@page import="com.jalios.jcms.handler.EditCatHandler"%><%
%><%@ include file='/jcore/doInitPage.jspf' %><%
EditCatHandler catHandler = (EditCatHandler) request.getAttribute("explorer.edit-cat-handler");
ExplorerModalCategoryRightsHandler formHandler = (ExplorerModalCategoryRightsHandler) request.getAttribute("explorer.modal-handler"); 

boolean isUseCatFeatureEnabled = formHandler.isUseCatFeatureEnabled();

%>
<jalios:breadcrumb items="<%= formHandler.getBreadcrumbs() %>"></jalios:breadcrumb>

<% if (formHandler.isPropagateRightsEnabled()) { %>
  <ul class="nav nav-tabs nav-tabs-underlined" role="tablist">
    <li role="presentation" data-jalios-tab-name="read" <% if (formHandler.isActiveTab("read")) { %>class="active" <% } %>>
      <% TabRightsState tabRightsReadState = formHandler.getTabRightsState(CategoryRightType.READ); %>
      <a href="#read-rights-tab" title="<%= tabRightsReadState.getTitle() %>" data-toggle="tab" aria-controls="paths" role="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-read" /><%= glp("jcmsplugin.explorer.app.modal.category-read-rights") %><span class="tab-rights-bullet <%= tabRightsReadState.getBulletCss() %>"></span></a>
    </li>
    <% if (isUseCatFeatureEnabled) { %>
    <li role="presentation" data-jalios-tab-name="use" <% if (formHandler.isActiveTab("use")) { %>class="active" <% } %>>
      <% TabRightsState tabRightsUseState = formHandler.getTabRightsState(CategoryRightType.USE); %>
      <a href="#use-rights-tab" title="<%= tabRightsUseState.getTitle() %>" data-toggle="tab" aria-controls="paths" role="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-update" /><%= glp("jcmsplugin.explorer.app.modal.category-use-rights") %><span class="tab-rights-bullet <%= tabRightsUseState.getBulletCss() %>"></span></a>
    </li>
    <% } %>
    <li role="presentation" data-jalios-tab-name="manage" <% if (formHandler.isActiveTab("manage")) { %>class="active" <% } %>>
      <% TabRightsState tabRightsManageState = formHandler.getTabRightsState(CategoryRightType.MANAGE); %>
      <a href="#management-rights-tab" title="<%= tabRightsManageState.getTitle() %>" data-toggle="tab" aria-controls="paths" role="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-manage" /><%= glp("jcmsplugin.explorer.app.modal.category-manage-rights") %><span class="tab-rights-bullet <%= tabRightsManageState.getBulletCss() %>"></span></a>
    </li>
  </ul>
<% } %>
<div class="tab-content">
  <%-- *** READ RIGHT TAB ***************************************** --%>
  <% List<FolderRightInformation> readInfos = formHandler.getInheritedReadRights(); %>
  <% if (formHandler.isPropagateReadRightsEnabled() || formHandler.isPropagateRightsEnabled()) { %>
    <div id='read-rights-tab' class="tab-pane <%= formHandler.isActiveTab("read") ? "active" : "" %> fade in">
      <jalios:message dismissable="false">
        <a class="ctx-caret show-details" data-jalios-action="toggle:hide" data-jalios-target=".read-rights-details" role="button"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-READ-message-toggle") %></a>
        <div class="rights-details read-rights-details hide"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-READ.description") %></div>
      </jalios:message>
      
      <%
        request.setAttribute("explorer.rightInfos", readInfos);
        request.setAttribute("explorer.rightType", CategoryRightType.READ);
      %>
      <% if (formHandler.isAnyParentHasExplicitReadRights() || formHandler.getAvailableExplorerCurrentCategory().hasAnyReadRights()) { %>
        <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_inheritedRights.jsp" />
      <% } %>
      <% if (formHandler.useLocalGroupSettings()) { %>
        <jalios:field  name="authorizedGroupIds"  label="ui.com.lbl.groups" value='<%= catHandler.getAvailableAuthorizedGroupSet() %>' css='nodnd'>
          <jalios:control settings='<%= new EnumerateSettings().select().multiple().enumValues(formHandler.getWorkspaceGroupSet()).value(catHandler.getAvailableAuthorizedGroupSet()) %>' />
        </jalios:field>
      <% } else { %>
        <jalios:field  name="authorizedGroupIds"  label="ui.com.lbl.groups" value='<%= catHandler.getAvailableAuthorizedGroupSet() %>' keyword="true" mv='<%= 1 %>' css='nodnd'>
          <jalios:control settings='<%= new GroupSettings().value(catHandler.getAvailableAuthorizedGroupSet()) %>' />
        </jalios:field>
      <% } %>
      
      <jalios:field  name="authorizedMemberIds" label="ui.com.lbl.members" value='<%= catHandler.getAvailableAuthorizedMemberSet() %>' keyword="true" mv='<%= 1 %>' css='nodnd'>
        <jalios:control settings="<%= new MemberSettings().filter(MemberSettings.MemberFilter.ACCOUNT) %>" />
      </jalios:field>
      
      <%= Util.getString(request.getAttribute("explorer-modal-rights-administrators"), "") %>
    </div>
  <% } %>
  <% if (formHandler.isPropagateRightsEnabled()) { %>
    <% if (isUseCatFeatureEnabled) { %>
      <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_editUseCat.jsp" />
    <% } %>
    
    <%-- *** MANAGEMENT RIGHTS TAB ***************************************** --%>
    <% List<FolderRightInformation> manageInfos = formHandler.getInheritedManagementRights(); %>
    <div id='management-rights-tab' class="tab-pane fade  <%= formHandler.isActiveTab("manage") ? "active" : "" %> in">
      <jalios:message dismissable="false">
        <a class="ctx-caret show-details" data-jalios-action="toggle:hide" data-jalios-target=".manage-rights-details" role="button"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-MANAGE-message-toggle") %></a>
        <div class="rights-details manage-rights-details hide"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-MANAGE.description") %></div>
      </jalios:message>
      <%
        request.setAttribute("explorer.rightInfos", manageInfos);
        request.setAttribute("explorer.rightType", CategoryRightType.MANAGE);
      %>
      <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/modal/categoryRightsModal_inheritedRights.jsp" />
      
      <% if (formHandler.useLocalGroupSettings()) { %>
        <jalios:field  name="managerGroupIds" tooltip="jcmsplugin.explorer.app.modal.category-rights.explain-group-rights" label="ui.com.lbl.groups" value='<%= catHandler.getAvailableManagerGroupSet() %>' css='nodnd'>
          <jalios:control settings="<%= new EnumerateSettings().select().multiple().enumValues(formHandler.getWorkspaceGroupSet()).value(catHandler.getAvailableManagerGroupSet()) %>" />
        </jalios:field>
      <% } else { %>
        <jalios:field  name="managerGroupIds" tooltip="jcmsplugin.explorer.app.modal.category-rights.explain-group-rights" label="ui.com.lbl.groups" value='<%= catHandler.getAvailableManagerGroupSet() %>' keyword="true" mv='<%= 1 %>' css='nodnd'>
          <jalios:control type="<%= ControlType.GROUP %>" />
        </jalios:field>
      <% } %>
      
      <jalios:field  name="managerMemberIds" label="ui.com.lbl.members" value='<%= catHandler.getAvailableManagerMemberSet() %>' keyword="true" mv='<%= 1 %>' css='nodnd'>
        <jalios:control settings="<%= new MemberSettings().filter(MemberSettings.MemberFilter.ACCOUNT) %>" />
      </jalios:field>
      <%= Util.getString(request.getAttribute("explorer-modal-rights-administrators"), "") %>
   </div>
 <% } %>
</div>
<jalios:buffer name="MODAL_BUTTONS">
  <button type="button" class="btn btn-default" name="opCancel" data-dismiss="modal"><%= glp("ui.com.btn.close") %></button>
  <button type="submit" class="btn btn-primary ajax-refresh plupload-submit" name='opUpdate' value="true"><%= glp("ui.com.btn.save") %></button>
</jalios:buffer>

<input type="hidden" name="editMode" value="true" />
<input type="hidden" name="portletExplorer" value="<%= formHandler.getAvailablePortletExplorer().getId() %>" />
<input type="hidden" name="explorerCurrentCategory" value="<%= formHandler.getAvailableExplorerCurrentCategory().getId() %>" />
<input type="hidden" name="initialCategory" value="<%= formHandler.getAvailableInitialCategory().getId() %>" />