<%@page import="com.jalios.jcmsplugin.explorer.rights.FolderRightInformation"%>
<%@page import="com.jalios.jcmsplugin.explorer.rights.CategoryRightType"%>
<%@page import="com.jalios.jcmsplugin.explorer.handler.ExplorerModalCategoryRightsHandler"%>
<%@page import="com.jalios.jcms.Group"%>
<%@page import="com.jalios.jcms.Member"%>
<%@ include file='/jcore/doInitPage.jspf' %><%
List<FolderRightInformation> infos = (List<FolderRightInformation>) request.getAttribute("explorer.rightInfos");
ExplorerModalCategoryRightsHandler formHandler = (ExplorerModalCategoryRightsHandler) request.getAttribute("explorer.modal-handler"); 

if (Util.notEmpty(infos)) {
  CategoryRightType type = (CategoryRightType) request.getAttribute("explorer.rightType");
  %>
  <jalios:buffer name="members">
    <% for(Member itMember : formHandler.getAllMembersFromInfos(infos)) { %>
       <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>"/> <jalios:link data="<%= itMember %>"><%= itMember %></jalios:link></li>
    <% } %>
  </jalios:buffer>
  <jalios:buffer name="groups">
    <% for (Group itGroup : formHandler.getAllGroupsFromInfos(infos)) { %>
      <% if (itGroup.canBeReadBy(loggedMember)) { %>
        <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup.getName(userLang, true) %></a></li>
      <% } %>
    <% } %>
  </jalios:buffer>
  <% if (Util.notEmpty(members) || Util.notEmpty(groups)) { %>
    <div class="inherited-read-rights">
     <div class="rights-block">
       <div class="rights-block-title"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-rights") %></div>
       <ul class="inherited-members">
         <%= members %>
       </ul>
       <ul class="inherited-groups">
         <%= groups %>
       </ul>
      </div>
    </div>
  <% } %>
<% } %>
<jalios:buffer name="administrators">
  <div class="inherited-read-rights">
   <div class="rights-block">
      <div class="rights-block-title"><%= glp("jcmsplugin.explorer.app.modal.category-rights.inherited-rights-admins") %></div>
      <ul class="inherited-admins">
        <% for (Member itAdmin : workspace.getAdministrators()) { %>
         <li><jalios:memberphoto member="<%= itAdmin %>" size="<%= PhotoSize.ICON %>"/> <jalios:link data="<%= itAdmin %>"><%= itAdmin %></jalios:link></li>
        <% } %>
      </ul>
    </div>
  </div>
</jalios:buffer>
<% request.setAttribute("explorer-modal-rights-administrators", administrators); %>
