<%@page import="com.jalios.jcms.alert.Alert"%>
<%@ page contentType="text/html; charset=UTF-8" %><%----%>
<%----%><%@ include file='/jcore/doInitPage.jspf' %><%----%><%
jcmsContext.addJavaScript("plugins/ExplorerPlugin/js/app/explorer-share-modal.js");
%>
<jsp:useBean id='formHandler' scope='page' class='com.jalios.jcmsplugin.explorer.handler.ExplorerModalHandler'>
  <jsp:setProperty name='formHandler' property='request' value='<%= request %>'/>
  <jsp:setProperty name='formHandler' property='response' value='<%= response %>'/>
  <jsp:setProperty name='formHandler' property='*' />
  <jsp:setProperty name='formHandler' property='noRedirect' value='true' />
</jsp:useBean>
<% if (formHandler.validate()) { %>
  <script>
    jQuery.jalios.ui.Modal.close(false);
  </script>
<% } %>
<jalios:modal css="modal-lg explorer-modal-share" formHandler="<%= formHandler %>" op="opShare" button="jcmsplugin.explorer.app.modal.share.op-action" title="jcmsplugin.explorer.app.modal.share.title" url="plugins/ExplorerPlugin/jsp/app/modal/shareExplorer.jsp">
  <% if (!isLogged) { %>
	  <jalios:field name="shareUrl" value='<%= formHandler.getShareUrl() %>' resource="field-vertical">
	    <% String readOnlyAttribute = "readonly=\"readonly\""; %>
	    <jalios:control settings='<%= new UrlSettings().htmlAttributes(readOnlyAttribute).css("js-share-url") %>' />
	  </jalios:field>
  <% } else { %>
	  <jalios:message msg='<%= glp("jcmsplugin.explorer.app.modal.share.intro", formHandler.getAvailableExplorerCurrentCategory().getName(userLang)) %>' />
	  
		<jalios:field label="ui.recommendation.modal.lbl.alert-level">
		  <% String alertLevelKey = formHandler.getAvailableAlertLevelKey(); %>
		  <% for (Alert.Level itLevel: Alert.Level.values()) { %>
		    <span class="badge alert-level alert-level-<%= itLevel.getKey() %>"><input type="radio" name="alertLevelKey" value="<%= itLevel.getKey() %>" id="alert-level-<%= itLevel.getKey() %>" <%= itLevel.getKey().equals(alertLevelKey) ? "checked='checked'" : ""  %>> <label for="alert-level-<%= itLevel.getKey() %>"><%= itLevel.getLabel(userLang) %></label></span>&nbsp;
		  <% } %>
		</jalios:field>
  
	  <jalios:field name="shareMembers" value='<%= formHandler.getAvailableShareMembers() %>' label="ui.com.lbl.members" keyword="true">
		  <jalios:control settings="<%= new MemberSettings().filter(MemberSettings.MemberFilter.ACCOUNT) %>" />
		</jalios:field>
		<jalios:field name="shareGroups" value='<%= formHandler.getAvailableShareGroups() %>' label="ui.com.lbl.groups" keyword="true">
		  <jalios:control type="<%= ControlType.GROUP %>" />
		</jalios:field>
		<jalios:field name="shareMessage" value='<%= formHandler.getShareMessage() %>' label="jcmsplugin.explorer.app.modal.share.form.message-label">
		  <jalios:control settings='<%= new WysiwygSettings().rows(2).configurationId("light") %>' />
		</jalios:field>
		<input class="js-share-url sr-only" type="text" name="shareUrl" value='<%= encodeForHTMLAttribute(formHandler.getShareUrl()) %>' />
		<jalios:buffer name="MODAL_BUTTON">
		  <button class="btn btn-default btn-copy-link" onclick="return false;" name="copyLink" data-jalios-toastr-label="<%= glp("jcmsplugin.explorer.app.modal.share.toastr-copy") %>"><%= glp("jcmsplugin.explorer.app.modal.share.copy-action") %></button>
		</jalios:buffer>
	<% } %>
  <input type="hidden" name="portletExplorer" value="<%= formHandler.getAvailablePortletExplorer().getId() %>" />
  <input type="hidden" name="explorerCurrentCategory" value="<%= formHandler.getAvailableExplorerCurrentCategory().getId() %>" />
</jalios:modal>