<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppSidebarHandler"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerSidebarTab"%>
<%@page import="com.jalios.jcmsplugin.explorer.app.ExplorerAppManager"%>
<%@ include file='/jcore/doInitPage.jspf' %><%
if (Util.isEmpty(request.getAttribute("explorerSidebarHandler"))) { %>
  <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/sidebar/doExplorerAppSidebarHandler.jsp" />
<% }
ExplorerAppSidebarHandler sidebarHandler = (ExplorerAppSidebarHandler) request.getAttribute("explorerSidebarHandler");

if (sidebarHandler == null) {
  return;
}

sidebarHandler.validate();

if (sidebarHandler.getAvailablePortletExplorer() == null) {
  PortletExplorer portletExplorer = (PortletExplorer) request.getAttribute("explorerPortlet");
  sidebarHandler.setPortletExplorer(portletExplorer.getId());
}

Set<ExplorerSidebarTab> tabs = ExplorerAppManager.getInstance().getSortedTabSet(userLang);
if (Util.isEmpty(tabs)) {
  return;
}

if (sidebarHandler.getAvailableData() == null) {
  %><div class="sidebar-body ajax-refresh-div" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/sidebar/doExplorerAppSidebarInner.jsp?portletExplorer=<%= sidebarHandler.getAvailablePortletExplorer().getId() %>">
    </div>
  <%
  return;
}

request.setAttribute("com.jalios.jcmsplugin.explorer.sidebar.currentData", sidebarHandler.getAvailableData());
request.setAttribute("com.jalios.jcmsplugin.explorer.sidebar.handler", sidebarHandler);
%>
<div class="sidebar-body ajax-refresh-div" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/sidebar/doExplorerAppSidebarInner.jsp?portletExplorer=<%= sidebarHandler.getAvailablePortletExplorer().getId() %>">
  <ul class="sidebar-tabs" role="tablist">
    <% for (ExplorerSidebarTab itTab : tabs) { %>
      <% 
      Map<String, String> additionalParamsMap = new HashMap<String, String>();
      if (sidebarHandler.getAvailablePortletExplorer() != null) {
        additionalParamsMap.put("portletExplorer",sidebarHandler.getAvailablePortletExplorer().getId());
      }
      if (sidebarHandler.getAvailableData() != null) {
        additionalParamsMap.put("data", sidebarHandler.getAvailableData().getId());
      }
      if (sidebarHandler.getAvailableExplorerCurrentCategory() != null) {
        additionalParamsMap.put("explorerCurrentCategory", sidebarHandler.getAvailableExplorerCurrentCategory().getId());
      }
      additionalParamsMap.put("explorerUrl", sidebarHandler.getExplorerUrl());
      additionalParamsMap.put("explorerSearchPerformed", Boolean.toString(sidebarHandler.isExplorerSearchPerformed()));
      String ajaxOptions = itTab.getTabOptionsDataAttributeValue(additionalParamsMap);
      request.setAttribute("jcms.sidebar.tab", itTab);
      request.setAttribute("jcms.sidebar.tab-ajax-options", ajaxOptions);
      %>
      <% if (Util.isEmpty(itTab.getTabUrl())) { %>
        <li aria-label="<%= itTab.getLabel(userLang) %>" title="<%= itTab.getLabel(userLang) %>" role="presentation" class="explorer-tab-<%= itTab.getId() %> <%= sidebarHandler.isActiveTab(itTab) ? "active" : "" %>"><a role="tab" href="#" data-jalios-action="ajax-refresh" data-jalios-options='<%= ajaxOptions %>'><jalios:icon src="<%= itTab.getIcon() %>" /></a></li>
      <% } else { %>
        <jalios:include jsp="<%= itTab.getTabUrl() %>" />
      <% } %>
      <% request.removeAttribute("jcms.sidebar.tab"); %>
    <% } %>  
  </ul>
  <div class="sidebar-tab-content">
    <% if (jcmsContext.isAjaxRequest()) { %>
		  <% for (ExplorerSidebarTab itTab : tabs) { %>
	      <% if (sidebarHandler.isActiveTab(itTab)) { %>
		      <jalios:include jsp="<%= itTab.getUrl() %>" />
	      <% } %>
	    <% } %>
    <% } %>
  </div>
  <%@ include file='/jcore/doAjaxFooter.jspf' %>
</div>