<%@page import="com.jalios.jcms.tracking.*"%>
<%@ include file='/plugins/ExplorerPlugin/jsp/app/sidebar/tabs/doInitExplorerAppSidebarTabContent.jspf' %>
<div class="tab-content-informations">
  <h3 class="sidebar-tab-title"><%= glp("jcmsplugin.explorer.app.sidebar-tab.reader-tracker") %></h3>
  
  <% if (data instanceof Publication) { %>
    <% 
    Publication trackedPub = (Publication) data; 
    ReaderTrackerManager readerMgr = ReaderTrackerManager.getInstance();
    int accessType = 0;
    boolean isReaderTab = true;
    boolean isDownloadTracked = trackedPub instanceof FileDocument;
    
    boolean isPubTracked = readerMgr.isTracked(trackedPub);

    int readerCount = isPubTracked && !hasParameter("opDeleteTracking") ? readerMgr.getReaderCount(trackedPub) : 0;
    int downloadCount = isDownloadTracked && isPubTracked && !hasParameter("opDeleteTracking") ? readerMgr.getDownloadCount(trackedPub) : 0;
        
    boolean readerTrackerAnonymized = readerMgr.isReaderTrackerAnonymized();

    %>
    <% if (readerCount == 0 && downloadCount == 0) { %>
      <jalios:message msg="ui.work.rdr.no-tracking-yet" />
    <% } else { %>
      <% if (readerTrackerAnonymized) { %>
        <%@ include file="/front/readerTracking/readerTrackingAnonymous.jspf" %>
      <% } else { %>
        <%@ include file="/front/readerTracking/readerTracking.jspf" %>
      <% } %>
    <% } %>
  <% } %>
</div>