<%@page import="com.jalios.jcmsplugin.explorer.rights.PublicationRightInformation"%>
<%@page import="com.jalios.jcms.handler.CheckRightsHandler"%>
<%@ include file='/plugins/ExplorerPlugin/jsp/app/sidebar/tabs/doInitExplorerAppSidebarTabContent.jspf' %><%

TypeEntry typeEntry = channel.getTypeEntry(data.getClass());

if (!typeEntry.isReadRightTab()) {
  return;
}

if (!isLogged) {
  return;
}

boolean canWorkOnPub = loggedMember.canWorkOn((Publication) data);
%>
<jsp:useBean id='formHandler' scope='page' class='com.jalios.jcms.handler.EditPublicationHandler'><%
  %><jsp:setProperty name='formHandler' property='request' value='<%= request %>'/><%
  %><jsp:setProperty name='formHandler' property='response' value='<%= response %>'/><%
  %><jsp:setProperty name='formHandler' property='*' /><%
  %><jsp:setProperty name="formHandler" property="noRedirect" value="true" /><%
	%><jsp:setProperty name='formHandler' property='id' value="<%= data.getId() %>" /><%
%></jsp:useBean><%

if (formHandler.validate()) { %>
<script>
	jQuery.plugin.ExplorerApp.triggerEvent("rightsUpdated", '{"message":"<%= glp("jcmsplugin.explorer.action-message.rights-updated") %>","dataId":"<%= data.getId() %>"}');
</script>
<% }
PublicationRightInformation pubRightInformations = sidebarHandler.getInheritedReadRights();
%>
<div class="ajax-refresh-div" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/app/sidebar/tabs/doExplorerAppSidebarTab_rights.jsp">
	<div class="tab-content-rights">
	  <h3 class="sidebar-tab-title"><%= glp("ui.work.form.lbl.rights") %></h3>
    <%@ include file='/jcore/doMessageBox.jspf' %>
    <ul class="nav nav-tabs nav-tabs-underlined">
      <li role="presentation" class="active"><a href="#readrights" aria-controls="readrights" role="tab" data-toggle="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-read" /><%= glp("ui.work.form.lbl.read-rights") %> <span class="tab-rights-bullet <%= sidebarHandler.getReadTabRightsState().getBulletCss() %> "></a></li>
      <li role="presentation"><a href="#updaterights" aria-controls="updaterights" role="tab" data-toggle="tab"><jalios:icon src="jcmsplugin-explorer-rights-tab-update" /><%= glp("ui.work.form.lbl.update-rights") %> <span class="tab-rights-bullet <%= sidebarHandler.getUpdateTabRightsState().getBulletCss() %> "></span></a></li>
    </ul>
    <form>
      <div class="tab-content">
        <div role="tabpanel" class="tab-pane active" id="readrights">
          <%-- Stand alone JSP to avoid dependency issues with < 10 SP6 --%>
          <% request.setAttribute("inheritedDisplay", "read"); %>
          <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/sidebar/tabs/doExplorerAppSidebarTab_rightsInherited.jsp" />
          <% if (canWorkOnPub) { %>
            <jalios:message msg="ui.work.form.lbl.read-rights.info" title="" dismissable="false" />
            <%-- AuthorizedGroupSet ------------------------------------------------------------ --%> 
            <jalios:field label="ui.com.lbl.groups" keyword="true" name="authorizedGroupIds" value="<%= formHandler.getAvailableAuthorizedGroupSet() %>" mv="1" resource="field-vertical" css="nodnd">
              <jalios:control type="<%= ControlType.GROUP %>" />
            </jalios:field>
            <%-- AuthorizedMemberSet ------------------------------------------------------------ --%> 
            <jalios:field label="ui.com.lbl.members" keyword="true" name="authorizedMemberIds" value="<%= formHandler.getAvailableAuthorizedMemberSet() %>" mv="1" resource="field-vertical" css="nodnd">
              <jalios:control settings="<%= new MemberSettings().filter(MemberSettings.MemberFilter.ACCOUNT) %>" />
            </jalios:field>
          <% } else if (Util.notEmpty(formHandler.getAvailableAuthorizedGroupSet()) || Util.notEmpty(formHandler.getAvailableAuthorizedMemberSet())){ %>
            <div class="inherited-rights no-focus">
              <div class="inherited-rights-read">
                <div class="inherited-rights-section-title"><%= glp("jcmsplugin.explorer.app.direct-rights") %></div>
                <ul class="list-unstyled">
                  <% if (Util.notEmpty(formHandler.getAvailableAuthorizedGroupSet())) { %>
                    <% for (Group itGroup : formHandler.getAvailableAuthorizedGroupSet()) { %>
                      <% if (itGroup.canBeReadBy(loggedMember)) { %>
                        <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup.getName(userLang, true) %></a></li>
                      <% } %>
                    <% } %>
                  <% } %>
                  <% if (Util.notEmpty(formHandler.getAvailableAuthorizedMemberSet())) { %>
                    <% for (Member itMember : formHandler.getAvailableAuthorizedMemberSet()) { %>
                      <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /><jalios:link data="<%= itMember %>" /></li>
                    <% } %>
                  <% } %>
                  
                </ul>
              </div>
            </div>
          <% } %>
        </div>
        <div role="tabpanel" class="tab-pane" id="updaterights">
          <%-- Stand alone JSP to avoid dependency issues with < 10 SP6 --%>
          <% request.setAttribute("inheritedDisplay", "update"); %>
          <jalios:include jsp="plugins/ExplorerPlugin/jsp/app/sidebar/tabs/doExplorerAppSidebarTab_rightsInherited.jsp" />
          <% if (canWorkOnPub) { %>
            <jalios:message msg="ui.work.form.lbl.update-rights.info" title="" dismissable="false" />
            <%-- restrictUpdateRights ------------------------------------------------------------ --%>
            <jalios:field label="" name="restrictUpdateRights" value="<%= formHandler.getAvailableRestrictUpdateRights() %>" resource="field-vertical">
              <jalios:control settings='<%= new EnumerateSettings().select().enumValues(true,false).enumLabels("ui.work.form.lbl.update-rights-mode.restricted", "ui.work.form.lbl.update-rights-mode.extended") %>' />
            </jalios:field>
            
            <%-- UpdateGroupSet ------------------------------------------------------------ --%> 
            <jalios:field label="ui.com.lbl.groups" keyword="true" tooltip="jcmsplugin.explorer.app.modal.category-rights.explain-group-rights" name="updateGroupIds" value="<%= formHandler.getAvailableUpdateGroupSet() %>" mv="1" resource="field-vertical" css="nodnd">
              <jalios:control type="<%= ControlType.GROUP %>" />
            </jalios:field>
            <%-- UpdateMemberSet ------------------------------------------------------------ --%> 
            <jalios:field label="ui.com.lbl.members" keyword="true" name="updateMemberIds" value="<%= formHandler.getAvailableUpdateMemberSet() %>" mv="1" resource="field-vertical" css="nodnd">
              <jalios:control settings="<%= new MemberSettings().filter(MemberSettings.MemberFilter.ACCOUNT) %>" />
            </jalios:field>
          <% } else if (Util.notEmpty(formHandler.getAvailableUpdateGroupSet()) || Util.notEmpty(formHandler.getAvailableUpdateMemberSet())){ %>
            <div class="inherited-rights no-focus">
              <div class="inherited-rights-read">
                <div class="inherited-rights-section-title"><%= glp("jcmsplugin.explorer.app.direct-rights") %></div>
                <ul class="list-unstyled">
                  <% if (Util.notEmpty(formHandler.getAvailableUpdateGroupSet())) { %>
                    <% for (Group itGroup : formHandler.getAvailableUpdateGroupSet()) { %>
                      <li><a data-jalios-action="modal" tabindex="0" role="button" data-jalios-modal-url="plugins/ExplorerPlugin/jsp/app/modal/groupMembersModal.jsp?explorerGroup=<%= itGroup.getId() %>" ><jalios:icon src="group" /> <%= itGroup %></a></li>
                    <% } %>
                  <% } %>
                  <% if (Util.notEmpty(formHandler.getAvailableUpdateMemberSet())) { %>
                    <% for (Member itMember : formHandler.getAvailableUpdateMemberSet()) { %>
                      <li><jalios:memberphoto member="<%= itMember %>" size="<%= PhotoSize.ICON %>" /><jalios:link data="<%= itMember %>" /></li>
                    <% } %>
                  <% } %>
                  
                </ul>
              </div>
            </div>
          <% } %>
        </div>
      </div>
      <% if (canWorkOnPub) { %>
        <div class="buttons">
          <button type="submit" name="opUpdate" value="true" class="btn btn-primary" data-jalios-action="ajax-refresh"><%= glp("ui.com.btn.save") %></button>
            <% if (CheckRightsHandler.canCheckRight(loggedMember, data)) { %>
              <a class="btn btn-default btn-check-rights modal" href="admin/checkRights.jsp?data=<%= data.getId() %>"><%= glp("right-info.checker.ctx-menu") %></a>
            <% } %>
            <input type="hidden" name="data" value="<%= data.getId() %>" />
            <input type="hidden" name="explorerSidebarData" value="<%= data.getId() %>" />
            <% if (sidebarHandler.getAvailableExplorerCurrentCategory() != null) { %>
              <input type="hidden" name="explorerCurrentCategory" value="<%= sidebarHandler.getAvailableExplorerCurrentCategory().getId() %>" />
            <% } %>
            <input type="hidden" name="portletExplorer" value="<%= sidebarHandler.getAvailablePortletExplorer().getId() %>" />
        </div>
      <% } %>
    </form>
	</div>
</div>