<%@page import="com.jalios.jstore.Storable"%>
<%@ include file='/plugins/ExplorerPlugin/jsp/app/sidebar/tabs/doInitExplorerAppSidebarTabContent.jspf' %><%
if (!(data instanceof Publication)) {
  return;
}

if (!(data instanceof DBData)) {
  return;
}

Publication pub = (Publication) data;
List wfNoteList = WorkflowManager.getInstance().getWFNoteList(pub);
List<? extends Storable> versionList = channel.getVersionList(pub.getId());
List<? extends Storable> rVersionList = new ArrayList(versionList);
Collections.reverse(rVersionList);

Publication lastPub = Util.isEmpty(versionList) ? null : (Publication)versionList.get(versionList.size() - 1);

Date minDate = ((Publication)versionList.get(0)).getCdate();
Date maxDate = lastPub.getMdate();
String minDateStr = DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.SHORT, userLocale).format(minDate);
String maxDateStr = DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.SHORT, userLocale).format(maxDate);

int itCounter = 0;
int lastPos = rVersionList.size() - 1;
%>
<div class="tab-content-versions">
  <h3 class="sidebar-tab-title"><%= glp("ui.work.ver.tab.hist") %></h3>
  <p><%= glp("ui.work.ver.summary", "" + rVersionList.size(), minDateStr, maxDateStr) %> - <a href="work/version.jsp?id=<%= pub.getId() %>"><%= glp("jcmsplugin.explorer.app.versions.handle-versions") %></a></p>
  <% for (Storable storable : rVersionList) { %>
    <% 
	    int pos = 0;
	    Publication itPub = (Publication) storable;
	    boolean lastIteration = pos == lastPos;
	    Publication nextPub = lastIteration ? null : (Publication)rVersionList.get(pos + 1); 
	    
	    boolean isFirstVersion = "1.0".equals(itPub.getVersionString());
      int itVersion = rVersionList.size() - itCounter - 1;

	    boolean cmpNext = nextPub != null;    
      boolean newUpload = !isFirstVersion && itPub instanceof FileDocument && (nextPub == null || !((FileDocument)itPub).getUploadDate().equals(((FileDocument)nextPub).getUploadDate()));
      boolean newTitle = !isFirstVersion && !itPub.getTitle().equals(nextPub.getTitle());
      boolean newWorkspace = !isFirstVersion && itPub.getWorkspace() != nextPub.getWorkspace();
      boolean newAuthor = !isFirstVersion && itPub.getAuthor() != nextPub.getAuthor();
    %>
    <jalios:card css="card-version">
      <jalios:cardBlock>
        <div class="card-title"><a href="work/version.jsp?id=<%= itPub.getId() %>&amp;vid=<%= itVersion %>" ><jalios:dataicon data="<%= itPub %>"/> <%= encodeForHTML(itPub.getTitle()) %></a></div>
        <div class="version-meta card-meta">
          <span class="version-meta-item"><%= itPub.getOpAuthor() %></span>
          <span class="version-meta-item"><%= itPub.getWFStateLabelHtml(userLang) %></span>
          <span class="version-meta-item"><jalios:date date="<%= itPub.getMdate() %>" format="timeDateOrTime" /></span>
	        <% if (itPub.getOpDelegate() != null) { %>
	          <span class="version-meta-item"><%= glp("ui.com.lbl.op-delegate") %> : <jalios:link data='<%= itPub.getOpDelegate() %>'/></span>
	        <% } %>
        </div>
	      <span class="version-count">v. <%= itPub.getVersionString() %></span>
        <div class="version-details">
          <% if (isFirstVersion) { %>
          
          <% } else if (newWorkspace) { %>
            <span><%= glp("jcmsplugin.explorer.app.versions.new-workspace")%></span>
          <% } else if (newAuthor) { %>
            <span><%= glp("jcmsplugin.explorer.app.versions.new-author")%></span>
          <% } else if (newTitle) { %>
            <span><%= glp("jcmsplugin.explorer.app.versions.new-title")%></span>
	        <% } else if (newUpload) { %>
            <span><%= glp("jcmsplugin.explorer.app.versions.new-upload")%></span>
	        <% } else if (cmpNext && Util.isSameContent(itPub.getCategories(), nextPub.getCategories())) { %>
	        <% } else { %>
		        <ul>
			        <jalios:foreach array="<%= itPub.getCategories() %>" type="Category" name="itCat" counter="catCounter">
			          <li><%= itCat != null ? itCat.toString() : "" %></li>
			        </jalios:foreach>
		        </ul>
	        <% } %> 
        </div>
      </jalios:cardBlock>
    </jalios:card>
    <% itCounter++; %>
  <% } %>
</div>