<%--
  @Summary: Displays an explorer, this page can be accessed directly and
            will be displayed inside the portal
  
--%><%@ page import="com.jalios.jcmsplugin.explorer.*" %><%--
--%><%@ include file='/jcore/doInitPage.jspf' %><%

 if (!ExplorerUtils.isDirectAccessAuthorized() && !isAdmin) {
   sendForbidden(request, response);
   return;
 }

 // Redirect legacy use of print portal to a direct access of explorer.jsp (since EXPLORER-209)
 if (jcmsContext.isPrintView()) {
   sendRedirect("plugins/ExplorerPlugin/jsp/explorer.jsp");
   return;   
 }

%><%--
--%><%@ include file='/jcore/doEmptyHeader.jspf' %><%

// EXPLORER-209 : display work topbar
// The following implementation does not use JPlatform 10 TopbarHandler
// to keep explorer compatible with both 9 and 10.
// Replace following code with TopbarHandler when explorer is no longer compatible with JCMS 9. 
if (!jcmsContext.isAjaxRequest()) {
  final String workTopbarJsp;
  if (JcmsInfo.RELEASE_MAJOR == 9) {
    workTopbarJsp = "jcore/topbar/doWorkTopbar.jsp"; 
  } else {
    workTopbarJsp = Util.getString(channel.getProperty("jcms.resource.topbar.work", null), channel.getProperty("jcms.resource.topbar", "jcore/topbar/doDefaultTopbar.jsp"));
  }
  %><jalios:include jsp="<%= workTopbarJsp %>" /><%
  %><jalios:include jsp='<%= channel.getProperty("jcms.resource.sidebar", "jcore/sidebar/doSidebar.jsp") %>' /><%
}

%>
<div class="br"></div>
<div class="container-fluid">
 <div class="row">
  <div class="col-md-12">
   <div class="ajax-refresh-div" data-jalios-ajax-refresh-url="plugins/ExplorerPlugin/jsp/doExplorer.jsp">
    <jalios:include jsp="/plugins/ExplorerPlugin/jsp/doExplorer.jsp"/>
   </div>
  </div>
 </div>
</div>
<%@ include file='/jcore/doEmptyFooter.jspf' %>