<%@ page contentType="text/html; charset=UTF-8" %><%--
--%><%@ include file="/jcore/doInitPage.jspf" %><%--
--%><%@ include file="/front/app/doAppCommon.jspf" %><%--
--%><%@ include file="/jcore/doHeader.jspf" %><%
jcmsContext.setPageTitle("Migration portlet explorer Fields");

if (!isLogged && !isAdmin) {
  sendForbidden(request, response);
  return;
}
%><jsp:useBean id='formHandler' scope='page' class='com.jalios.jcmsplugin.explorer.migrate.PortletExplorerFieldsMigrateHandler'><%
%><jsp:setProperty name="formHandler" property="pageContext" value="<%= pageContext %>"/><%
%><jsp:setProperty name='formHandler' property='*' /><%
%></jsp:useBean><%
%>
<div class="app has-no-sidebar">
  <div class="app-main">
    <div class="app-header">
      <h1>Migration portlet explorer</h1>
    </div>
    <div class="app-body">
      <div class="app-body-content">
        <% if (Util.isEmpty(formHandler.getExplorerPortlets())) { %>
          <jalios:message>Add PortletExplorer to your caddy</jalios:message>
        <% } else { %>

          <form method="POST" action="plugins/ExplorerPlugin/jsp/migrate/migratePortletExplorerFieldsAction.jsp">
            <%@ include file='/jcore/doMessageBox.jspf' %>
            <p>Following fields will be applied on all portlet displayed in the below table : </p>
            <jalios:field resource="field-vertical" mv="5" name="explorerFields" value="<%= formHandler.getDefaultFields() %>">
              <jalios:control settings="<%= formHandler.getExplorerFieldsSettings() %>" />
            </jalios:field>
            <button class="btn btn-primary" type="submit" name="opUpdatePortlets" value="true">Update portlets</button>
            <a href="work/caddy/index.jsp" class="btn btn-default" >Manage caddy</a>
          </form>
        
          <table class="table table-data table-app">
          <thead>
            <tr>
              <th>#</th>
              <th>Portlet name and fields</th>
              <th>Workspace</th>
              <th>Actions</th>
            </tr>
          </thead>
          <jalios:pager name='pagerHandler' declare='true' action='init'
              size='<%= formHandler.getExplorerPortlets().size() %>'/>
              <jalios:foreach name='itPub' type='Publication' collection='<%= formHandler.getExplorerPortlets() %>'
                max='<%= pagerHandler.getPageSize() %>'
                skip='<%= pagerHandler.getStart() %>'>
            <tr>
              <td><%= itCounter + pagerHandler.getStart() %></td>
              <td>
                <div>
                  <div><b><jalios:link data="<%= itPub %>" /></b></div>
                  <div>Fields : <%= formHandler.prettyPrintFields(itPub) %></div>
                </div>
              </td>
              <td><%= itPub.getWorkspace() %></td>
              <td><jalios:caddy pub="<%= itPub %>" action="remove" /></td>
            </tr>
            </jalios:foreach>
          </table>
          <jalios:pager name='pagerHandler' />
        <% } %>
      </div>
    </div>
  </div>
</div>
<%@ include file='/jcore/doFooter.jspf' %>