<%--
  @Summary: Displays Explorer's publications in a list view.
  
--%><%@ include file='/plugins/ExplorerPlugin/jsp/initView.jspf' %><%
  String[] exUserTypes = exConfig.getUserQueryHandler().getTypes();
  boolean showTypeColumn = !(explorer.getTypeSet().size() == 1 || (exUserTypes.length == 1 && exUserTypes[0].indexOf("Content") == -1));
  com.jalios.jcms.vote.VoteManager voteMgr = com.jalios.jcms.vote.VoteManager.getInstance();
  com.jalios.jcms.tracking.ReaderTrackerManager readerTrackerMgr = com.jalios.jcms.tracking.ReaderTrackerManager.getInstance();
%>

  <%@ include file='/plugins/ExplorerPlugin/jsp/dropzone.jspf' %>
  <%@ include file='/plugins/ExplorerPlugin/jsp/spellsuggest.jspf' %>
     
  <div class="table-responsive">
    <table class="ex-pubs-list table-data">
         
     <%@ include file='/plugins/ExplorerPlugin/jsp/caption.jspf' %>
     
     <%-- COL GROUP --------------------------------------------------- --%>
      <colgroup>
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachHeader.jspf' %>
      
       <% if (ExplorerFields.EDIT.equals(fieldName) && isLogged) { %>
        <col class="edit"/>
       <% } else if (ExplorerFields.COUNTER.equals(fieldName)) { %>
        <col class="cnt"/>
       <% } else if (ExplorerFields.CADDY.equals(fieldName)) { %>
        <col class="caddy"/>
       <% } else if (ExplorerFields.STATUS.equals(fieldName)) { %>
        <col class="status <% if ("pstatus".equals(exConfig.getSort())) {%>sorted<%} %>"/>
        
       <% } else if (ExplorerFields.TITLE.equals(fieldName)) { %>
        <col class="title expand<% if ("title".equals(exConfig.getSort())) {%>sorted<%} %>"/>
        
       <% } else if (ExplorerFields.ID.equals(fieldName)) { %>
        <col class="id <% if ("id".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.TYPE.equals(fieldName) && showTypeColumn) { %>
        <col class="type <% if ("type".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.MAINLANGUAGE.equals(fieldName)) { %>
        <col class="mainLanguage"/>
       <% } else if (ExplorerFields.AUTHOR.equals(fieldName)) { %>
        <col class="author <% if ("author".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.OPAUTHOR.equals(fieldName)) { %>
        <col class="op-author <% if ("opauthor".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.VERSION.equals(fieldName)) { %>
        <col class="version"/>
        
       <% } else if (ExplorerFields.CDATE.equals(fieldName)) { %>
        <col class="cdate <% if ("cdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.MDATE.equals(fieldName)) { %>
        <col class="mdate <% if ("mdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.UDATE.equals(fieldName)) { %>
        <col class="udate <% if ("udate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.PDATE.equals(fieldName)) { %>
        <col class="pdate <% if ("pdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.EDATE.equals(fieldName)) { %>
        <col class="edate <% if ("edate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.SDATE.equals(fieldName)) { %>
        <col class="sdate <% if ("sdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.IDXDATE.equals(fieldName)) { %>
        <col class="idxdate"/>
       <% } else if (ExplorerFields.UPLOADDATE.equals(fieldName)) { %>
        <col class="upload-date"/>
       <% } else if (ExplorerFields.DOWNLOAD.equals(fieldName)) { %>
        <col class="download"/>
       <% } else if (ExplorerFields.RECOMMEND.equals(fieldName)) { %>
        <col class="recommend"/>
       <% } else if (voteMgr.isVoteEnabled() && ExplorerFields.VOTESCORE.equals(fieldName)) { %>
        <col class="votescore <% if ("voteScore".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.READERS.equals(fieldName)) { %>
        <col class="readers <% if ("reader".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } %>
       
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachFooter.jspf' %>
      </colgroup>


     <%-- TABLE HEADER ------------------------------------------------ --%>
      <thead>
	      <tr>
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachHeader.jspf' %>
      
       <% if (ExplorerFields.EDIT.equals(fieldName) && isLogged) { %>
	        <th scope="col">&nbsp;</th>
       <% } else if (ExplorerFields.COUNTER.equals(fieldName)) { %>
	        <th scope="col" class="numeric">&nbsp;</th>
       <% } else if (ExplorerFields.CADDY.equals(fieldName)) { %>
          <th scope="col">&nbsp;</th>
       <% } else if (ExplorerFields.STATUS.equals(fieldName)) { %>
          <th scope="col" class="<% if ("pstatus".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.status") %> <jalios:pager name='exPagerHandler' action='showSort' sort='pstatus'/></th>
          
       <% } else if (ExplorerFields.TITLE.equals(fieldName)) { %>
	        <th scope="col" class="expand <% if ("title".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.title") %> <jalios:pager name='exPagerHandler' action='showSort' sort='title'/></th>
	        
       <% } else if (ExplorerFields.ID.equals(fieldName)) { %>
          <th scope="col" class="<% if ("id".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.id") %> <jalios:pager name='exPagerHandler' action='showSort' sort='id'/></th>
       <% } else if (ExplorerFields.TYPE.equals(fieldName) && showTypeColumn) { %>
	        <th scope="col" class="<% if ("type".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.type") %> <jalios:pager name='exPagerHandler' action='showSort' sort='type'/></th>
       <% } else if (ExplorerFields.MAINLANGUAGE.equals(fieldName)) { %>
          <th scope="col"><%= glp("ui.work.form.lbl.main-language") %></th>
       <% } else if (ExplorerFields.AUTHOR.equals(fieldName)) { %>
          <th scope="col" class="<% if ("author".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.author") %> <jalios:pager name='exPagerHandler' action='showSort' sort='author'/></th>
       <% } else if (ExplorerFields.OPAUTHOR.equals(fieldName)) { %>
          <th scope="col" class="<% if ("opauthor".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.op-author") %> <jalios:pager name='exPagerHandler' action='showSort' sort='opauthor'/></th>
       <% } else if (ExplorerFields.VERSION.equals(fieldName)) { %>
          <th scope="col"><%= glp("ui.com.lbl.version") %></th>
                  
       <% } else if (ExplorerFields.CDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time <% if ("cdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.cdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='cdate'/></th>
       <% } else if (ExplorerFields.MDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time <% if ("mdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.mdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='mdate'/></th>
       <% } else if (ExplorerFields.UDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time <% if ("udate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.udate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='udate'/></th>
       <% } else if (ExplorerFields.PDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time <% if ("pdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.pdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='pdate'/></th>
       <% } else if (ExplorerFields.EDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time <% if ("edate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.edate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='edate'/></th>
       <% } else if (ExplorerFields.SDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time <% if ("sdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.sdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='sdate'/></th>
       <% } else if (ExplorerFields.IDXDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time"><%= glp("ui.com.lbl.idxdate") %></th>
       <% } else if (ExplorerFields.UPLOADDATE.equals(fieldName)) { %>
          <th scope="col" class="date-time"><%= glp("ui.filedocument.lbl.upload-date") %></th>
       <% } else if (ExplorerFields.DOWNLOAD.equals(fieldName)) { %>
          <th scope="col"></th>
       <% } else if (ExplorerFields.RECOMMEND.equals(fieldName)) { %>
          <th scope="col"></th>
       <% } else if (voteMgr.isVoteEnabled() && ExplorerFields.VOTESCORE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("voteScore".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.score") %> <jalios:pager name='exPagerHandler' action='showSort' sort='voteScore'/></th>
       <% } else if (ExplorerFields.READERS.equals(fieldName)) { %>
          <th scope="col" class="<% if ("reader".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.alt.readers") %> <jalios:pager name='exPagerHandler' action='showSort' sort='reader'/></th>
       <% } %>
       
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachFooter.jspf' %>
	      </tr>
      </thead>
      
     <%-- TABLE BODY -------------------------------------------------- --%>
      <tbody>
      
      <%-- Backup 'itPub' attribute --%>
      <% ServletUtil.backupAttribute(pageContext , "itPub"); %>
      <% boolean previewPubInDisplayedResults = false; %>
      
     <jalios:foreach name='itPub' type='Publication' collection='<%= sortedResultSet %>' counter='exCounter'
                     max='<%= exPagerHandler.getPageSize() %>' skip='<%= exPagerHandler.getStart() %>'>
        <%
          // Store the current publication in the request in order to use this publication in the targets
          request.setAttribute("itPub", itPub);
          boolean itPubNotRead = itPub.isTracked() && isLogged && !itPub.hasBeenReadBy(loggedMember);
          int itPubNbr = exPagerHandler.getStart() + exCounter.intValue();
          boolean isPreviewedPub = JcmsUtil.isSameId(itPub, explorer.getPreviewedPub());
          if (isPreviewedPub) {
            previewPubInDisplayedResults = true;
          }
        %>
	      <tr class="exa-pub ID_<%= JcmsUtil.getId(itPub) %> <%= itPub.isInVisibleState() ? "pub-state" : "work-state" %> <%= itPubNotRead ? "not-read" : "read" %> <%= (itPubNbr % 2 == 0) ? "even box-content" : "odd" %> <%= isPreviewedPub ? "info" : "" %>">
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachHeader.jspf' %>
      
       <% if (ExplorerFields.EDIT.equals(fieldName) && isLogged) { %>
	        <td class="edit"><jalios:edit pub='<%= itPub %>' popup='<%= true %>' redirect='<%= explorer.getLinkURL(false) %>'/></td>
       <% } else if (ExplorerFields.COUNTER.equals(fieldName)) { %>
	        <td class="cnt numeric"><%= itPubNbr %>.</td>
       <% } else if (ExplorerFields.CADDY.equals(fieldName)) { %>
          <td><jalios:caddy data="<%= itPub %>"/></td>
       <% } else if (ExplorerFields.STATUS.equals(fieldName)) { %>
          <td class="status <% if ("pstatus".equals(exConfig.getSort())) {%>sorted<%} %>">
            <%= itPub.getWFStateLabelHtml(userLang) %>
            <jalios:importIcon pub='<%= itPub %>' />
          </td>
          
       <% } else if (ExplorerFields.TITLE.equals(fieldName)) { %>
	        <td class="title expand <% if ("title".equals(exConfig.getSort())) {%>sorted<%} %>">
	         <div class="break-words">
            <% if (itPub.isInDatabase()) { %>
              <jalios:tooltip icon="images/jalios/icons/db.gif" property="ui.com.lbl.dbdata" />
            <% } %>
              <jalios:include target="PLUGIN_EXPLORER_LIST_TITLE_LEFT" />
	          <% if (itPub instanceof FileDocument) { %>
              <jalios:link data='<%= itPub %>' params='<%= displayURLparams + "&amp;details=true" %>' css='<%= explorer.getPreviewLinkCss(itPub) %>'>
                <jalios:fileicon doc='<%= ((FileDocument)itPub) %>' />
              </jalios:link>
              <jalios:link data='<%= itPub %>' css='<%= explorer.getPreviewLinkCss(itPub) %>' params='<%= displayURLparams %>'>
                <%= itPub.getTitle(userLang) %>
              </jalios:link>
	          <% } else { %>
              <jalios:dataicon data='<%= itPub %>'/>
              <jalios:link data='<%= itPub %>' css='<%= explorer.getPreviewLinkCss(itPub) %>' params='<%= displayURLparams %>'/>
            <% } %>
	          <jalios:lock data='<%= itPub %>'/>
            <% if (itPub.isWorkCopy()) { %><span class="wfstate" title="<%= glp("ui.com.lbl.workcopyof", encodeForHTMLAttribute(itPub.getMainInstance().getTitle(userLang), true)) %>"><%= glp("ui.com.lbl.workcopy") %></span><% } %>
            <jalios:include target="PLUGIN_EXPLORER_LIST_TITLE_RIGHT" />
           </div>
	        </td>
	        
       <% } else if (ExplorerFields.ID.equals(fieldName)) { %>
          <td class="id <% if ("id".equals(exConfig.getSort())) {%>sorted<%} %>">
            <%= itPub.getId() %>
          </td>
       <% } else if (ExplorerFields.TYPE.equals(fieldName) && showTypeColumn) { %>
	        <td class="type <% if ("type".equals(exConfig.getSort())) {%>sorted<%} %>">
	         <%= itPub.getTypeLabel(userLang) %>
	        </td>
       <% } else if (ExplorerFields.MAINLANGUAGE.equals(fieldName)) { %>
          <td class="mainLanguage"><jalios:lang lang="<%= itPub.getMainLanguage() %>"/></td>
       <% } else if (ExplorerFields.AUTHOR.equals(fieldName)) { %>
          <td class="author <% if ("author".equals(exConfig.getSort())) {%>sorted<%} %>"><jalios:link data='<%= itPub.getAuthor() %>'/></td>
       <% } else if (ExplorerFields.OPAUTHOR.equals(fieldName)) { %>
          <td class="op-author <% if ("opauthor".equals(exConfig.getSort())) {%>sorted<%} %>"><jalios:link data='<%= itPub.getOpAuthor() %>'/></td>
       <% } else if (ExplorerFields.VERSION.equals(fieldName)) { %>
          <td class="version"><%= itPub.getVersionString() %></td>
	        
       <% } else if (ExplorerFields.CDATE.equals(fieldName)) { %>
          <td class="cdate date-time <% if ("cdate".equals(exConfig.getSort())) {%>sorted<%} %>">
            <% if (!DateUtil.isToday(itPub.getCdate())) { %><jalios:date date="<%= itPub.getCdate() %>" format='<%= "short" %>'/><% } %> 
            <jalios:time date="<%= itPub.getCdate() %>" format='<%= "short" %>'/>
          </td>
       <% } else if (ExplorerFields.MDATE.equals(fieldName)) { %>
	        <td class="mdate date-time <% if ("mdate".equals(exConfig.getSort())) {%>sorted<%} %>">
	          <% if (!DateUtil.isToday(itPub.getMdate())) { %><jalios:date date="<%= itPub.getMdate() %>" format='<%= "short" %>'/><% } %> 
	          <jalios:time date="<%= itPub.getMdate() %>" format='<%= "short" %>'/>
	        </td>
       <% } else if (ExplorerFields.UDATE.equals(fieldName)) { %>
          <td class="udate date-time <% if ("udate".equals(exConfig.getSort())) {%>sorted<%} %>">
            <% if (!DateUtil.isToday(itPub.getUdate())) { %><jalios:date date="<%= itPub.getUdate() %>" format='<%= "short" %>'/><% } %> 
            <jalios:time date="<%= itPub.getUdate() %>" format='<%= "short" %>'/>
          </td>
       <% } else if (ExplorerFields.PDATE.equals(fieldName)) { %>
          <td class="pdate date-time <% if ("pdate".equals(exConfig.getSort())) {%>sorted<%} %>">
            <% if (!DateUtil.isToday(itPub.getPdate())) { %><jalios:date date="<%= itPub.getPdate() %>" format='<%= "short" %>'/><% } %> 
            <jalios:time date="<%= itPub.getPdate() %>" format='<%= "short" %>'/>
          </td>
       <% } else if (ExplorerFields.EDATE.equals(fieldName)) { %>
          <td class="edate date-time <% if ("edate".equals(exConfig.getSort())) {%>sorted<%} %>">
            <% if (!DateUtil.isToday(itPub.getEdate())) { %><jalios:date date="<%= itPub.getEdate() %>" format='<%= "short" %>'/><% } %> 
            <jalios:time date="<%= itPub.getEdate() %>" format='<%= "short" %>'/>
          </td>
       <% } else if (ExplorerFields.SDATE.equals(fieldName)) { %>
          <td class="sdate date-time <% if ("sdate".equals(exConfig.getSort())) {%>sorted<%} %>">
            <% if (!DateUtil.isToday(itPub.getSdate())) { %><jalios:date date="<%= itPub.getSdate() %>" format='<%= "short" %>'/><% } %> 
            <jalios:time date="<%= itPub.getSdate() %>" format='<%= "short" %>'/>
          </td>
       <% } else if (ExplorerFields.IDXDATE.equals(fieldName)) { %>
          <td class="idxdate date-time">
            <% if (!DateUtil.isToday(itPub.getIndexingDate())) { %><jalios:date date="<%= itPub.getIndexingDate() %>" format='<%= "short" %>'/><% } %> 
            <jalios:time date="<%= itPub.getIndexingDate() %>" format='<%= "short" %>'/>
          </td>
       <% } else if (ExplorerFields.UPLOADDATE.equals(fieldName)) { %>
          <td class="upload-date date-time">
           <% if (itPub instanceof FileDocument) { 
               Date uploadDate = ((FileDocument)itPub).getUploadDate();
            %>
            <% if (!DateUtil.isToday(uploadDate)) { %><jalios:date date="<%= uploadDate %>" format='<%= "short" %>'/><% } %> 
            <jalios:time date="<%= uploadDate %>" format='<%= "short" %>'/>
           <% } %>
          </td>
       <% } else if (ExplorerFields.DOWNLOAD.equals(fieldName)) { %>
          <td class="download">
           <% if (itPub instanceof FileDocument) { %>
             <a href="<%= ((FileDocument)itPub).getFilename() %>" ><jalios:icon src="download" title="ui.com.btn.download"/></a>
           <% } %>
          </td>
       <% } else if (ExplorerFields.RECOMMEND.equals(fieldName)) { %>
          <td class="recommend">
            <jalios:recommendation data="<%= itPub %>"><jalios:icon src="recommendation" /></jalios:recommendation>
          </td>
       <% } else if (voteMgr.isVoteEnabled() && ExplorerFields.VOTESCORE.equals(fieldName)) { %>
          <td class="voteScore">
          <%
          if (voteMgr.isVotable(itPub)) {
            String voteI18nProp = voteMgr.isPointMode() ? "ui.vote.pub-vote-points" : "ui.vote.pub-vote-count";
            %>
            <jalios:vote pub="<%= itPub %>" templateProperty="vote.template.icon-score"  /><%
          }
          %>
          </td>
       <% } else if (ExplorerFields.READERS.equals(fieldName)) { %>
          <td class="readers">
            <% if (readerTrackerMgr.canAccessReaderTracker(itPub,loggedMember)) {%>
              <span class="label label-default" title="<%= glp("ui.com.alt.tracked", itPub.getReaderCount()) %>"><%= itPub.getReaderCount() %></span>
              <a onclick="return false;" href="front/readerTracking/readerTrackingModal.jsp?trackedPubId=<%= itPub.getId() %>" class="modal" title="<%= glp("ui.work.rdr.title1") %>"><jalios:icon src="reader-tracking" /></a>
            <% } %>       
          </td>
       <% } %>
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachFooter.jspf' %>
      
	      </tr>
     </jalios:foreach>
      <%-- Restore 'itPub' attribute --%>
      <% ServletUtil.restoreAttribute(pageContext , "itPub"); %>
      <% request.setAttribute("jcmsplugin.explorer.previewed-pub-in-displayed-results", previewPubInDisplayedResults); %>
      </tbody>
    </table>
  </div>
      
  <jalios:pager name='exPagerHandler'/>

<%@ include file='/jcore/doAjaxFooter.jspf' %>