<%--
  @Summary: Displays Explorer's publications in a list view.
  
--%><%@ include file='/plugins/ExplorerPlugin/jsp/initView.jspf' %><%
  String[] exUserTypes = exConfig.getUserQueryHandler().getTypes();
  boolean showTypeColumn = !(explorer.getTypeSet().size() == 1 || (exUserTypes.length == 1 && exUserTypes[0].indexOf("Content") == -1));
  com.jalios.jcms.vote.VoteManager voteMgr = com.jalios.jcms.vote.VoteManager.getInstance();
  com.jalios.jcms.tracking.ReaderTrackerManager readerTrackerMgr = com.jalios.jcms.tracking.ReaderTrackerManager.getInstance();
%>
  <div id="<%= explorer.getId() %>LiveList" class="ex-live-list table-responsive">
  
    <%@ include file='/plugins/ExplorerPlugin/jsp/dropzone.jspf' %>
    <%@ include file='/plugins/ExplorerPlugin/jsp/spellsuggest.jspf' %>

    <table class="ex-pubs-list table table-striped table-condensed">
    
     <%@ include file='/plugins/ExplorerPlugin/jsp/caption.jspf' %>
     
     <%-- COL GROUP --------------------------------------------------- --%>
      <colgroup>
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachHeader.jspf' %>
      
       <% if (ExplorerFields.EDIT.equals(fieldName) && isLogged) { %>
        <col class="edit"/>
       <% } else if (ExplorerFields.COUNTER.equals(fieldName)) { %>
        <col class="cnt"/>
       <% } else if (ExplorerFields.CADDY.equals(fieldName)) { %>
        <col class="caddy"/>
       <% } else if (ExplorerFields.STATUS.equals(fieldName)) { %>
        <col class="status <% if ("pstatus".equals(exConfig.getSort())) {%>sorted<%} %>"/>
        
       <% } else if (ExplorerFields.TITLE.equals(fieldName)) { %>
        <col class="title expand <% if ("title".equals(exConfig.getSort())) {%>sorted<%} %>"/>
        
       <% } else if (ExplorerFields.ID.equals(fieldName)) { %>
        <col class="id <% if ("id".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.TYPE.equals(fieldName) && showTypeColumn) { %>
        <col class="type <% if ("type".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.MAINLANGUAGE.equals(fieldName)) { %>
        <col class="mainLanguage"/>
       <% } else if (ExplorerFields.AUTHOR.equals(fieldName)) { %>
        <col class="author <% if ("author".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.OPAUTHOR.equals(fieldName)) { %>
        <col class="op-author <% if ("opauthor".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.VERSION.equals(fieldName)) { %>
        <col class="version"/>
        
       <% } else if (ExplorerFields.CDATE.equals(fieldName)) { %>
        <col class="cdate <% if ("cdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.MDATE.equals(fieldName)) { %>
        <col class="mdate <% if ("mdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.UDATE.equals(fieldName)) { %>
        <col class="udate <% if ("udate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.PDATE.equals(fieldName)) { %>
        <col class="pdate <% if ("pdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.EDATE.equals(fieldName)) { %>
        <col class="edate <% if ("edate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.SDATE.equals(fieldName)) { %>
        <col class="sdate <% if ("sdate".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.IDXDATE.equals(fieldName)) { %>
        <col class="idxdate"/>
       <% } else if (ExplorerFields.UPLOADDATE.equals(fieldName)) { %>
        <col class="upload-date"/>
       <% } else if (ExplorerFields.DOWNLOAD.equals(fieldName)) { %>
        <col class="download"/>
       <% } else if (ExplorerFields.RECOMMEND.equals(fieldName)) { %>
        <col class="recommend"/>
       <% } else if (voteMgr.isVoteEnabled() && ExplorerFields.VOTESCORE.equals(fieldName)) { %>
        <col class="votescore <% if ("voteScore".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } else if (ExplorerFields.READERS.equals(fieldName)) { %>
        <col class="readers <% if ("reader".equals(exConfig.getSort())) {%>sorted<%} %>"/>
       <% } %>
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachFooter.jspf' %>
      </colgroup>


     <%-- TABLE HEADER ------------------------------------------------ --%>
      <thead>
	      <tr>
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachHeader.jspf' %>
      
       <% if (ExplorerFields.EDIT.equals(fieldName) && isLogged) { %>
	        <th scope="col">&nbsp;</th>
       <% } else if (ExplorerFields.COUNTER.equals(fieldName)) { %>
	        <th scope="col">&nbsp;</th>
       <% } else if (ExplorerFields.CADDY.equals(fieldName)) { %>
          <th scope="col">&nbsp;</th>
       <% } else if (ExplorerFields.STATUS.equals(fieldName)) { %>
          <th scope="col" class="<% if ("pstatus".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.status") %> <jalios:pager name='exPagerHandler' action='showSort' sort='pstatus'/></th>
          
       <% } else if (ExplorerFields.TITLE.equals(fieldName)) { %>
	        <th scope="col" class="<% if ("title".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.title") %> <jalios:pager name='exPagerHandler' action='showSort' sort='title'/></th>
	        
       <% } else if (ExplorerFields.ID.equals(fieldName)) { %>
          <th scope="col" class="<% if ("id".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.id") %> <jalios:pager name='exPagerHandler' action='showSort' sort='id'/></th>
       <% } else if (ExplorerFields.TYPE.equals(fieldName) && showTypeColumn) { %>
	        <th scope="col" class="<% if ("type".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.type") %> <jalios:pager name='exPagerHandler' action='showSort' sort='type'/></th>
       <% } else if (ExplorerFields.MAINLANGUAGE.equals(fieldName)) { %>
          <th scope="col"><%= glp("ui.work.form.lbl.main-language") %></th>
       <% } else if (ExplorerFields.AUTHOR.equals(fieldName)) { %>
          <th scope="col" class="<% if ("author".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.author") %> <jalios:pager name='exPagerHandler' action='showSort' sort='author'/></th>
       <% } else if (ExplorerFields.OPAUTHOR.equals(fieldName)) { %>
          <th scope="col" class="<% if ("opauthor".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.op-author") %> <jalios:pager name='exPagerHandler' action='showSort' sort='opauthor'/></th>
       <% } else if (ExplorerFields.VERSION.equals(fieldName)) { %>
          <th scope="col"><%= glp("ui.com.lbl.version") %></th>
                  
       <% } else if (ExplorerFields.CDATE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("cdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.cdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='cdate'/></th>
       <% } else if (ExplorerFields.MDATE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("mdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.mdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='mdate'/></th>
       <% } else if (ExplorerFields.UDATE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("udate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.udate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='udate'/></th>
       <% } else if (ExplorerFields.PDATE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("pdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.pdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='pdate'/></th>
       <% } else if (ExplorerFields.EDATE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("edate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.edate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='edate'/></th>
       <% } else if (ExplorerFields.SDATE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("sdate".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.sdate") %> <jalios:pager name='exPagerHandler' action='showSort' sort='sdate'/></th>
       <% } else if (ExplorerFields.IDXDATE.equals(fieldName)) { %>
          <th scope="col"><%= glp("ui.com.lbl.idxdate") %></th>
       <% } else if (ExplorerFields.UPLOADDATE.equals(fieldName)) { %>
          <th scope="col"><%= glp("ui.filedocument.lbl.upload-date") %></th>
       <% } else if (ExplorerFields.DOWNLOAD.equals(fieldName)) { %>
          <th scope="col"></th>
       <% } else if (ExplorerFields.RECOMMEND.equals(fieldName)) { %>
          <th scope="col"></th>
       <% } else if (voteMgr.isVoteEnabled() && ExplorerFields.VOTESCORE.equals(fieldName)) { %>
          <th scope="col" class="<% if ("voteScore".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.lbl.score") %> <jalios:pager name='exPagerHandler' action='showSort' sort='voteScore'/></th>
       <% } else if (ExplorerFields.READERS.equals(fieldName)) { %>
          <th scope="col" class="<% if ("reader".equals(exConfig.getSort())) {%>sorted<%} %>"><%= glp("ui.com.alt.readers") %> <jalios:pager name='exPagerHandler' action='showSort' sort='reader'/></th>
       <% } %>
       
      <%@ include file='/plugins/ExplorerPlugin/jsp/viewmode/doFieldsForeachFooter.jspf' %>
	      </tr>
      </thead>
      
     <%-- TABLE BODY -------------------------------------------------- --%>
      <tbody id="<%= explorer.getId() %>LiveListBody" class="ex-live-list-body">
        <jalios:include jsp="/plugins/ExplorerPlugin/jsp/viewmode/livelist/livelist-body.jsp" />
      </tbody>
      
    </table>
    
  <% if (Util.isEmpty(sortedResultSet)) { %>
    <div class="no-result">
      <jalios:include target="PLUGIN_EXPLORER_LIST_NORESULT" />
      <% if (!Util.toBoolean(request.getAttribute("jcmsplugin.explorer.hide-default-noresult"), false)) { %>
      <%= glp("ui.com.lbl.no-result") %>
      <% } %>
    </div>
  <% } %>
  
  </div>
  
<%@ include file='/jcore/doAjaxFooter.jspf' %>