<%@page import="com.jalios.jcmsplugin.explorer.jmobile.ExplorerJMobileUploadHandler"%>
<%@ include file="/plugins/SmartPhonePlugin/jsp/common/doInitSmartPhonePage.jspf" %>
<%@ page import="com.jalios.jcmsplugin.smartphone.SmartPhoneConstants" %>
<%@ page import="com.jalios.jcmsplugin.smartphone.SmartPhoneControlType" %>
<%@ page import="com.jalios.jcmsplugin.smartphone.SmartPhoneManager" %>
<%@page import="java.util.Set" %>
<%
ExplorerJMobileUploadHandler formHandler = (ExplorerJMobileUploadHandler) request.getAttribute("explorerJMobileUploadHandler");

if (formHandler.getAvailablePortletExplorer() == null) {
  return;
}

if (Util.isEmpty(formHandler.getRootCategories())) {
  return;
}

if (!formHandler.showCategoryChooser()) {
  return;
}

Category currentCategory = formHandler.getAvailableExplorerCurrentCategory();
%>
<div class="control-label is-required">
  <label>
    <span class="jalios-label-addon inline"><span class="jalios-icon required glyphicons-asterisk"></span></span> 
     <%= glp("jcmsplugin.smartphone.lbl.jmobile.category") %>
  </label>
</div>
<% if (formHandler.getAvailableExplorerCurrentCategory() != null) { %>
  <input type="hidden" name="uploadCategory" value="<%= formHandler.getAvailableExplorerCurrentCategory().getId() %>" />
<% } %>
<ul data-role="listview">
  <% if (formHandler.showBackButton()) { %>
    <jalios:listItem linkCss="folder-back ajax-refresh" icon="jcmsplugin-smartphone-folder-back" template="jmobile" text='<%= currentCategory.getName() %>' linkDataAttribute="<%= formHandler.getBackCategoryDataAttribute(currentCategory.getParent())  %>" /> 
  <% } %>
  <%-- Explorer with multi root --%>
  <% if (currentCategory == null) { %>
    <% if (formHandler.getRootCategories().size() > 1) { %>
        <% if (Util.notEmpty(formHandler.getRootCategories())) { %>
          <% for (Category rootCategory : formHandler.getRootCategories()) { %>
            <jalios:listItem linkCss="ajax-refresh" icon="<%= rootCategory.getDataIcon() %>" template="jmobile"  text="<%= rootCategory.getName(userLang,true)%>" linkDataAttribute="<%= formHandler.getCategoryDataAttribute(rootCategory) %>"/>
          <% } %>
        <% } %>
    <% } %>
  <% } else { %>
    <%-- Explorer with one root --%>
    <% if (Util.notEmpty(currentCategory.getChildrenSet())) { %>
        <% for (Category category : currentCategory.getChildrenSet()) { %>
          <jalios:listItem linkCss="ajax-refresh" icon="<%= category.getDataIcon() %>" template="jmobile"  text="<%= category.getName(userLang,true)%>" linkDataAttribute="<%= formHandler.getCategoryDataAttribute(category) %>"/>
        <% } %>
    <% } %>
  <% } %>
</ul>